2025-05-05 Mike Gabriel

        * Release 3.1.1 (HEAD -> main, tag: v3.1.1)

2025-04-04 Mike Gabriel

        * Merge branch 'fix/configLocation' into 'main' (5463c62c)

2025-02-14 OPNA2608

        * Always set organizationName, use {application,organization}Name for
          settings location (e57306da)

2025-04-04 Mike Gabriel

        * Merge branch 'main_-_pickermodetab' into 'main' (452fd873)

2025-03-10 Kugi Eusebio

        * Set Photos tab as default when in picker mode (bf8fe96d)

2025-04-04 Mike Gabriel

        * Merge branch 'main_-_playicon' into 'main' (22fb0280)

2025-03-10 kugiigi

        * Redesigned play icon for better visibility (a8da103f)

2025-02-05 Milo Ivir

        * Translated using Weblate (Croatian) (2148a972)
        * Translated using Weblate (Croatian) (a0916831)

2025-02-04 Milo Ivir

        * Translated using Weblate (Croatian) (10aa6b48)

2025-02-01 Milo Ivir

        * Translated using Weblate (Croatian) (9ce1b82b)

2025-01-12 தமிழ்நேரம்

        * Translated using Weblate (Tamil) (ce07d557)

2024-12-27 Hosted Weblate

        * Update translation files (69953f51)

2024-11-26 Mike Gabriel

        * Merge branch 'fix/bindtextdomain' into 'main' (e55a725a)

2024-09-05 OPNA2608

        * Migrate i18n init to C++ (d5451eb1)

2024-09-30 OPNA2608

        * Call i18n.bindtextdomain with buildtime-determined locale path
          (efe9457d)

2024-10-22 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/app-package-name-gone' into 'main'
          (929c8d3a)

2024-10-22 Mike Gabriel

        * src/config.h.in: Enforce 'gallery.ubports' as organization name,
          APP_PACKAGE_NAME CMake variable has been dropped a while
          ago. (66671313)

2024-10-12 ikozyris

        * Translated using Weblate (Greek) (7ba980e5)

2024-09-22 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/shared-runner-for-contributors'
          into 'main' (11f36986)

2024-09-22 Mike Gabriel

        * .gitlab-ci.yml: use shared runner if run outside our namespace.
          (3e00107a)

2024-09-11 Mike Gabriel

        * Release 3.1.0 (77247658) (tag: v3.1.0)
        * .gitlab-ci.yml: Use UBports GitLab runner. (b36e4bcb)

2024-09-04 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/non-click-content-hub-fix' into
          'main' (0e1654fd)

2024-09-04 Mike Gabriel

        * click/CMakeLists.txt: Use new DATADIR path for (lomiri-)content-hub
          peer configurations. (cb6eb0ff)
        * click/CMakeLists.txt: Install gallery-content.json as
          DATADIR/content-hub/peers/lomiri-gallery-app when built in
          non-click mode. (9a337676)
        * Merge branch 'fix/album-title-edit' into 'main' (1ba77a99)

2024-08-13 Matthias Dahlmanns

        * also check if album exists when committing new subtitle (5919794b)

2024-08-09 Matthias Dahlmanns

        * replace custom TextEditOnClick component by simple TextEdit
          (790b6975)
        * fix: don't discard text changes in TextEditOnClick component
          (0e5df7e1)

2024-09-04 Mike Gabriel

        * Merge branch 'fix/nonclickSplash' into 'main' (f0d0375e)

2024-08-13 OPNA2608

        * desktop: Fix icons (17e97086)

2024-09-04 Mike Gabriel

        * Merge branch 'add/BUILD_TESTING' into 'main' (f282156f)

2024-08-13 OPNA2608

        * Move Qt5Test finding to top-level BUILD_TESTING conditional
          (56767d9b)
        * CMakeLists.txt: Make tests optional (322d579f)

2024-08-23 Mike Gabriel

        * Merge branch 'add/werrorOption' into 'main' (052ba07f)

2024-08-13 OPNA2608

        * debian/rules: Set ENABLE_WERROR to ON for UBports builds (8adfb9a2)
        * CMakeLists.txt: Add ENABLE_WERROR option (efdb35bc)

2024-08-23 Mike Gabriel

        * Merge branch 'fix/gnuInstallDirs' into 'main' (379d46fe)

2024-08-13 OPNA2608

        * Fix GNUInstallDirs variable concatenations in CMake (3df7555e)

2024-08-23 Mike Gabriel

        * Merge branch 'fix/qt5_use_modules' into 'main' (b5dcf53c)

2024-08-13 OPNA2608

        * Stop using qt5_use_modules (0149c8d4)

2024-08-06 umesaburo sagawa

        * Translated using Weblate (Japanese) (e4cc1bb3)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (9ac8988c)

2024-06-07 Mike Gabriel

        * Merge branch 'exiv2-0.28' into 'main' (afa019b5)

2024-03-14 Pino Toscano

        * Support Exiv2 0.28+ (be63c6d3)

2024-05-28 Ali Beyaz

        * Translated using Weblate (Turkish) (ff36991b)

2024-04-13 复予

        * Translated using Weblate (Chinese (Simplified)) (499351fa)

2024-03-09 saveurlinux

        * Translated using Weblate (French) (14dda040)

2024-03-06 Giannis Vassilopoulos

        * Translated using Weblate (Greek) (eeb5595f)

2024-02-11 ancalina

        * Translated using Weblate (Korean) (eb369e02)

2023-12-28 Hosted Weblate

        * Update translation files (21effbea)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (1240bfc4)
        * Added translation using Weblate (Tamil (Sri Lanka)) (77a0d194)
        * Added translation using Weblate (German (Walser)) (e5134a94)
        * Added translation using Weblate (Meadow Mari) (19664a8e)
        * Added translation using Weblate (Crimean Tatar) (17a79725)
        * Added translation using Weblate (Chuvash) (d092915f)
        * Added translation using Weblate (Silesian) (6933f24d)
        * Added translation using Weblate (Latin) (bfc22216)
        * Added translation using Weblate (Venetian) (d1581be8)
        * Added translation using Weblate (Ossetian) (7fc05336)
        * Added translation using Weblate (Sami (Northern)) (d43f9202)
        * Added translation using Weblate (Greenlandic) (b4adb2a1)
        * Added translation using Weblate (Assamese) (54137ac7)
        * Added translation using Weblate (Haitian) (1adbabb0)
        * Added translation using Weblate (Cornish) (676f82bf)
        * Added translation using Weblate (Frisian) (0c154b4b)
        * Added translation using Weblate (Kashubian) (7b7b5ca6)
        * Added translation using Weblate (Aragonese) (dc403a8a)
        * Added translation using Weblate (Tibetan) (9d429313)
        * Added translation using Weblate (Filipino) (c2a8a8c8)
        * Added translation using Weblate (Tigrinya) (bbe1ef51)
        * Added translation using Weblate (Tatar) (858a43d0)

2023-12-27 Hosted Weblate

        * Update translation files (5967c40e)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (7e8e4082)

2023-11-08 gallegonovato

        * Translated using Weblate (Spanish) (48dfb8c4)

2023-10-18 Hosted Weblate

        * Update translation files (eba8fcc8)

2023-10-17 Weblate

        * Added translation using Weblate (Xhosa) (287046ec)
        * Added translation using Weblate (Manx) (ce1b9064)
        * Added translation using Weblate (Corsican) (bfaade15)
        * Added translation using Weblate (Chechen) (3d5e2a74)
        * Added translation using Weblate (Wolof) (a991d4e0)
        * Added translation using Weblate (Uzbek) (bfeac486)
        * Added translation using Weblate (Kyrgyz) (c5e9c233)
        * Added translation using Weblate (Kurdish) (b8b63871)
        * Added translation using Weblate (Sotho (Southern)) (c8113c08)
        * Added translation using Weblate (Kannada) (dc8a602f)
        * Added translation using Weblate (Kazakh) (656ac7c0)
        * Added translation using Weblate (Faroese) (3e73b2e8)
        * Added translation using Weblate (Nepali) (1999468c)
        * Added translation using Weblate (Norwegian Nynorsk) (73b8dfaa)
        * Added translation using Weblate (Interlingua) (0f0ba545)
        * Added translation using Weblate (Swahili) (a38e7c59)
        * Added translation using Weblate (Afrikaans) (cf8b4aa8)
        * Added translation using Weblate (Vietnamese) (444ca252)
        * Added translation using Weblate (Odia) (b8828e4c)
        * Added translation using Weblate (Occitan) (9275bf2d)
        * Added translation using Weblate (Bengali) (3e1a45cb)
        * Added translation using Weblate (Estonian) (ba407e15)
        * Added translation using Weblate (Irish) (0cca9518)

2023-10-11 phlostically

        * Translated using Weblate (Esperanto) (48eb83ca)

2023-10-11 Serhii Horichenko

        * Translated using Weblate (Russian) (9f54b08e)

2023-10-15 Mike Gabriel

        * Release 3.0.2 (e03f86a6) (tag: v3.0.2)

2023-10-11 phlostically

        * Translated using Weblate (Esperanto) (f5deb549)

2023-08-22 Mike Gabriel

        * Merge branch 'fix/hanging-on-exit' into 'main' (69a18c07)

2023-07-14 Maciej Sopylo

        * Fix MediaObjectFactory worker not quitting (0ad0e050)

2023-08-13 Abdullah AL Shohag

        * Translated using Weblate (Bengali (Bangladesh)) (d1c59e36)

2023-06-30 Rudra Harsh V.Singh

        * Translated using Weblate (Sanskrit) (ae4f5141)

2023-07-07 NPL

        * Translated using Weblate (Japanese) (36119e47)

2023-07-01 Hosted Weblate

        * Update translation files (0cc06537)

2023-06-30 Weblate

        * Added translation using Weblate (Sanskrit) (513edb75)

2023-06-27 Rudra Harsh V.Singh

        * Translated using Weblate (English (Canada)) (1dde8332)

2023-06-26 Rudra Harsh V.Singh

        * Translated using Weblate (Hindi) (2e08c08c)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (ecad6435)

2023-06-06 Guido Berhoerster

        * Merge branch 'add_review_error' into 'main' (1a45689c)

2023-03-30 Danfro

        * add ignore review errors to clickable.yaml to allow local building
          (777ece97)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (9ca38f43)

2023-04-11 Temuri Doghonadze

        * Translated using Weblate (Georgian) (0d08d7fa)
        * Translated using Weblate (Georgian) (9f737792)

2023-04-04 gallegonovato

        * Translated using Weblate (Spanish) (0871fb14)

2023-03-31 Jozef Mlich

        * Translated using Weblate (Czech) (9284ea5e)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (a7e34c7c)

2023-03-27 Jozef Mlich

        * Translated using Weblate (Czech) (86b6d827)

2023-03-15 Mike Gabriel

        * Merge branch 'personal/gberh/click-migrate' into 'main' (61d32073)

2023-02-28 Guido Berhoerster

        * Use session-migration for migration in Debian (2433d336)

2023-02-24 Guido Berhoerster

        * Add migrations to manifest (3ebb5b26)

2023-02-28 Guido Berhoerster

        * Add migration wrapper script (92ceff2d)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (0cd50e5d)

2023-02-27 Guido Berhoerster

        * Release 3.0.1 (0501dcd9) (tag: v3.0.1)
        * Fix icon name in non-click mode (c951c9d1)

2023-02-19 phlostically

        * Translated using Weblate (Esperanto) (53a8050e)

2023-02-19 Nathan Giovannini

        * Translated using Weblate (Italian) (49825f3c)

2023-02-19 Mike Gabriel

        * Merge branch 'personal/lduboeuf/open_camera_fix' into 'main'
          (3af56c24)

2023-02-18 Lionel Duboeuf

        * Fix camera not opening on events and photos view. fixes
          https://gitlab.com/ubports/development/apps/lomiri-gallery-app/-/issues/116
          (aa9dcbde)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (7bfc7fb8)

2023-02-05 gnu-ewm

        * Translated using Weblate (Polish) (fdd05af1)

2023-02-03 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (13903235)

2023-02-03 Mike Gabriel

        * Merge branch 'personal/gberh/gettext-domain' into 'main' (c6601183)

2023-02-03 Guido Berhoerster

        * Fix gettext domain set in QML (88669436)

2023-01-24 gnu-ewm

        * Translated using Weblate (Polish) (5cfdfd67)

2023-01-19 Asahi 95

        * Translated using Weblate (Japanese) (0289a491)

2023-01-17 Daniel Frost

        * Translated using Weblate (German) (bf213619)

2023-01-18 Guido Berhoerster

        * Release 3.0.0 (3f7cbeff) (tag: v3.0.0)

2023-01-14 Sergii Horichenko

        * Translated using Weblate (Ukrainian) (9d5ab7d5)

2023-01-14 Dan

        * Translated using Weblate (Ukrainian) (d25431d8)

2023-01-14 Sergii Horichenko

        * Translated using Weblate (Russian) (dd9368ff)

2023-01-13 Sergii Horichenko

        * Translated using Weblate (Russian) (53b4bc5d)

2023-01-13 Ivo Xavier

        * Translated using Weblate (Portuguese) (8a6bc92f)

2023-01-12 Mike Gabriel

        * Merge branch 'personal/gberh/cleanup' into 'main' (84d0b437)

2023-01-09 Guido Berhoerster

        * Add instructions for translators (b37b6f3b)
        * Remove unused and obsolete BZR_SOURCE and BZR_REVNO (c8ffe1b5)
        * Remove click-build.sh (04633aa8)
        * Update CMake requirements (eabc5c1c)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (132d62da)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (81674119)

2023-01-05 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (108bc5fe)

2023-01-06 Daniel Frost

        * Translated using Weblate (German) (887e6681)

2023-01-04 Anonymous

        * Translated using Weblate (Urdu) (be096984)

2023-01-04 Muhammad

        * Translated using Weblate (Urdu) (932c910b)

2023-01-04 Anonymous

        * Translated using Weblate (Tetum) (1d1d5759)
        * Translated using Weblate (Ido) (f8bd28d6)
        * Translated using Weblate (Scots) (927efee8)
        * Translated using Weblate (Franco-Provençal) (8ebecc78)
        * Translated using Weblate (Sindhi) (d78b57d9)
        * Translated using Weblate (Pampanga) (afda70d8)
        * Translated using Weblate (Malagasy) (5d37adb3)
        * Translated using Weblate (Kabyle) (b874b174)
        * Translated using Weblate (Luxembourgish) (d1c5081c)
        * Translated using Weblate (French (Switzerland)) (060bcc59)
        * Translated using Weblate (Lojban) (fee4a09f)
        * Translated using Weblate (Tajik) (7c8ae8e8)
        * Translated using Weblate (Oromo) (c7868597)
        * Translated using Weblate (Lingala) (4752d057)
        * Translated using Weblate (Bemba) (eb4ebf04)
        * Translated using Weblate (Nyanja) (e37e90a1)
        * Translated using Weblate (Chinese (Min Nan)) (a341ff0e)
        * Translated using Weblate (Kurdish (Southern)) (3138f2d7)
        * Translated using Weblate (Kurdish (Northern)) (68355eb3)
        * Translated using Weblate (Dhivehi) (373518d6)
        * Translated using Weblate (Macedonian) (a40a92b7)
        * Translated using Weblate (Maori) (4fb917c1)
        * Translated using Weblate (Friulian) (b5afe41a)
        * Translated using Weblate (Pashto) (1d161968)
        * Translated using Weblate (Bulgarian) (e7072fe3)
        * Translated using Weblate (Turkmen) (c3eae66e)
        * Translated using Weblate (Lao) (5489c419)
        * Translated using Weblate (Telugu) (b5688f19)
        * Translated using Weblate (Sinhala) (709c1f06)
        * Translated using Weblate (Shan) (308f2bc3)
        * Translated using Weblate (Burmese) (9b7aa1e6)
        * Translated using Weblate (Marathi) (bf383648)
        * Translated using Weblate (Malayalam) (f958d4db)
        * Translated using Weblate (Icelandic) (388254b4)
        * Translated using Weblate (English (United States)) (679dd1d6)
        * Translated using Weblate (Kurdish (Central)) (19db77c1)
        * Translated using Weblate (Valencian) (925eb8f4)
        * Translated using Weblate (Asturian) (a5547e28)

2023-01-04 Mike Gabriel

        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (d78b5534)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (569a4132)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (88fbb66b)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (61e93df1)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (92b83f78)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (f3ed16cd)

2023-01-04 Hosted Weblate

        * Update translation files (3052542e)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (21eb76e3)
        * Added translation using Weblate (Tetum) (f03e2941)
        * Added translation using Weblate (Ido) (e675b0c7)
        * Added translation using Weblate (Scots) (cb891f1e)
        * Added translation using Weblate (Franco-Provençal) (2fd02807)
        * Added translation using Weblate (Sindhi) (3e761467)
        * Added translation using Weblate (Pampanga) (d78401e9)
        * Added translation using Weblate (Malagasy) (8387c50b)
        * Added translation using Weblate (Kabyle) (761203a6)
        * Added translation using Weblate (Luxembourgish) (15181a4e)
        * Added translation using Weblate (French (Switzerland)) (b7685748)
        * Added translation using Weblate (Lojban) (a0e86bf8)
        * Added translation using Weblate (Tajik) (c74c4781)
        * Added translation using Weblate (Oromo) (47ad9f5c)
        * Added translation using Weblate (Lingala) (805e08b5)

2023-01-03 Hosted Weblate

        * Update translation files (3120b75e)

2023-01-03 Weblate

        * Added translation using Weblate (Bemba) (12d222ba)
        * Added translation using Weblate (Nyanja) (87230963)

2023-01-03 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (8513e463)

2023-01-03 Weblate

        * Added translation using Weblate (Chinese (Min Nan)) (fcdc49eb)
        * Added translation using Weblate (Kurdish (Southern)) (52208623)
        * Added translation using Weblate (Kurdish (Northern)) (1ce16ef6)
        * Added translation using Weblate (Dhivehi) (a2c06779)
        * Added translation using Weblate (French (Canada)) (271e743d)
        * Added translation using Weblate (English (Canada)) (ffca1add)
        * Added translation using Weblate (Georgian) (3f21f3ea)
        * Added translation using Weblate (Macedonian) (7cbfcc37)
        * Added translation using Weblate (Maori) (9adb27af)
        * Added translation using Weblate (Friulian) (00e41f52)
        * Added translation using Weblate (Hindi) (0e1eb300)
        * Added translation using Weblate (Croatian) (f7af4875)
        * Added translation using Weblate (Armenian) (c5307e92)
        * Added translation using Weblate (Pashto) (59418a7e)
        * Added translation using Weblate (Bulgarian) (20b3a5f3)
        * Added translation using Weblate (Esperanto) (46b09de9)
        * Added translation using Weblate (Thai) (efb6cca8)
        * Added translation using Weblate (Turkmen) (d2835bf5)
        * Added translation using Weblate (Lao) (f4e32e63)

2022-12-30 Guido Berhoerster

        * gitlab-ci.yml: Remove fixed clickable version (8d385f3f)

2022-11-19 Weblate

        * Translated by Heimen Stoffels <vistausss@fastmail.com> using
          Weblate (Dutch) - 100.0% (93 of 93 strings) (1405dc42)

2022-10-11 Guido Berhoerster

        * Merge branch 'personal/sunweaver/drop-old-pot-file' into 'main'
          (82f9b522)

2022-10-09 Mike Gabriel

        * po/gallery-app.pot: Drop file. Left over from name change.
          (bef11f80)

2022-10-10 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/artwork-copyright-attributions'
          into 'main' (cf46b235)

2022-10-09 Mike Gabriel

        * README.md: Correctly attribute artwork files' copyright in upstream
          portion of the code tree (and not only in d/copyright).
          (6f6fb94c)

2022-10-10 Guido Berhoerster

        * Merge branch 'personal/sunweaver/uniform-spelling-of-CanonicalLtd'
          into 'main' (cb09298c)

2022-10-09 Mike Gabriel

        * copyright headers: Use uniform spelling for copyright holder
          'Canonical Ltd.'. (6eead6d0)

2022-10-10 Guido Berhoerster

        * Merge branch 'personal/sunweaver/qSort-to-sort-switch' into 'main'
          (0564c306)

2022-10-09 Mike Gabriel

        * src/: Switch from deprecated/unsupported-now qSort() to
          std::sort(). (0df8b1d9)
        * Merge branch 'focal-changes' into 'main' (13173766)

2022-10-07 Guido Berhoerster

        * Add .pot file (681d125a)
        * Modernize i18n (3d03e3cc)
        * Update to the latest clickable version (882f20a9)
        * Change Camera App URL to its new name (01027536)
        * Rename application (93bd3876)
        * Update path for lomiri-url-dispatcher (26fc221d)

2022-09-24 Weblate

        * Translated by Jiri Grönroos <jiri.gronroos@iki.fi> using Weblate
          (Finnish) - 100.0% (93 of 93 strings) (bcec5d64)

2022-08-23 Guido Berhoerster

        * CI: Do not fail builds on warnings and errors (465ae7e9)

2022-08-17 Emanuele Sorce

        * Merge branch 'port-to-lomiri-focal' into 'main' (7934e173)

2022-07-28 Guido Berhoerster

        * Update GitLab CI configuration (7d62f34a)
        * Switch to latest Clickable (f3ecea2b)

2022-06-23 Guido Berhoerster

        * Update translations (d5693b7e)
        * Change Camera App URL to its new name (1ac181fb)
        * Rename application (ec29df32)
        * Remove obsolete snap packaging (cad07ff0)

2022-06-15 Guido Berhoerster

        * Update and move Jenkinsfile to debian/ (1db477a1)
        * Update Debian packaging (0be91ad7)
        * Port to Lomiri on focal (b4b7aaf1)

2022-05-26 Weblate

        * Translated by Maciej Sopyło <maciek134@gmail.com> using Weblate
          (Polish) - 100.0% (93 of 93 strings) (4d56779e)

2022-04-25 Weblate

        * Translated by creepen123 <eg.ermakov2016@gmail.com> using Weblate
          (Russian) - 100.0% (93 of 93 strings) (6cd5541b)

2022-04-03 Weblate

        * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate
          (Central Khmer) - 100.0% (93 of 93 strings) (ecb2afb2)

2022-03-24 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 100.0% (93 of 93 strings) (8f637754)

2022-03-17 Weblate

        * Translated by ប៉ុកណូ រ៉ូយ៉ាល់ <poknoroyal@outlook.com> using Weblate
          (Central Khmer) - 97.8% (91 of 93 strings) (b7fbba9c)

2022-03-11 Weblate

        * Translated by anonymous <noreply@weblate.org> using Weblate
          (Japanese) - 80.6% (75 of 93 strings) (1eb3fdfb)

2022-02-28 Weblate

        * Translated by Ivo Xavier <ivofernandes12@gmail.com> using Weblate
          (Portuguese) - 100.0% (93 of 93 strings) (2a0f3860)

2022-02-10 Weblate

        * Translated by Герман Семенов <GermanAizek@yandex.ru> using Weblate
          (Russian) - 100.0% (93 of 93 strings) (8da0a5c6)

2022-02-05 Weblate

        * Translated by Lundrin <berenyi.vilmos@tutanota.com> using Weblate
          (Hungarian) - 100.0% (93 of 93 strings) (7be4001e)

2021-11-19 Weblate

        * Translated by Hugo Carvalho <hugokarvalho@hotmail.com> using
          Weblate (Portuguese) - 100.0% (93 of 93 strings)
          (ac129199)

2021-10-04 Weblate

        * Translated by Adolfo Jayme Barrientos <fitojb@ubuntu.com> using
          Weblate (Spanish) - 100.0% (93 of 93 strings) (0d4ea9da)

2021-08-29 Weblate

        * Translated by HEROBRINE7GAMER <tapermeerkat77@gmail.com> using
          Weblate (Arabic) - 100.0% (93 of 93 strings) (6f2d5b7c)

2021-08-21 Weblate

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (93 of 93 strings) (875b5c37)

2021-07-24 Emanuele Sorce

        * v2.10.9 - added "select/unselect all" button (thanks Daniel Frost!)
          - updated translations (thanks translator!) - updated CI
          (thanks Florian Leeber and Marcus Fredlund!) - bumped
          framework to 16.04.4 (8ddc951e) (tag: v2.10.9)
        * Merge branch 'updateqt' into 'master' (7440edc9)

2021-07-23 Danfro

        * update all qt imports to 5.9 and raise framwork to 16.04.4
          (d0afdb1e)

2021-07-23 Emanuele Sorce

        * Merge branch 'selectall' into 'master' (165f3e7a)

2021-07-23 Daniel Frost

        * add a select all button to photo and event overviews (6b30b143)

2021-07-08 Weblate

        * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate
          (Japanese) - 72.0% (67 of 93 strings) (8e8c5765)

2021-06-29 Weblate

        * Translated by Herman <GermanAizek@yandex.ru> using Weblate
          (Russian) - 100.0% (93 of 93 strings) (94776945)

2021-06-27 Florian Leeber

        * Merge branch 'fix_ci' into 'master' (4dcabbc3)

2021-06-27 mr-awk

        * fix paths of artifacts in CI (23d899aa)

2021-06-23 Florian Leeber

        * Merge branch 'refactor_ci' into 'master' (72ab23e8)

2021-06-23 mr-awk

        * refactor CI (88a68b82)

2021-06-22 Florian Leeber

        * Merge branch 'fix_ci_errors' into 'master' (83bc7c30)

2021-06-22 mr-awk

        * fixes some errors in ci pipeline (e0efbc00)

2021-06-22 Emanuele Sorce

        * Merge branch 'fix_ci_multiple_changelog' into 'master' (74b4fb28)

2021-06-21 mr-awk

        * Fixes problem with multiple change log messages on every build
          (4a09ac42)

2021-05-19 Weblate

        * Translated by Davidrebolomaga <davidre345@hotmail.com> using
          Weblate (Galician) - 100.0% (93 of 93 strings) (03e6ba26)

2021-05-15 Weblate

        * Translated by Ettore Atalan <atalanttore@googlemail.com> using
          Weblate (German) - 100.0% (93 of 93 strings) (828b17aa)

2021-05-03 Weblate

        * Translated by Enceka <enceka@yeah.net> using Weblate (Chinese
          (Simplified)) - 100.0% (93 of 93 strings) (81fa987a)

2021-03-25 Weblate

        * Translated by vokaliz <vokaliz@protonmail.com> using Weblate
          (Russian) - 100.0% (93 of 93 strings) (5b49d1a7)

2021-03-19 Weblate

        * Translated by c4pp4 <c4pp4@seznam.cz> using Weblate (Czech) -
          100.0% (93 of 93 strings) (ebc40a73)

2021-03-05 Weblate

        * Merge branch 'origin/master' into Weblate. (0eef09fa)

2021-03-05 tronfortytwo

        * v2.10.8 Fixed video playback on qt5.12 (Thanks Rodney) (fc7e0416)
          (tag: v2.10.8)

2021-03-05 Weblate

        * Merge branch 'origin/master' into Weblate. (c467deef)

2021-03-05 Emanuele Sorce

        * Merge branch 'fix-video-play' into 'master' (d4008e32)

2021-03-05 Weblate

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (93 of 93 strings) (4ff67484)

2021-03-04 Rodney Dawes

        * Remove the second MouseArea for video playback. (2d795440)

2021-03-04 tronfortytwo

        * v2.10.7 (cfc030dc) (tag: v2.10.7)

2021-03-03 Rodney Dawes

        * Work around MouseArea being parented under flickable.contentItem
          (7fc72e0d)

2021-02-15 Weblate

        * Translated by louies0623 <louies0623@gmail.com> using Weblate
          (Chinese (Traditional)) - 100.0% (93 of 93 strings)
          (15db7727)

2021-02-12 Weblate

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (93 of 93 strings) (96a31150)

2021-02-01 Weblate

        * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali
          (Bangladesh)) - 59.1% (55 of 93 strings) (4b64e980)

2021-01-30 Weblate

        * Translated by imrufbd <imrufbd@gmail.com> using Weblate (Bengali
          (Bangladesh)) - 1.0% (1 of 93 strings) (9ed8fdf0)

2021-01-16 Weblate

        * Translated by ierihon <idekovets@mail.ru> using Weblate (Russian) -
          100.0% (93 of 93 strings) (02938e2f)

2021-01-06 Weblate

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 100.0% (93
          of 93 strings) (4087f1e9)

2021-01-02 Weblate

        * Translated by GK <miscgk@pm.me> using Weblate (Tamil) - 97.8% (91
          of 93 strings) (b4077b13)

2020-12-26 Weblate

        * Translated by Allan Nordhøy <epost@anotheragency.no> using Weblate
          (Norwegian Bokmål) - 100.0% (93 of 93 strings) (30835cc6)

2020-12-18 Weblate

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (93 of 93 strings) (a3fcea67)

2020-12-08 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 95.6% (89 of 93 strings) (adf646a6)

2020-12-04 Weblate

        * Translated by Zmicer <nashtlumach@gmail.com> using Weblate
          (Belarusian) - 100.0% (93 of 93 strings) (0640f724)

2020-11-28 Weblate

        * Translated by M.Sugahara <equaaqua@hotmail.com> using Weblate
          (Japanese) - 70.9% (66 of 93 strings) (e6963788)

2020-11-16 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 96.7% (90 of 93 strings) (68834813)

2020-11-13 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 96.7% (90 of 93 strings) (bafce236)

2020-11-06 Weblate

        * Translated by abidin <abidin24@tutanota.com> using Weblate (Arabic)
          - 95.6% (89 of 93 strings) (3fcb5322)

2020-10-28 George Kitsopoulos

        * Translated by George Kitsopoulos <gkitsopoulos@tutanota.com> using
          Weblate (Greek) - 100.0% (93 of 93 strings) (c438b5da)

2020-10-26 Heimen Stoffels

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (93 of 93 strings) (c0280c46)

2020-10-26 Joan CiberSheep

        * Translated by Joan CiberSheep <cibersheep@gmail.com> using Weblate
          (Catalan) - 100.0% (93 of 93 strings) (7dbd83ae)

2020-10-18 Heimen Stoffels

        * Translated by Heimen Stoffels <vistausss@outlook.com> using Weblate
          (Dutch) - 100.0% (93 of 93 strings) (2522ff68)

2020-09-24 P.-H. Lin

        * Translated by P.-H. Lin <cypressyew@gmail.com> using Weblate
          (Chinese (Traditional)) - 100.0% (93 of 93 strings)
          (eda1b330)

2020-09-18 Adria

        * Translated by Adria <adriamartinmor@gmail.com> using Weblate
          (Sardinian) - 100.0% (93 of 93 strings) (8deba088)

2020-09-05 Rüdiger Kupper

        * Translated by Rüdiger Kupper <ruediger.kupper+launchpad@gmail.com>
          using Weblate (German) - 100.0% (93 of 93 strings)
          (3eded6d0)

2020-09-05 tamer dab

        * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate
          (Hebrew) - 100.0% (93 of 93 strings) (87941b5f)

2020-09-04 tamer dab

        * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate
          (Hebrew) - 100.0% (93 of 93 strings) (ff76dda6)
        * Translated by tamer dab <dabsantamer@yahoo.com> using Weblate
          (Hebrew) - 84.9% (79 of 93 strings) (66ac35ad)

2020-08-31 dano6

        * Translated by dano6 <dano.kutka@gmail.com> using Weblate (Slovak) -
          100.0% (93 of 93 strings) (ca7bb41b)

2020-08-31 Milan Korecký

        * Translated by Milan Korecký <milan.korecky@gmail.com> using Weblate
          (Czech) - 100.0% (93 of 93 strings) (027cafe3)

2020-08-29 Samson

        * Translated by Samson <sambelet@yahoo.com> using Weblate (Amharic) -
          98.9% (92 of 93 strings) (07c4b6e9)

2020-08-25 Arvid Brodin

        * Translated by Arvid Brodin <arvidb@fripost.org> using Weblate
          (Swedish) - 100.0% (93 of 93 strings) (de3af29e)

2020-08-16 Brian Douglass

        * Merge branch 'amd64-build' (2869cab9)

2020-08-15 Efstathios Iosifidis

        * Translated by Efstathios Iosifidis <iefstathios@gmail.com> using
          Weblate (Greek) - 100.0% (93 of 93 strings) (dca4dfa0)

2020-08-11 Brian Douglass

        * Added ci build for amd64 (4e1b6c39)

2020-08-08 satriocode

        * Translated by satriocode <satrioismail52@gmail.com> using Weblate
          (Indonesian) - 100.0% (93 of 93 strings) (f5a0dfc6)

2020-08-08 Weblate

        * Merge branch 'origin/master' into Weblate. (c74243b9)

2020-08-08 Emanuele Sorce

        * Merge branch 'NewSplash' into 'master' (6895f0ac)

2020-08-08 Joan CiberSheep

        * Tweak Splash. Fix CMake Identation (319caaf8)

2020-08-06 suntron

        * Translated by suntron <suntorn.mon@gmail.com> using Weblate
          (Burmese) - 37.6% (35 of 93 strings) (fbf17bbc)

2020-08-04 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          82.7% (77 of 93 strings) (d5202273)

2020-08-03 Emanuele Sorce

        * Merge branch 'config-updates' into 'master' (8e4d6494)

2020-08-02 Brian Douglass

        * Updated gitlab config (3d24eced)

2020-07-31 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          81.7% (76 of 93 strings) (794fc775)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          80.6% (75 of 93 strings) (6b788bfd)

2020-07-30 Young Kim

        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          73.1% (68 of 93 strings) (75c79bc8)
        * Translated by Young Kim <rsyh93@gmail.com> using Weblate (Korean) -
          64.5% (60 of 93 strings) (23038f53)

2020-07-17 Adria

        * Translated using Weblate (Sardinian) (4ead3e91)

2020-07-15 Brian Douglass

        * v2.10.6 - Fixed display issues on the pinephone (26e7af0b) (tag:
          v2.10.6)
        * Merge branch 'reduce-minimum-width' (8d4d9cc4)

2020-07-07 Heimen Stoffels

        * Translated using Weblate (Dutch) (b12e46fd)
        * Translated using Weblate (Dutch) (02c18725)

2020-07-04 Heimen Stoffels

        * Translated using Weblate (Dutch) (8d6290d7)
        * Translated using Weblate (Dutch) (06376074)
        * Translated using Weblate (Dutch) (13e6082c)

2020-07-03 Heimen Stoffels

        * Translated using Weblate (Dutch) (5d03ad1c)
        * Translated using Weblate (Dutch) (9b05c47e)

2020-07-03 Stoian Minaiev

        * Translated using Weblate (Ukrainian) (29c8c2fa)

2020-06-24 Dalton Durst

        * Reduce the gallery's minimum width (fa4d1019)

2020-06-23 Eugene Markoff

        * Translated using Weblate (Russian) (8e0e71f9)

2020-06-21 Emanuele Sorce

        * Merge branch 'kill' into 'master' (4dc7a79b)

2020-06-20 Danfro

        * add kill parameter to clickable.json (a4913e28)

2020-06-12 Emanuele Sorce

        * Merge branch 'fixtemplate' into 'master' (1616ec72)

2020-06-12 Daniel Frost

        * fix deprecated keyword "template" and replace with "builder"
          (4b6f17b2)

2020-06-12 Emanuele Sorce

        * Merge branch 'cleanup' into 'master' (6a40b345)
        * Merge branch 'scroll2' into 'master' (2192cba9)
        * Merge branch 'splashscreen' into 'master' (42934f30)

2020-06-02 Danfro

        * redesign splash screen to use icon and colors intead of header and
          white (7f5cb0c0)

2020-05-27 Danfro

        * add scrollview similar to PhotosOverview page (563a4b7c)
        * clear two unused imports (ea433947)

2020-05-18 Pavel Borecki

        * Translated using Weblate (Czech) (38a63b05)

2020-05-01 Emanuele Sorce

        * v2.10.5 - Added ScrollView (thanks Daniel Frost) - Updated
          translations (thanks translators!) - Color fixes (Thanks
          Joan Cibersheep) - CI builds for arm64 (Thanks Marius
          Gripsgard) (a97bcfe5) (tag: v2.10.5)

2020-04-11 Neutrum N

        * Translated using Weblate (Galician) (c328d56b)

2020-04-09 Neutrum N

        * Translated using Weblate (Galician) (53a7df04)

2020-03-13 Neutrum N

        * Translated using Weblate (Galician) (91fcad2f)

2020-03-02 Pavel Borecki

        * Translated using Weblate (Czech) (c67afa70)

2020-02-28 Pavel Borecki

        * Translated using Weblate (Czech) (5df184e5)

2020-02-24 dano6

        * Translated using Weblate (Slovak) (4f6c1078)

2020-02-16 dano6

        * Translated using Weblate (Slovak) (2abf4948)

2020-02-14 HSN80

        * Translated using Weblate (Persian) (0417351b)

2020-02-10 HSN80

        * Translated using Weblate (Persian) (f56d9547)

2020-02-05 Ege Öz

        * Translated using Weblate (Turkish) (19b2c79f)

2020-01-30 Emanuele Sorce

        * Merge branch 'scroll' into 'master' (df722eb7)

2020-01-30 Daniel Frost

        * add ScrollView to photo overview page (98bfdd43)

2019-12-20 M.Sugahara

        * Translated using Weblate (Japanese) (d1132943)

2019-12-12 Sami Törmänen

        * Translated using Weblate (Finnish) (06e65758)

2019-12-20 Eugene

        * Translated using Weblate (Russian) (5fb6b05f)

2020-01-16 Emanuele Sorce

        * Merge branch 'arm64-depl' into 'master' (cecb7cd4)
        * Merge branch 'ColorTweaks' into 'master' (139bb3f2)

2020-01-15 Joan CiberSheep

        * Twek colors (92784acc)

2020-01-14 Marius Gripsgard

        * Add deployment of arm64 (8da7cdb3)

2019-11-21 Alberto

        * Translated using Weblate (Galician) (bd799ebf)

2019-11-10 Moo

        * Translated using Weblate (Lithuanian) (8c007b74)

2019-11-02 Ege Öz

        * Translated using Weblate (Turkish) (152467a9)

2019-10-28 enolp

        * Translated using Weblate (Asturian) (f1bb1714)

2019-10-27 enolp

        * Translated using Weblate (Asturian) (e869c32e)

2019-10-24 Emanuele Sorce

        * Merge branch 'arm64' into 'master' (b5eb4de4)

2019-10-11 Marius Gripsgard

        * Build for arm64 (8f7eb428)

2019-10-04 Sami Törmänen

        * Translated using Weblate (Finnish) (fa9820f2)

2019-09-27 Weblate

        * Merge branch 'origin/master' into Weblate. (aacc873c)

2019-09-27 Emanuele Sorce

        * Merge branch 'update-gitlab-ci' into 'master' (92d790bd)

2019-09-24 Moo

        * Translated using Weblate (Lithuanian) (ffa8e7ce)

2019-09-20 Moo

        * Translated using Weblate (Lithuanian) (578cd81b)

2019-09-16 Daniel Frańczak

        * Translated using Weblate (Polish) (7dca8abe)

2019-09-09 Brian Douglass

        * Update gitlab ci for clickable v6 (d5df146a)

2019-09-07 Moo

        * Translated using Weblate (Lithuanian) (7153aa3c)

2019-09-05 Moo

        * Translated using Weblate (Lithuanian) (48fafb86)

2019-09-02 Anne Onyme

        * Translated using Weblate (French) (260b698c)

2019-08-13 Weblate

        * Merge branch 'origin/master' into Weblate. (9e1811f5)

2019-08-13 Joan CiberSheep

        * Update README.md (a336f164)

2019-08-13 Weblate

        * Merge branch 'origin/master' into Weblate. (8a79550b)

2019-08-13 Emanuele Sorce

        * v2.10.4 - Added system theme support - Delete Image Dialog button
          improved - Updated translations (6b7dd6d9) (tag: v2.10.4)

2019-08-10 Moo

        * Translated using Weblate (Lithuanian) (741eb010)

2019-07-31 Moo

        * Translated using Weblate (Lithuanian) (8f66b03b)
        * Added translation using Weblate (Lithuanian) (aa3611f3)

2019-07-15 Yasser Lotfy

        * Translated using Weblate (Arabic) (626829b6)

2019-07-13 Moshe Lazar

        * Translated using Weblate (Russian) (35f374cb)

2019-07-05 Aitzol Berasategi

        * Translated using Weblate (Basque) (60008113)

2019-07-02 Emanuele Sorce

        * Merge branch 'systemThemeSupport' into 'master' (ac591a67)

2019-07-01 Joan CiberSheep

        * Merge branch 'master' into 'master' (0a8aa55d)

2019-06-21 lxdb

        * Translated using Weblate (Russian) (632c8cb3)
        * Translated using Weblate (English (United States)) (fc46a7c7)

2019-06-20 Joan CiberSheep

        * Translated using Weblate (Catalan) (56cb37d8)

2019-06-19 Joan CiberSheep

        * Negative Action Button red, more obvious button text (edf8317c)

2019-06-04 Milan Korecký

        * Translated using Weblate (Czech) (b2e02c04)

2019-06-03 Ari Börde Kröyer

        * Translated using Weblate (Norwegian Bokmål) (2008f76f)

2019-05-21 Stefan Weng

        * add system theme support (855905da)

2019-05-20 Ari Börde Kröyer

        * Translated using Weblate (Norwegian Bokmål) (929107fe)

2019-05-15 louies0623

        * Translated using Weblate (Chinese (Hong Kong)) (36967b93)

2019-05-08 Ivo Xavier

        * Translated using Weblate (Portuguese) (f9a6f8b8)

2019-05-05 Aurelio Cilia

        * Translated using Weblate (Italian) (546f7cfc)

2019-05-01 louies0623

        * Translated using Weblate (Chinese (Traditional)) (8613c8d0)

2019-04-29 Joan CiberSheep

        * Translated using Weblate (Catalan) (8f13d642)

2019-05-03 Weblate

        * Repair Commit (39fa8565)

2019-04-27 Jiri Grönroos

        * Translated using Weblate (Finnish) (9753ab9e)

2019-04-28 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (12e15565)

2019-04-25 Vinícius F

        * Translated using Weblate (Portuguese (Brazil)) (0aaae521)

2019-04-23 不朽正义

        * Translated using Weblate (Chinese (Simplified)) (e57d8df4)
        * Translated using Weblate (Chinese (Simplified)) (df19c361)

2019-04-12 Hugh Y

        * Translated using Weblate (Chinese (Simplified)) (c8f64cbd)

2019-04-12 Aashrut

        * Added translation using Weblate (Gujarati) (42ed76ac)

2019-04-03 Tom Dom

        * Translated using Weblate (Dutch) (62684271)

2019-04-01 louies0623

        * Translated using Weblate (Chinese (Traditional)) (12f42604)

2019-03-31 Weblate

        * Merge branch 'origin/master' into Weblate (1e2cae91)

2019-03-26 Tom Dom

        * Translated using Weblate (Dutch) (dc96c3ba)

2019-03-27 Emanuele Sorce

        * Merge branch 'gitlab-ci-changelog' into 'master' (685b1200)

2019-03-27 Brian Douglass

        * Updated gitlab-ci to publish with changelog messages (442dfdab)

2019-03-27 Emanuele Sorce

        * Bumped version to 2.10.2 (c67a6bdd) (tag: v2.10.2)

2019-03-24 Weblate

        * Merge branch 'origin/master' into Weblate (d352c7f5)

2019-03-23 maor26

        * Translated using Weblate (Hebrew) (ea6745d4)

2019-03-22 Emanuele Sorce

        * Merge branch 'modifyClickable' into 'master' (c71d01ad)

2019-03-12 Rúben Carneiro

        * Translated using Weblate (Portuguese) (0f06b202)

2019-03-12 Ivo Xavier

        * Translated using Weblate (Portuguese) (4da3e7dc)

2019-03-12 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (75e1ca56)

2019-03-11 Stefan Weng

        * modify clickable.json to get conform with newer clickable versions
          (7dca6ca9)

2019-02-11 advocatux

        * Translated using Weblate (Spanish) (46dc9bbb)

2019-02-12 Daniel Frańczak

        * Translated using Weblate (Polish) (c4ac2c7c)

2019-03-03 Anne Onyme

        * Translated using Weblate (French) (08bcf0bd)

2019-02-09 Heimen Stoffels

        * Translated using Weblate (Dutch) (e3d4b14a)

2019-02-12 Milan Korecký

        * Translated using Weblate (Czech) (f1c3cc2b)

2019-01-21 louies0623

        * Translated using Weblate (Japanese) (b58f3ba4)

2019-01-25 Anastopoulos Theocharis

        * Translated using Weblate (Greek) (61d77413)

2019-01-20 louies0623

        * Translated using Weblate (Chinese (Simplified)) (8ca318ec)

2019-01-12 Adrià

        * Translated using Weblate (Sardinian) (78742779)
        * Translated using Weblate (Sardinian) (aaf7e919)

2019-01-09 Tom Rausner

        * Translated using Weblate (Danish) (0a1861c1)

2019-01-06 Weblate

        * Merge branch 'origin/master' into Weblate (883f8f12)

2019-01-06 Samson

        * Translated using Weblate (Amharic) (2c36cb26)

2019-01-03 Ennio Lavagnini

        * Translated using Weblate (Italian) (1d3fc985)

2019-01-02 Anne Onyme

        * Translated using Weblate (French) (e33a4e58)

2019-01-02 Tom Rausner

        * Translated using Weblate (Danish) (9262d00c)

2019-01-01 Jaume Angrill

        * Translated using Weblate (Catalan) (cd244038)

2018-12-31 Emanuele Sorce

        * Merge branch 'issue92' into 'master' (d0b499da) (tag: v2.10.1)

2018-12-31 Stefan Weng

        * changed informations to information (8bf06698)

2018-12-30 Weblate

        * Merge branch 'origin/master' into Weblate (4eb47195)

2018-12-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (26873255)

2018-12-28 Adrià

        * Translated using Weblate (Sardinian) (f57b0ceb)

2018-12-23 Emanuele Sorce

        * Merge branch 'albumPath' into 'master' (6328064d)
        * Merge branch 'versionBump' into 'master' (85641d05)

2018-12-23 Weblate

        * Merge branch 'origin/master' into Weblate (a76457f9)

2018-12-22 Rondy Andersson

        * Translated using Weblate (Swedish) (050c6303)

2018-12-22 ierihon

        * Translated using Weblate (Belarusian) (d981c9db)

2018-12-17 ierihon

        * Translated using Weblate (Russian) (05f1e892)

2018-12-21 Rüdiger Kupper

        * Translated using Weblate (German) (2f7fd505)

2018-12-18 Jiri Grönroos

        * Translated using Weblate (Finnish) (fd848065)

2018-12-19 Hussain Hashem Aljafri

        * Translated using Weblate (Arabic) (f111ac1a)

2018-12-22 Dito Kurnia P

        * Translated using Weblate (Indonesian) (f71950b7)

2018-12-22 Rondy Andersson

        * Translated using Weblate (Swedish) (228d1314)

2018-12-21 Milan Korecký

        * Translated using Weblate (Czech) (3b8e1135)

2018-12-19 Stefan

        * bump versionnumber for the next release (bade41aa)

2018-12-17 nigel wood

        * Translated using Weblate (English (United Kingdom)) (e423390e)

2018-12-18 Sander

        * Translated using Weblate (Dutch) (7935d739)

2018-12-18 Louies

        * Added translation using Weblate (English (United States))
          (f8387bae)

2018-12-17 Emanuele Sorce

        * Merge branch 'addingPicture' into 'master' (5c82790f)

2018-12-17 rocco

        * Translated using Weblate (Italian) (1d8a6e28)
        * Translated using Weblate (Italian) (a684c3bd)

2018-12-17 Mike

        * Translated using Weblate (Italian) (74fe6429)

2018-12-17 jEzEk

        * Translated using Weblate (Slovak) (c6737082)

2018-12-17 Stefan

        * delete the vivid database if vivid and xenial exists (dfc10107)

2018-12-16 Florian Leeber

        * Translated using Weblate (German) (b594f02b)

2018-12-16 Stefan Weng

        * Translated using Weblate (German) (bba3b0b7)

2018-12-16 Max Libre

        * Translated using Weblate (French) (40b9a197)

2018-12-16 Anne Onyme

        * Translated using Weblate (French) (77d838e6)

2018-12-16 Joan CiberSheep

        * Translated using Weblate (Catalan) (2a7a0ffd)

2018-12-16 Louies

        * Translated using Weblate (Chinese (Traditional)) (c4f035ea)

2018-12-16 Daniel Frańczak

        * Translated using Weblate (Polish) (cf4b6ec9)

2018-12-16 advocatux

        * Translated using Weblate (Spanish) (51996a3d)

2018-12-16 Max Libre

        * Translated using Weblate (French) (6a0c5303)
        * Translated using Weblate (French) (4a847c2e)

2018-12-16 Stefan Weng

        * copy database if it is on the wrong location (18454478)

2018-12-14 Stefan

        * try to detect if database is in right path or in the wrong path or
          even dont exist (e77d51f9)

2018-12-12 Stefan

        * changed MediaSelector Icon from add to ok (0c89e3c0)

2018-12-06 Stefan Weng

        * fix path QStandardPaths::writeableLocation returns (842106d3)

2018-12-03 Weblate

        * Merge branch 'origin/master' into Weblate (215b84f5)

2018-12-03 Brian Douglass

        * Added gitlab ci (58518a96)

2018-12-03 Weblate

        * Merge branch 'origin/master' into Weblate (2315ed53)

2018-12-03 Emanuele Sorce

        * Merge pull request #96 from StefWe/albumView (f8b39ad0)

2018-12-03 Weblate

        * Merge branch 'origin/master' into Weblate (632175c5)

2018-12-03 Emanuele Sorce

        * Merge pull request #97 from
          ubports-weblate/weblate-ubports-gallery-app (e885caa3)

2018-12-02 Weblate

        * Merge branch 'origin/master' into Weblate (d3328e89)

2018-12-02 Emanuele Sorce

        * Merge pull request #76 from ubports/issue42 (4946dc36)

2018-11-30 Dmytro Gladkyi

        * Translated using Weblate (Ukrainian) (032b3b21)

2018-12-02 Stefan Weng

        * add width and height to be a part of newRect (4e8aa303)

2018-11-27 Emanuele Sorce

        * Merge pull request #94 from StefWe/issue42 (bbf6f5bd)

2018-11-25 Florian Leeber

        * Merge pull request #95 from
          ubports-weblate/weblate-ubports-gallery-app (32a1d359)

2018-11-25 Stefan Weng

        * fix thumbnail picture preview on Content Hub (7b74b552)

2018-11-23 Weblate

        * Merge branch 'origin/master' into Weblate (52c489c0)

2018-11-19 ierihon

        * Translated using Weblate (Russian) (e867042d)

2018-11-19 Anne Onyme

        * Translated using Weblate (French) (722b852f)

2018-11-22 Louies

        * Translated using Weblate (Chinese (Hong Kong)) (cb31e017)

2018-11-23 Emanuele Sorce

        * Merge pull request #90 from StefWe/potBuild (c466a955)

2018-11-23 Stefan

        * merged slider input (6b2fbc24)
        * gridsize input with a slider (697464f2)

2018-08-31 Bjarne Roß

        * Grid settings using Button (d8cffa8d)

2018-11-18 Weblate

        * Merge branch 'origin/master' into Weblate (7afa1955)

2018-11-18 Florian Leeber

        * Merge pull request #91 from StefWe/fixStringInMediaViewer
          (820d4e52)

2018-11-18 Weblate

        * Merge branch 'origin/master' into Weblate (a7bff389)

2018-11-16 ierihon

        * Translated using Weblate (Russian) (22c5d86a)

2018-11-10 Sander

        * Translated using Weblate (Dutch) (948d10a2)

2018-11-13 Louies

        * Translated using Weblate (Chinese (Traditional)) (1f886ce0)

2018-11-15 Aitzol Berasategi

        * Translated using Weblate (Basque) (9311bedb)

2018-11-11 Samson

        * Translated using Weblate (Amharic) (bc2b4080)

2018-11-18 Florian Leeber

        * Merge pull request #86 from
          ubports-weblate/weblate-ubports-gallery-app (3b9e41e8)

2018-11-18 Stefan Weng

        * pot file with new strings for translation (c4a9876d)

2018-11-16 Stefan

        * fixed two missing strings in the pot file (6065b8ea)
        * on every build a new .pot file is in the directory /po (210e619b)

2018-11-16 ierihon

        * Translated using Weblate (Russian) (09ed2681)

2018-11-15 Aitzol Berasategi

        * Translated using Weblate (Basque) (3d6a8d51)

2018-11-05 Louies

        * Translated using Weblate (Chinese (Traditional)) (59ec2641)

2018-11-04 Weblate

        * Merge branch 'origin/master' into Weblate (48caa20c)

2018-11-04 Florian Leeber

        * Merge pull request #84 from TronFortyTwo/info-dialog-improvements
          (30e2c90e)

2018-11-04 Weblate

        * Merge branch 'origin/master' into Weblate (cb376f2d)

2018-11-03 xqqy

        * Translated using Weblate (Chinese (Simplified)) (64ceec81)

2018-11-04 Florian Leeber

        * Merge pull request #85 from
          ubports-weblate/weblate-ubports-gallery-app (301ddb2a)

2018-10-28 advocatux

        * Translated using Weblate (Spanish) (08852151)

2018-10-31 ierihon

        * Translated using Weblate (Russian) (0757d434)

2018-10-31 Anne Onyme

        * Translated using Weblate (French) (8ccde625)

2018-10-29 Louies

        * Translated using Weblate (Chinese (Traditional)) (26ab5b1e)

2018-10-28 Joan CiberSheep

        * Translated using Weblate (Catalan) (a81694d3)

2018-10-31 tronfortytwo

        * Info dialog: added date and time - improved layout (218cec4b)

2018-10-30 tronfortytwo

        * Merge branch 'master' of https://github.com/ubports/gallery-app
          (73f72061)

2018-10-28 Weblate

        * Merge branch 'origin/master' into Weblate (06f2b19e)

2018-10-28 Sergio Reyes

        * Translated using Weblate (Spanish) (1ca77f58)

2018-10-28 Florian Leeber

        * Merge pull request #82 from
          ubports-weblate/weblate-ubports-gallery-app (ff135746)

2018-10-24 Louies

        * Translated using Weblate (Chinese (Traditional)) (b750c961)

2018-10-23 Louies

        * Translated using Weblate (漢語（正體字）) (ed42d96e)

2018-10-22 Weblate

        * Merge branch 'origin/master' into Weblate (4e8ba8d1)

2018-10-22 Louies

        * Translated using Weblate (Chinese (Traditional)) (01fa774c)

2018-10-22 Rodney

        * Merge pull request #81 from ubports/drop-unityactions (2924b04a)

2018-10-21 Rodney Dawes

        * Use the UITK Actions API instead. (fa7f93a1)

2018-10-14 Florian Leeber

        * Merge pull request #79 from
          ubports-weblate/weblate-ubports-gallery-app (8da70a2b)

2018-09-02 Rondy Andersson

        * Translated using Weblate (Schwedisch) (36fd3fb1)

2018-09-08 SongInseo

        * Translated using Weblate (Koreanisch) (021bb598)

2018-09-12 ArashiHino

        * Translated using Weblate (Japanisch) (2b127d79)

2018-10-05 Florian Leeber

        * Translated using Weblate (Deutsch) (04674478)

2018-10-01 Ben van Hartingsveldt

        * Translated using Weblate (Dutch) (aca31c8c)

2018-10-05 Milan Korecký

        * Translated using Weblate (Czech) (4c976ad8)

2018-10-11 Daniel Frost

        * Translated using Weblate (English (United Kingdom)) (d8a27b72)

2018-10-04 Weblate

        * Merge branch 'master' of https://github.com/ubports/gallery-app
          (d6349123)

2018-10-01 Ben van Hartingsveldt

        * Translated using Weblate (Dutch) (5cfa50cd)

2018-09-15 Tom Rausner

        * Translated using Weblate (Danish) (fe8d2f0f)

2018-09-01 Florian Leeber

        * Merge pull request #78 from
          ubports-weblate/weblate-ubports-gallery-app (f79ac9d2)

2018-08-26 Øjvind Fritjof Arnfred

        * Translated using Weblate (Danish) (ad6a3227)

2018-08-31 Bjarne Roß

        * Grid settings using Button (4ead4828)

2018-08-19 Florian Leeber

        * Translated using Weblate (Spanish) (cc0df2e5)

2018-08-23 P_E_T_O

        * Translated using Weblate (Slovak) (ee7b41fc)

2018-08-25 Emanuele Sorce

        * Added panel that shows info about the media file (#74) (b2fead48)
        * Merge branch 'master' into master (ec73a00c)

2018-08-20 tronfortytwo

        * Use a popup instead of a page (bb0d3dd9)

2018-08-12 Florian Leeber

        * Merge pull request #72 from
          ubports-weblate/weblate-ubports-gallery-app (0b49afbb)

2018-08-08 ierihon

        * Translated using Weblate (Belarusian) (1a1c0790)

2018-08-05 ubports-weblate

        * Translated using Weblate (Danish) (#70) (33e2f143)

2018-07-22 ubports-weblate

        * Update from Weblate. (#69) (8469d2e3)

2018-07-15 ubports-weblate

        * Translated using Weblate (German) (#68) (29d38e15)

2018-07-09 ubports-weblate

        * Update from Weblate. (#67) (32b4f518)

2018-06-12 Dalton Durst

        * Update framework and policy version to 16.04 + change maintainer
          (#66) (676e2f2a)

2018-06-09 Marius Gripsgard

        * Bump version (098fdbcd)

2018-05-13 ubports-weblate

        * Update from Weblate. (#62) (74a34e6d)

2018-05-08 ubports-weblate

        * Update from Weblate. (#61) (180403e0)

2018-04-30 StefWe

        * Translation issues fixed (#58) (9d69b3ed)

2018-04-30 ubports-weblate

        * Update from Weblate. (#59) (6a452acd)

2018-04-29 ubports-weblate

        * Update from Weblate. (#57) (219c9636)

2018-03-18 ubports-weblate

        * Update from Weblate. (#55) (580f4ca3)

2018-03-04 ubports-weblate

        * Update from Weblate. (#54) (6f056abf)

2018-02-27 TronFortyTwo

        * Work on the info page (8509f7a2)
        * Work on the new Media Info Panel (4f2b9a7d)
        * Removed useless runOnDevice script (6ef42220)
        * Merge branch 'master' of https://github.com/ubports/gallery-app
          (120e1ce3)
        * Updated clickable file (0efc27ec)

2018-02-25 ubports-weblate

        * Update from Weblate. (#53) (7e4d69bf)

2018-02-22 Marius Gripsgard

        * Remove upstart as dep since it does not depend on it (a4aef8b3)
        * Update changelog (d00fd8b3)
        * Add Jenkinsfile (64a7d8c7)

2018-02-18 Florian Leeber

        * Merge pull request #52 from
          ubports-weblate/weblate-ubports-gallery-app (b0c94bd4)

2018-02-18 Weblate

        * Repair commit (51eb0c12)

2018-02-11 Florian Leeber

        * Merge pull request #51 from
          ubports-weblate/weblate-ubports-gallery-app (02f2ab6b)

2018-02-11 Weblate

        * Merge remote-tracking branch 'origin/master' (2517a3e8)

2018-02-09 Ivan Semkin

        * Translated using Weblate (Russian) (37707a85)

2018-02-09 Eran

        * Translated using Weblate (Hebrew) (b47c54bc)

2018-02-08 Florian Leeber

        * Merge pull request #50 from
          ubports-weblate/weblate-ubports-gallery-app (ddb61dfd)

2018-02-08 Weblate

        * Merge remote-tracking branch 'origin/master' (73360733)

2018-01-02 Adrià

        * Translated using Weblate (Sardinian) (5aa16996)

2018-01-18 Noock

        * Translated using Weblate (Portuguese (Brazil)) (9ce1f681)

2018-01-18 hensip

        * Translated using Weblate (Galician) (f06a8486)

2018-01-17 Jiri Grönroos

        * Translated using Weblate (Finnish) (0e237d14)

2018-02-01 ubports_arabic

        * Translated using Weblate (Arabic) (1bd38d0c)

2018-01-18 Noock

        * Translated using Weblate (Portuguese (Brazil)) (95f04985)

2018-01-07 ubports-weblate

        * Update from Weblate. (#49) (791dd799)

2018-01-03 Peter Nerlich

        * Translated using Weblate (German) (a628712b)

2017-12-23 Samson

        * Translated using Weblate (Amharic) (cc7c860e)

2017-12-09 Florian Leeber

        * Merge pull request #47 from
          ubports-weblate/weblate-ubports-gallery-app (951dd4ad)

2017-12-03 Weblate

        * Merge remote-tracking branch 'origin/master' (9debe016)

2017-08-19 qutghan

        * Translated using Weblate (Uighur) (96bee5a9)

2017-11-26 Arda Canbolat

        * Translated using Weblate (Turkish) (27ee507e)

2017-11-01 Sergio

        * Translated using Weblate (Spanish) (a56fc893)

2017-06-28 Kristijan

        * Translated using Weblate (Slovenian) (91468e46)

2017-09-23 Peter Valachovič

        * Translated using Weblate (Slovak) (46f7e849)

2017-11-20 Alexey Balmashnov

        * Translated using Weblate (Russian) (e6cd760a)

2017-10-30 Brînzariu Cristian

        * Translated using Weblate (Romanian) (3e5eef42)

2017-11-03 Ivo Xavier

        * Translated using Weblate (Portuguese) (0be3e3b2)

2017-10-10 Daniel Frańczak

        * Translated using Weblate (Polish) (f8edfdde)

2017-08-21 Gabriele

        * Translated using Weblate (Italian) (92df278a)

2017-07-04 Eran

        * Translated using Weblate (Hebrew) (d1fb4cd2)

2017-11-13 Peter Nerlich

        * Translated using Weblate (German) (7d7bb68d)

2017-09-06 RedXXIII

        * Translated using Weblate (French) (2eea7d67)

2017-09-27 Florian Leeber

        * Translated using Weblate (English (United Kingdom)) (309da3d1)

2017-08-24 Sander

        * Translated using Weblate (Dutch) (a8ffdc9f)

2017-10-01 Henrik Holm

        * Translated using Weblate (Danish) (05d9fb66)

2017-10-06 Milan Korecký

        * Translated using Weblate (Czech) (a4182b8a)

2017-10-21 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (6453252e)

2017-09-30 Stefano Melchior

        * Translated using Weblate (Catalan) (ba563bad)

2017-07-05 Aitzol Berasategi

        * Translated using Weblate (Basque) (22d41b94)

2017-07-17 Ahmed Suliman

        * Translated using Weblate (Arabic) (b1b92c39)

2017-12-03 Florian Leeber

        * Merge pull request #46 from
          ubports-weblate/weblate-ubports-gallery-app (5069079a)

2017-11-26 Arda Canbolat

        * Translated using Weblate (Turkish) (0c4f00c1)

2017-11-26 Weblate

        * Merge remote-tracking branch 'origin/master' (3d5fcd70)

2017-11-25 Arda Canbolat

        * Translated using Weblate (Turkish) (15f0dd51)

2017-11-26 Florian Leeber

        * Merge pull request #45 from
          ubports-weblate/weblate-ubports-gallery-app (cc9b1612)

2017-11-20 Alexey Balmashnov

        * Translated using Weblate (Russian) (88a3b31d)

2017-11-19 Weblate

        * Merge remote-tracking branch 'origin/master' (7ff7e98e)

2017-11-19 ubports-weblate

        * Translated using Weblate (German) (#44) (ed7c48a2)

2017-11-13 Peter Nerlich

        * Translated using Weblate (German) (3547572f)

2017-11-05 Florian Leeber

        * Merge pull request #40 from
          ubports-weblate/weblate-ubports-gallery-app (90f29d40)

2017-11-01 Sergio

        * Translated using Weblate (Spanish) (4c0d1d5c)

2017-11-03 Ivo Xavier

        * Translated using Weblate (Portuguese) (7f886e18)

2017-10-30 Brînzariu Cristian

        * Translated using Weblate (Romanian) (76c5ea16)

2017-10-29 Weblate

        * Merge remote-tracking branch 'origin/master' (2a1da2a0)

2017-10-29 Brînzariu Cristian

        * Translated using Weblate (Romanian) (744c4a12)

2017-10-28 Twinkybot

        * Translated using Weblate (German) (8075177b)

2017-10-29 Florian Leeber

        * Merge pull request #39 from
          ubports-weblate/weblate-ubports-gallery-app (691afecf)

2017-10-05 Florian Leeber

        * Translated using Weblate (German) (c7d37011)

2017-10-23 Weblate

        * Merge remote-tracking branch 'origin/master' (c851f57f)

2017-10-21 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (ffeee270)

2017-10-23 ubports-weblate

        * Update from Weblate. (#38) (5c60a6b5)

2017-10-15 Ivan Semkin

        * Translated using Weblate (Russian) (a332f708)

2017-10-19 Ivo Xavier

        * Translated using Weblate (Portuguese) (2913d6d0)

2017-10-10 Daniel Frańczak

        * Translated using Weblate (Polish) (87616c8c)

2017-10-08 Florian Leeber

        * Merge pull request #37 from
          ubports-weblate/weblate-ubports-gallery-app (1c333b75)

2017-10-05 Jonasz Potoniec

        * Translated using Weblate (Polish) (84b3fdc9)

2017-10-05 Florian Leeber

        * Translated using Weblate (German) (00ba59f1)

2017-10-06 Milan Korecký

        * Translated using Weblate (Czech) (0f057b2d)

2017-10-05 Twinkybot

        * Translated using Weblate (German) (485abf62)

2017-10-01 Henrik Holm

        * Translated using Weblate (Danish) (db04a018)

2017-10-01 Weblate

        * Merge remote-tracking branch 'origin/master' (085b3cca)

2017-09-30 Nelly Simkova

        * Translated using Weblate (Russian) (62527fb2)

2017-09-30 Stefano Melchior

        * Translated using Weblate (Catalan) (cf39a137)

2017-10-01 Florian Leeber

        * Merge pull request #36 from
          ubports-weblate/weblate-ubports-gallery-app (48cb338a)

2017-09-28 Ivo Xavier

        * Translated using Weblate (Portuguese) (7ad5b557)

2017-09-28 Philipp Leibelt

        * Translated using Weblate (German) (f7f5cde5)

2017-09-27 Florian Leeber

        * Translated using Weblate (English (United Kingdom)) (94b727e2)

2017-09-29 Jeff

        * Translated using Weblate (Albanian) (f657472e)

2017-09-25 Weblate

        * Merge remote-tracking branch 'origin/master' (81222694)

2017-09-23 Peter Valachovič

        * Translated using Weblate (Slovak) (4e37b09e)

2017-09-19 Daniel Frańczak

        * Translated using Weblate (Polish) (9e00102f)

2017-09-25 Henrik Holm

        * Translated using Weblate (Danish) (36d8d10f)

2017-09-18 Milan Korecký

        * Translated using Weblate (Czech) (ca0d8323)

2017-09-25 Florian Leeber

        * Merge pull request #34 from
          ubports-weblate/weblate-ubports-gallery-app (e94863de)

2017-09-17 Weblate

        * Merge remote-tracking branch 'origin/master' (4027c4eb)

2017-09-16 Beton

        * Translated using Weblate (Polish) (576b761b)

2017-09-17 Florian Leeber

        * Merge pull request #32 from
          ubports-weblate/weblate-ubports-gallery-app (590dcba2)

2017-09-15 Adrià

        * Translated using Weblate (Sardinian) (0292da95)

2017-09-13 Jeff

        * Translated using Weblate (Albanian) (ef4016ce)

2017-09-10 Florian Leeber

        * Merge pull request #31 from
          ubports-weblate/weblate-ubports-gallery-app (76f08bbc)

2017-09-08 Jeff

        * Translated using Weblate (Albanian) (0ba6a7a8)
        * Added translation using Weblate (Albanian) (b46a9a24)

2017-09-07 Peter Valachovič

        * Translated using Weblate (Slovak) (9184a053)

2017-09-03 Ivan Semkin

        * Translated using Weblate (Russian) (c6a02c71)

2017-09-07 Milan Korecký

        * Translated using Weblate (Czech) (1274c5b4)

2017-09-06 Reda

        * Translated using Weblate (French) (56a9b7b0)

2017-09-03 Anne Onyme

        * Translated using Weblate (French) (f63bbd7a)

2017-09-03 Florian Leeber

        * Merge pull request #30 from
          ubports-weblate/weblate-ubports-gallery-app (0b7c3560)

2017-08-28 Milan Korecký

        * Translated using Weblate (Czech) (ee18d3eb)

2017-08-27 Jan Sprinz

        * Merge pull request #29 from
          ubports-weblate/weblate-ubports-gallery-app (20c6eca2)

2017-08-24 Sander

        * Translated using Weblate (Dutch) (dd061ecf)

2017-08-26 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (9872680f)

2017-08-23 Florian Leeber

        * Merge pull request #25 from
          ubports-weblate/weblate-ubports-gallery-app (4397419d)

2017-08-21 Gabriele

        * Translated using Weblate (Italian) (3ea2c24f)

2017-08-20 Jan Sprinz

        * Merge pull request #24 from
          ubports-weblate/weblate-ubports-gallery-app (e2dd9ede)

2017-08-20 Weblate

        * Merge remote-tracking branch 'origin/master' (1ecdca2a)

2017-08-19 qutghan

        * Translated using Weblate (Uighur) (f4372f5e)

2017-08-19 Florian Leeber

        * Merge pull request #23 from
          ubports-weblate/weblate-ubports-gallery-app (1e9be6f3)

2017-08-17 advocatux

        * Translated using Weblate (Spanish) (a1beb55b)

2017-08-17 Florian Leeber

        * Translated using Weblate (German) (4f082e18)
        * Merge pull request #22 from
          ubports-weblate/weblate-ubports-gallery-app (dd647517)

2017-07-30 Milan Korecký

        * Translated using Weblate (Czech) (ba5ada78)

2017-07-26 František Tomajko

        * Translated using Weblate (Slovak) (822733c7)

2017-07-24 Arjan Vlek

        * Translated using Weblate (Dutch) (5e2d355c)

2017-07-22 dimitra

        * Translated using Weblate (Russian) (9f62f68b)

2017-07-20 wangyou

        * Translated using Weblate (Chinese (Simplified)) (2d47ef04)
        * Translated using Weblate (Chinese (Simplified)) (f17479a6)

2017-07-17 Walter Garcia-Fontes

        * Translated using Weblate (Catalan) (242043a0)

2017-07-17 Ahmed Suliman

        * Translated using Weblate (Arabic) (462c36a0)

2017-07-17 Weblate

        * Merge remote-tracking branch 'origin/master' (e20244ce)

2017-07-16 t-h-e-p-e-t-e-r

        * Translated using Weblate (Slovak) (ef129ff5)

2017-07-17 Gerd Sänger

        * Translated using Weblate (German) (f4aadada)

2017-07-17 advocatux

        * Translated using Weblate (English (United Kingdom)) (ca967d78)

2017-07-17 Florian Leeber

        * Merge pull request #17 from
          ubports-weblate/weblate-ubports-gallery-app (797df8dc)

2017-07-14 Andrzej Stamburski

        * Translated using Weblate (Polish) (d43025df)

2017-07-12 Florian Leeber

        * Merge pull request #16 from
          ubports-weblate/weblate-ubports-gallery-app (52dad397)

2017-07-10 TronFourtyTwo

        * Added media information BottomEdge, just basic implementation
          (3b8c5050)
        * Added some dependencies to clickable.json (50eb1319)

2017-07-08 Ahmed Suliman

        * Translated using Weblate (Arabic) (a254e633)
        * Translated using Weblate (Arabic) (9782bad5)

2017-07-08 Florian Leeber

        * Merge pull request #15 from
          ubports-weblate/weblate-ubports-gallery-app (62dbcb45)

2017-07-08 Weblate

        * Merge remote-tracking branch 'origin/master' (5e36fd0c)

2017-07-06 Milan Korecký

        * Translated using Weblate (Czech) (d981db5c)

2017-07-07 Florian Leeber

        * Merge pull request #14 from
          ubports-weblate/weblate-ubports-gallery-app (feefc544)

2017-07-05 Ahmed Suliman

        * Translated using Weblate (Arabic) (c20d1fa1)

2017-07-04 Eran

        * Translated using Weblate (Hebrew) (cb60c2ae)

2017-07-04 Mutse Young

        * Translated using Weblate (Chinese (Simplified)) (d438051d)

2017-07-05 Aitzol Berasategi

        * Translated using Weblate (Basque) (b8b0993d)

2017-07-01 Brînzariu Cristian

        * Translated using Weblate (Romanian) (ebc811fd)

2017-06-30 Francisco Molinero

        * Translated using Weblate (Spanish) (c0651750)

2017-06-29 Ivo Xavier

        * Translated using Weblate (Portuguese) (dfc259ed)

2017-06-29 Weblate

        * Merge remote-tracking branch 'origin/master' (13cd9196)

2017-06-28 Kristijan

        * Translated using Weblate (Slovenian) (b3bd3703)

2017-06-28 Brînzariu Cristian

        * Translated using Weblate (Romanian) (a6917364)

2017-06-28 Eran

        * Translated using Weblate (Hebrew) (97691e03)

2017-06-28 Gerd Sänger

        * Translated using Weblate (German) (16504b95)

2017-06-28 Milan Korecký

        * Translated using Weblate (Czech) (f899eea0)

2017-06-27 Joan CiberSheep

        * Translated using Weblate (Catalan) (a10447ad)

2017-06-27 Weblate Admin

        * Translated using Weblate (German) (d9e45ae8)

2017-06-28 Adrià

        * Translated using Weblate (Sardinian) (c469935a)
        * Added translation using Weblate (Sardinian) (79b64934)

2017-06-28 Florian Leeber

        * Merge pull request #13 from TronFourtyTwo/master (27144e7a)

2017-06-27 Brînzariu Cristian

        * Translated using Weblate (Romanian) (231a41b7)

2017-06-27 Milan Korecký

        * Translated using Weblate (Czech) (3acb4a14)

2017-06-27 TronFourtyTwo

        * Little resizing of a the play icon for a better experience
          (072d2025)
        * Removed 'album-add' picture and replaced it with standard
          components (bc8837a8)
        * Updated version number (next version gonna be 2.9.4) (6e44433b)
        * Removed unused icon images (5b2d4704)
        * removed unused 'add' image (a97bda73)
        * Removed unused 'delete' image (92a99296)
        * Removed icon_play image and using Suru theme icon instead
          (88d8b83b)

2017-06-26 TronFourtyTwo

        * Using the Suru "edit" icon (7c0537a2)
        * removed old bazaar stuff (5f4292b2)

2017-06-25 Florian Leeber

        * Merge pull request #12 from aitzol76/master (d93de5c6)

2017-06-25 aitzol76

        * Update eu.po (324a81f3)

2017-06-25 Florian Leeber

        * Merge pull request #11 from TronFourtyTwo/master (26d69730)

2017-06-24 TronFourtyTwo

        * Edit action in videos now is invisible (bdd105c3)

2017-06-24 Florian Leeber

        * Merge pull request #9 from TronFourtyTwo/master (594c9783)

2017-06-23 TronFourtyTwo

        * Rewritten README (444bb938)
        * Merge branch 'master' of
          https://github.com/TronFourtyTwo/gallery-app (c979bae7)
        * Now photos can be zoomed until 5x, updated README (b289244f)

2017-06-19 TronFourtyTwo

        * Added License informations in README (9f444446)

2017-06-14 TronFourtyTwo

        * Fixed broken 'share to' button, and other improvements (c5b7213a)

2017-06-13 Florian Leeber

        * Merge pull request #7 from TronFourtyTwo/master (27ee87da)

2017-06-13 TronFourtyTwo

        * Started moving to latest ubuntu components Now git will ignore also
          Kdevelop files (9e7514fd)

2017-06-09 TronFourtyTwo

        * Updated version to 2.9.3 (a066e112)

2017-06-08 Marius Gripsgard

        * Merge pull request #6 from TronFourtyTwo/master (6fc53dd6)

2017-06-06 TronFourtyTwo

        * Nicer delete message (e6f55cf7)
        * Updated manifest file to make use of latest 15.04 framework, maybe
          (9d6cbb7a)

2017-06-05 Florian Leeber

        * Merge pull request #3 from TronFourtyTwo/master (7a22ac8d)

2017-06-05 TronFourtyTwo

        * Use gitignore instead of bzrignore (69419662)
        * Corrected typos in README (56c764a9)

2017-06-04 TronFourtyTwo

        * Updated README file (cc1f4537)
        * Changed manifest file with current manteiners and added
          clickable.json file (6b1d689f)

2017-04-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6137925d)

2017-03-25 Renato Araujo Oliveira Filho

        * [snap] Connect with mir-libs content share. (428aa12d)

2017-02-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cc0c04f6)

2017-02-09 Renato Araujo Oliveira Filho

        * Add missing deps. (c2490802)
        * [snap] Use 'build-attributes: [no-system-libraries]' to not include
          extra libraries. (33c060e2)
        * [snap] Added "mir" interface on plug list (0af44805)

2017-01-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ee41213e)

2016-12-13 Bileto Bot

        * Releasing 0.0.67+17.04.20161213-0ubuntu1 (94447051)

2016-12-13 Ken VanDine

        * added apparmor profile for gallery-app (38233623)

2016-12-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (986c3335)

2016-12-01 Ken VanDine

        * build dep on dh-apparmor (afb8f70e)
        * merged trunk (e63899ac)
        * Added apparmor profile (f786b2de)

2016-12-01 Renato Araujo Oliveira Filho

        * Remove 'thumbnailer' from interface list. (still not available on
          snapd) (9e5f915f)

2016-12-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (17569dde)

2016-11-30 Renato Araujo Oliveira Filho

        * Trunk merged. (64f3653b)

2016-11-29 Renato Araujo Oliveira Filho

        * Sync version with changelog. (326268e0)

2016-11-29 Bileto Bot

        * Releasing 0.0.67+17.04.20161129-0ubuntu1 (d206e51a)

2016-11-29 Renato Araujo Oliveira Filho

        * Make use of ubuntu-app-platform. (9ca25035)
        * Set Import dir based on "SNAP" env var. (LP: #1629009) (39369da3)
        * Release snap 2.9.2 Fix missing file. (307acf71)

2016-11-21 Renato Araujo Oliveira Filho

        * Make sure that pulse library can be find. (e3058ad6)
        * Added missing files from xdg-user-dirs. (d20e5e59)
        * Fixed app launcher. (9ba4af2c)
        * Added snap metadata. (0f1b61d0)
        * Make use of ubuntu-app-platform. (7c4a877f)

2016-11-17 Renato Araujo Oliveira Filho

        * Set Import dir based on "SNAP" env var. (ee58d7b8)

2016-09-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7d054097)

2016-09-21 Bileto Bot

        * Releasing 0.0.67+16.10.20160921-0ubuntu1 (d848abe6)

2016-09-21 Arthur Mello

        * Add upstart as a build dep so gallery will not be build against
          archs that do not have it (38891e1c)
        * Add yaml file and place icon to the expected path to add initial
          support to build a gallery snap pkg (5ded1ea0)
        * Add support to blacklist directories from scan process based on
          regexp (LP: #1445755) (aa27fd37)
        * Fix how autopilot tests select media entries from Organic media
          view (LP: #1613816) (1d7a2900)

2016-09-21 Florian Boucault

        * Fixes for crossbuilding. (968b056e)

2016-09-21 Arthur Mello

        * Fix wrapper (35a01c71)

2016-09-20 Arthur Mello

        * Add upstart as a build dep so gallery will not be build against
          archs that do not have it (60a22bad)

2016-09-02 Arthur Mello

        * Remove empty dir (85ac997b)
        * Remove unnecessary icon Improve wrapper code Add missing stage pkg
          (fe5377ef)
        * Do not stop processing blacklist if there is no sdcard inserted
          (c5f2a0fc)

2016-08-30 Arthur Mello

        * If regexp is a valid path add that to the SQL LIKE format
          (9bd87fa9)
        * Merge with trunk (83207c6f)
        * Add thumbnailer interface (009c108f)

2016-08-29 Arthur Mello

        * Delete from database entries that were added to blacklist
          afteralready scanned (4473daa0)

2016-08-26 Arthur Mello

        * Fix typo (46a26f6d)
        * Save conffig on the correct conf file (cd12ba0d)
        * Fix var name (63a4616b)
        * Fix typo (430bc7b5)
        * Initialize blacklisted list correctly (ad54d581)

2016-08-25 Arthur Mello

        * Add support to blacklist directories from scan process based on
          regexp (db730818)

2016-08-18 Arthur Mello

        * Fix how autopilot tests select media entries from Organic media
          view (caa11b17)

2016-08-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b7850fef)

2016-08-04 Arthur Mello

        * Add wrapper (7afaece2)

2016-08-03 Arthur Mello

        * Change snapcraft to add wrapper taht will symlink ~/Pictures and
          ~/Videos Change to devmode so requests for thumbnailler
          will not be blocked by apparmor (4f6a9fd2)

2016-08-02 Arthur Mello

        * Clean up build deps (d1ce6444)

2016-07-29 Arthur Mello

        * Add yaml file and place icon to the expected path (becc2c4a)

2016-07-05 Florian Boucault

        * Fixes for crossbuilding. (d3d7fad8)

2016-07-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (03502972)

2016-07-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c057a123)

2016-06-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5068fa59)

2016-06-15 CI Train Bot

        * Resync trunk. (85f3e778)

2016-06-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (56cdeaed)

2016-06-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e61aebe8)

2016-06-09 Bileto Bot

        * Releasing 0.0.67+16.10.20160609.1-0ubuntu1 (3dbd9f3a)

2016-06-09 Arthur Mello

        * Use the same code path when deleting files from ui that is used
          when a file is removed from filesystem (LP: #1589496)
          (c1a8d1b1)
        * Make sure to only remove files from filesystem when requested by UI
          (ad6df0f2)

2016-06-07 Arthur Mello

        * Use the same code path when deleting files from ui that is used
          when a file is removed from filesystem (b3711cf9)

2016-06-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (54f3328d)

2016-05-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0278f1cd)

2016-05-19 CI Train Bot

        * Releasing 0.0.67+16.10.20160519-0ubuntu1 (8b452c87)

2016-05-19 Arthur Mello

        * Fix PickerScreen delay when previewing media files Fix collections
          models to work properly with media type filtering when
          called from content-hub
          Fixes: #1581184 Approved by:
          Florian Boucault (9edd2de7)

2016-05-17 Arthur Mello

        * Notify View Collection when a container contents is changed
          (439deaf3)
        * Filter events model by media type before calling PickerScreen view
          (38da30f6)

2016-05-16 Arthur Mello

        * Set media type filter to EventCollectionModel in PickerScreen
          (2114ce58)

2016-05-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9b058bdc)

2016-04-26 CI Train Bot

        * Releasing 0.0.67+16.04.20160426-0ubuntu1 (8ee8f24a)

2016-04-26 Arthur Mello

        * Add linker flag to strip gallery-app binary file
          Fixes: #1570616
          Approved by: Renato Araujo Oliveira Filho (e78be00b)
        * Wait gallery ends collection processing before loading events model
          on picker mode
          Fixes: #1569844 Approved by: Renato Araujo
          Oliveira Filho (6e39d07c)
        * Stop using C++ Content Hub API and use QML one instead
          Fixes:
          #1568857 Approved by: Ken VanDine (88b66c0d)
        * Add proper ngettext-style plural forms
          Fixes: #1551149 Approved by:
          Renato Araujo Oliveira Filho (ee4a265a)
        * Check MimeType to verify if it's an image format before adding to
          gallery's collection
          Fixes: #1536168 Approved by: Renato
          Araujo Oliveira Filho (4faea16e)
        * If there is a .nomedia file ignores all files and dirs bellow the
          current path
          Fixes: #1568310 Approved by: Renato Araujo
          Oliveira Filho (f8329051)
        * Use Settings instead of StateSaver to open gallery always on the
          last tab viewed
          Fixes: #1560159 Approved by: Renato Araujo
          Oliveira Filho (c01246f0)
        * Change property type (d9b6848d)
        * Add linker flag to strip gallery-app binary file (1aed484e)
        * Fix typo (a97a06fa)
        * Fix OrganicMediaList properties (905c9602)

2016-04-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (533d25b3)

2016-04-21 Arthur Mello

        * Do not display event if there is no media on it (4fe8596d)
        * Wait gallery ends collection processing before loading events model
          on picker mode (8e5d52e2)
        * Merge with lp:~artmello/gallery-app/gallery-app-qml_content_hub
          (68d4a154)

2016-04-20 Arthur Mello

        * Fix conflict (4ab95e9c)
        * Media currently in view should be only reopened after an inproper
          application close (86e1a4e5)

2016-04-19 Arthur Mello

        * Store media currently in view on settings (506d9072)
        * Use Settings instead of StateSaver (7205aecf)

2016-04-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8c2f4a37)

2016-04-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (229a6a73)

2016-04-13 Arthur Mello

        * Add proper ngettext-style plural forms (3f2858dc)

2016-04-12 Arthur Mello

        * If there is a .nomedia file ignores all files and dirs bellow the
          current path (778b90e6)
        * Check MimeType to verify if it's an image format before adding to
          gallery's collection (3cfdb0a4)

2016-04-11 Arthur Mello

        * Remove unnecessary pkg request (69ba2b78)

2016-04-08 Arthur Mello

        * Save imported files on the specific folder (b76eb174)
        * Add initial support to handle imported files to gallery (d311a6d0)
        * Fix gallery state after an export when the app is preously open
          (bdb0b3ea)
        * Fix support to export files to other apps (01c14149)
        * Store current requested transfer (93609021)
        * Set transfer state properly when cancelled (436c20e6)
        * Add missing include (494340e3)
        * Move to PickerScreen when pick mode is requested (0a543b62)

2016-04-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3cae8144)

2016-04-07 Arthur Mello

        * Remove c++ contentHub API usage (3deb5cb6)

2016-04-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e26d89ea)

2016-04-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (fada16ef)

2016-04-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5fd54d2f)

2016-03-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (effd87a5)

2016-03-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (77e9cd83)

2016-03-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4a5185e2)

2016-03-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e645075b)

2016-03-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (dfe70d64)

2016-03-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (728487a9)

2016-03-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3908c615)

2016-03-23 CI Train Bot

        * Releasing 0.0.67+16.04.20160323.1-0ubuntu1 (e2e6e762)

2016-03-23 Arthur Mello

        * Set Window flag instead of Window state to toggle fullscreen mode
          for media viewer
          Fixes: #1535397 (abec6f99)
        * Enable sharing multiple files Notify user when trying to share
          photos and videos at the same time
          Fixes: #1523573
          (6cc79e23)
        * Add framework bump to ubuntu-sdk-15.04.4 (0a4e4fea)
        * Merge with trunk (aae4a000)

2016-03-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e69d0548)

2016-03-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a6869de6)

2016-03-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e046027b)

2016-03-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (572cd963)

2016-03-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (670e2d85)

2016-03-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6a1ede97)

2016-03-07 Arthur Mello

        * Add changes to pot file (52496dca)
        * Merge with trunk (ab035991)
        * Undo changes to pot files (70a83c14)

2016-03-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (687bc1f0)

2016-03-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (42f6171a)

2016-03-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7db7280c)

2016-03-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cd8ef782)

2016-03-02 CI Train Bot

        * Resync trunk. (4faf7c0f)

2016-03-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e802da28)

2016-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0e21874f)

2016-02-25 CI Train Bot

        * Releasing 0.0.67+16.04.20160225.1-0ubuntu1 (27dddec4)

2016-02-25 Arthur Mello

        * Following some changes on thumbnailer image provider we need to
          handle Image.Error status for videos that are unable to
          load correctly
          Fixes: #1542083 (8577ed72)
        * Remove photo-image-provider to use the one provided by
          ubunut-ui-extras Move photo-metadata from photoeditor to
          photo folder
          Fixes: #1541210 (c6049d11)
        * Show a checkered background as a background for transparent images

          Fixes: #1548855 Approved by: Gustavo Pichorim Boiko
          (7c50f61b)
        * Add missing pkg dependency for qtdeclarative5-ubuntu-thumbnailer0.1

          Fixes: #1531604 (d28ad7c0)

2016-02-25 Ken VanDine

        * Register with the content-hub for deb installs (d723d931)

2016-02-25 Arthur Mello

        * Make sure to request a thumbnail big enough to handle all the
          possible sizes that way media items will not request a new
          one every time it changes its position.
          Fixes: #1529452
          (e3ff1cab)
        * Fix action button calls on AP tests (a1a30441)
        * Add a timer to make sure all taken photos are added into collection
          in a batch
          Fixes: #1521365 Approved by: Gustavo Pichorim
          Boiko (3136d212)
        * Set albums created from PopupAlbumPicker as not new, so they will
          not be deleted after editing
          Fixes: #1483870 (9501fa22)

2016-02-24 Arthur Mello

        * Disable fade out when swiping an image on image viewer (e1e920ab)
        * Merge with trunk (c77cfe78)
        * Do not show checkered bg while loading photos (facafc9d)

2016-02-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (43625eec)

2016-02-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d9eab194)

2016-02-17 Arthur Mello

        * Do not bump framework version (9f17e6cf)
        * Merge with trunk (4c778044)

2016-02-12 Arthur Mello

        * Update pot file (cf2f990e)
        * Add AP tests to check sharing files from photos and events view
          (2bc4aee5)
        * Enable sharing multiple files Notify user when trying to share
          photos and videos at the same time (36fa4fde)

2016-02-11 Arthur Mello

        * Update pot file (ad620010)
        * Following some changes on thumbnailer image provider we need to
          handle Image.Error status for videos that are unable to
          load correctly (857db53b)

2016-02-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (61e09173)

2016-02-03 Arthur Mello

        * Reduce width/hight so background is not visible on the border of
          camera photos (99b90d20)

2016-02-02 Arthur Mello

        * Set cache to true (0e295c41)
        * Show a checkered background as a background for transparent images
          (3f27a200)

2016-02-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f37729f1)

2016-01-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1a5972ce)

2016-01-28 Arthur Mello

        * Change to use 0x00800000 as fullscreen flag (92fd581d)
        * Update properties names (568d2da5)

2016-01-27 Arthur Mello

        * Bump framework version to 15.04.4 (ce4a2d7f)
        * Fix typo (34e81b72)
        * Set Window flag instead of Window state to toggle fullscreen mode
          for media viewer (25cc9116)
        * Make sure to request a thumbnail big enough to handle all the
          possible sizes that way media items will not request a new
          one every time it changes its position (ea394953)

2016-01-21 Arthur Mello

        * Set albums created from PopupAlbumPicker as not new, so they will
          not be deleted after editing (38d8b321)

2016-01-19 Arthur Mello

        * Fix warning (6e0c9c5d)
        * Add comments to the code Fix Typo Fix QML notification of added
          items if they are not all contiguos (ecb0e70e)

2016-01-18 Arthur Mello

        * Add a time to make sure all taken photos are added into collection
          in a batch (bb8a5a79)

2016-01-15 Arthur Mello

        * Fix action button calls on AP tests (7097b630)
        * Reduce delta between photo metadata in gallery and in ui-extras
          (03a0bffe)

2016-01-14 Ken VanDine

        * Added runtime depends on qml-module-ubuntu-thumbnailer0.1
          (aad6e431)
        * Register with the content-hub for deb installs (9a7ccb27)

2016-01-14 Arthur Mello

        * Remove photo-image-provider to use the one provided by
          ubunut-ui-extras Move photo-metadata from photoeditor to
          photo folder (2992a719)

2016-01-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (11ec52a6)

2016-01-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bdfff8e4)

2016-01-07 Arthur Mello

        * Add missing pkg dependency for qtdeclarative5-ubuntu-thumbnailer0.1
          (d4a54784)

2015-12-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5de0e843)

2015-12-16 CI Train Bot

        * Releasing 0.0.67+16.04.20151216-0ubuntu1 (e53aae7d)

2015-12-16 Arthur Mello

        * Remove local copy of PhotoEditor and keep using only the Ubuntu
          Extras one
          Fixes: #1524973 (5693a3ff)

2015-12-16 James Henstridge

        * Use the file's last modified date for the "at" parameter when
          invoking the thumbnailer to avoid needlessly reloading
          thumbnails.
          Fixes: #1485490 Approved by: Arthur Mello
          (4c6cbee9)

2015-12-16 Arthur Mello

        * Save imported files from content hub in a specific folder Use
          created date to sort videos imported from content hub

          Fixes: #1517655 (97ecb127)
        * Remove local copy of PhotoEditor and keep using only the Ubuntu
          Extras one (c92eb3d7)

2015-12-10 Arthur Mello

        * Update unittest to handle new exposureTime (3cca88ea)
        * Add workaround to set List/Grid view to right position after a
          positionViewAtBeginning (6eb48ec2)

2015-12-09 Arthur Mello

        * Fix typo (bedbf936)
        * Fix view when gallery is open and a new file is imported (3e84ad24)
        * Change from UTC to localtime when adding video from DB (249d7dde)
        * Store video exposure time as local time instead of UTC (a0d60396)

2015-12-08 Arthur Mello

        * Imported video using create date should use local time (3de487f8)

2015-12-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (40da3d58)

2015-12-04 Arthur Mello

        * Add missing import (73dcc418)
        * Save imported files from content hub in a specific folder Use
          created date to sort videos imported from content hub
          (0083b506)

2015-11-27 James Henstridge

        * Merge from trunk (446d798f)

2015-11-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4415e039)

2015-11-26 CI Train Bot

        * Resync trunk. (d5574cf6)

2015-11-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3ab10141)

2015-11-24 CI Train Bot

        * Releasing 0.0.67+16.04.20151124-0ubuntu1 (8a0d0871)

2015-11-24 Bill Filler

        * bump framework version to 15.04.2 (bb9f3216)

2015-11-24 Arthur Mello

        * Remove deprecated auto_ptr
          Fixes: #1496479 (0361375c)
        * Fix AlbumEditor AP test waiting for Editor to be available
          (ae9b1674)

2015-11-24 Bill Filler

        * update security policy version (f889eef5)

2015-11-23 Bill Filler

        * bump framework version to 15.04.2 (6e1590fe)

2015-11-23 Arthur Mello

        * Remove deprecated auto_ptr (3fec327f)

2015-11-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a2c3f383)

2015-11-20 Arthur Mello

        * Fix AlbumEditor AP test waiting for Editor to be available
          (ff10b6b7)

2015-11-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (81be3958)

2015-11-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (99bf27f0)

2015-11-06 CI Train Bot

        * Releasing 0.0.67+16.04.20151106-0ubuntu1 (05ff3cb5)

2015-11-06 Arthur Mello

        * Use a Loader for OrganicMediaLst delegates to avoid crashes when
          loading multiple files
          Fixes: #1470109, #1475210 Approved
          by: Gustavo Pichorim Boiko (1f78a524)
        * Update QML code to work with Ubuntu.Components 1.3
          Fixes: #1508363
          Approved by: Renato Araujo Oliveira Filho (5af69492)

2015-11-05 Arthur Mello

        * Fix GalleryApplication import (c5abdb7f)
        * Fix more QtQuick imports (aa896d99)
        * Fix typo (2e1c40d8)
        * Update all QtQuick imports (d9e2d98f)
        * Update version for other Ubuntu imports (932ace42)
        * Merge with trunk (146cfc64)

2015-11-04 Arthur Mello

        * Move AlbumEditor to a Loader (a31f95f8)
        * Remove legacy code from old album viewer animations not used
          anymore (0484349e)
        * Fix header issue on PopupPhotoViewer (ec5d4ff5)
        * Fix canBeEdited property to remove warning log message (edac5625)
        * Fix AP tests (eed62cd6)
        * Fix flake8 issues (068bcb2f)
        * Fix AP tests related with AlbumViewer (80fc3573)
        * Fix AP tests for PopupPhotoViewer (7576ea9f)

2015-11-03 Arthur Mello

        * Fix PickerScreen (713a0856)
        * Make share picker header equal from MediaViewer and Photos/Events
          view (2343e3a1)
        * Fix aspect ratio of thumbnails for Events/Photos overview
          (39f9fc3b)

2015-11-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c79fb7a0)

2015-10-30 Arthur Mello

        * Fix check for camera button in Albums view (55535503)
        * Fix camera button check for events view (7afbc819)
        * Fix check for camera button on PhotosView (92cebbe7)
        * Fix header visibility and fullscreen on AlbumViewer (9827c325)
        * Fix toggle fullscreen (a4ee27fa)
        * Fix typo (876573a4)
        * Toggle header visibility (d4b8978d)
        * Fix header on AlbumViewer and PopupPhotoViewer Fix camera icon on
          AlbumsOverview (5c6631cb)

2015-10-29 Arthur Mello

        * Fix camera icon on Photos/Events view (4a43afa8)
        * Fix AlbumsOverview to work with new SDK (88cba3aa)
        * Stop using deprecated property for UbuntuShape (d91863b6)
        * Fix EventsOverview to work with new SDK version (e999b968)
        * Fix PhotosOverview to work with new SDK version (4e74a048)
        * Update copyright Update includes for Ubuntu.Components (e5bc4004)

2015-10-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (35471778)

2015-09-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1c1cb880)

2015-09-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5dc8bf4c)

2015-09-23 CI Train Bot

        * Releasing 0.0.67+15.10.20150923-0ubuntu1 (a49120c9)

2015-09-23 Arthur Mello

        * Request only one thumbnail to be displayed at SingleMediaViewer to
          avoid reloading at fullscreen toggle
          Fixes: #1494383
          Approved by: Florian Boucault (962bd6ab)
        * Do not ignore file if gallery is not able to read its metadata. Add
          libqt5svg5 as build dep to run unittests.
          Fixes: #1452572,
          #1470638 Approved by: Ugo Riboni (876ddd99)

2015-09-15 Arthur Mello

        * Remove wrong test for video thumbnails (ba5f5010)

2015-09-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6a34c937)

2015-09-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d3dba3a5)

2015-09-03 Arthur Mello

        * Always set thumbSize with a 5% margin (2e546d6d)
        * Does not use overview Remove unnecessary onCompleted method
          (175046cb)
        * Set both attributes of size (a0d4bb5d)
        * Only change the thumbnailer size for resizes bigger than 5%
          (26443e4f)
        * Handle photoviewer resize on desktop (4fac6a75)

2015-08-31 Arthur Mello

        * Merge with trunk (ea554930)

2015-08-27 Arthur Mello

        * Request only one thumbnail to be displayed at SingleMediaViewer to
          avoid reloading at fullscreen toggle (a3fc20fb)

2015-08-20 Arthur Mello

        * Remove log msgs (95ae45ed)
        * Add missing build requirements (90e5cf00)
        * More log messages to debug CI issue (409820a9)

2015-08-19 Arthur Mello

        * Add debug messages to trace issue when building on CI (00193854)
        * Change file output for errors (be3bb9c8)
        * remove unused warning msg (ea3210ed)

2015-08-18 Arthur Mello

        * Fix build issue (ad83b2d5)
        * Refactory MediaObjectFactory unittests to test different files
          format (5cd0a3d9)

2015-08-18 James Henstridge

        * Refresh the FileInfo before emitting dataChanged() so the new
          modification time is seen. (739cb690)

2015-08-17 James Henstridge

        * Use lastModified for "at" parameter when invoking the thumbnailer
          rather than Date.now().  This lets us respond to file
          changes on disk without needlessly reloading images when
          they haven't changed. (bd7da68a)

2015-08-14 Arthur Mello

        * Change cacheBuffer to width (a40fa8ec)

2015-08-13 Arthur Mello

        * Defines the Loader width/height since that reduce the memory issue
          we  are facing (1cc7e333)
        * Merge with trunk (1b3f691a)
        * Do not ignore file if gallery is not able to read its metadata
          (6abef8d3)

2015-08-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (62e83a4a)

2015-08-06 CI Train Bot

        * Releasing 0.0.67+15.10.20150806-0ubuntu1 (09759989)

2015-08-06 Arthur Mello

        * Fix the use of actionManager.localContexts to match last changes on
          it
          Fixes: #1481920 (123e7c67)
        * Fix thumbnail requests with invalid size on Events and Photos tab

          Fixes: #1460993, #1467743 Approved by: Gustavo Pichorim
          Boiko (83db85ea)

2015-08-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (62dabc96)

2015-08-05 Arthur Mello

        * Fix the use of actionManager.localContexts to match last changes on
          it (947dd825)

2015-08-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1ccab941)

2015-08-04 Arthur Mello

        * Increase cacheBuffer so the effect of loading delegates during
          events navigation is reduced (400bd156)

2015-08-03 Arthur Mello

        * Improve AP tests to fix an issue after we changed thumbnailers to
          be async (1b093930)

2015-07-31 Arthur Mello

        * FIx AP tests (0dacc5f4)
        * Merge with trunk (215d69f2)

2015-07-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (408a8cf0)

2015-07-28 Arthur Mello

        * Do not request tthumbanils when going fullscreen (67675d90)

2015-07-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6d7fc74b)

2015-07-27 Arthur Mello

        * Link to bug (f1204c8e)
        * Fix typo (4b804555)
        * Make sure we are not requesting video thumbnails as 0 (42937c5a)
        * Fix thumbnail request size for Events tab (71d207a3)
        * Fix MediaGrid thumbnail requests with invalid size (db6a9d94)

2015-07-24 Arthur Mello

        * Delay creation of delegate until event header is loaded (b4957a5d)
        * Change default comparator when adding files with same timestam
          (8d2565bc)

2015-07-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (80db867b)

2015-07-23 Arthur Mello

        * Fix issue while connecting onDataChanged signal (6d248210)
        * Fix issue when delegates are not available (8bc3ac7a)

2015-07-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (98c49e8c)

2015-07-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (159fc0c9)

2015-07-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d97c5a2e)

2015-07-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (323cd26a)

2015-07-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (99774daa)

2015-07-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (44939022)

2015-07-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (41df5d7f)

2015-07-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (dd3135d0)

2015-07-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (161cb508)

2015-07-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f4bdfb70)

2015-07-07 CI Train Bot

        * Resync trunk. (280fbe28)

2015-07-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (65b09e46)

2015-07-06 CI Train Bot

        * Releasing 0.0.67+15.10.20150706-0ubuntu1 (a51b2cfe)

2015-07-06 Arthur Mello

        * Disable unused GalleryPhotoComponent so we stop doing unnecessary
          request to thumbnailer
          Fixes: #1460993 (68a71e72)

2015-07-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2a5e6f05)

2015-07-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (687c41b1)

2015-07-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (423f32ab)

2015-07-03 Arthur Mello

        * Disable unused GalleryPhotoComponent so we stop doing unnecessaru
          request to thumbnailer (e78ed986)

2015-07-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e126a5fc)

2015-07-03 CI Train Bot

        * Resync trunk. (579f99b4)

2015-07-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (93a3b83b)

2015-06-29 CI Train Bot

        * Releasing 0.0.67+15.10.20150629-0ubuntu1 (079619f5)

2015-06-29 Arthur Mello

        * update icon
          Fixes: #1457424 (4ff796bf)

2015-06-29 Timo Jyrinki

        * Allow translating the date strings in EventCard.qml, update .pot
          file (LP: #1457357)
          Fixes: #1457357 Approved by: Arthur
          Mello (924e848e)

2015-06-29 Arthur Mello

        * Make sure that DateTimeDigitized is the first tag evaluated to get
          exposure time (7dfbaba1)
        * Add a timer before going fullscreen while on image viewer to reduce
          flickering
          Fixes: #1425563 (6801ddea)
        * Make sure that photos that are opened from scopes and are not on
          gallery library will be displayed correctly
          Fixes:
          #1389514 (57e50912)

2015-06-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c067183c)

2015-06-25 Arthur Mello

        * Update icons (e2b95921)

2015-06-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f3ad202d)

2015-06-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (01d9aa23)

2015-05-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (944cfce6)

2015-05-21 Timo Jyrinki

        * Allow translating the date strings in EventCard.qml, update .pot
          file (LP: #1457357) (eb9e66d0)

2015-05-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (03fb8114)

2015-05-08 Arthur Mello

        * Fix unittest (a25b27c0)
        * Fix wrong header in config.h.in (d3ccfc27)
        * Add rule to output log when test fails (46e7e7f3)
        * Revert changes on resource test (b0217bdd)

2015-05-07 Arthur Mello

        * Add new unittest to check the exposure date time (5d2f0e40)
        * Update unittest for resource since gallery handle removable sd
          cards (634abefa)

2015-05-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f1e803c1)

2015-05-06 Arthur Mello

        * Make sure that DateTimeDigitized is the first tag evaluated to get
          exposure time (faeee6eb)

2015-04-30 Arthur Mello

        * Link to the bug report (34efba1a)
        * Fix check if file was requested (396bb42f)
        * Make sure that if a requested file is added to the collection later
          it will be opened (76117cfb)
        * Make possible to the qml code be notified which new file was added
          (af404093)
        * Change the mediaLibrary component in MainScreen to use a loader
          (62e4984d)

2015-04-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (23cf99e5)

2015-04-29 Arthur Mello

        * Add a timer before going fullscreen while on image viewer to reduce
          flickering (6be2adb6)

2015-04-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8e65637c)

2015-04-22 CI Train Bot

        * Releasing 0.0.67+15.04.20150422-0ubuntu1 (48d85b1a)

2015-04-22 Arthur Mello

        * Fix AP tests Approved by: Federico Gimenez (e77c1064)

2015-04-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9a795bf6)

2015-04-20 Arthur Mello

        * Merge changes from
          lp:~canonical-platform-qa/gallery-app/clean_delete_autopilot_tests
          (c51e8266)

2015-04-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (331afc1c)

2015-04-16 Leonardo Arias Fonseca

        * Updated the logs, removed unused method. (72129820)
        * Added an autopilot test to check the deletion of a photo.
          (5f2ffab1)

2015-04-15 Arthur Mello

        * Fix flake8 minor issues (568b65e9)
        * Add another check to make sure remove from album dialog is fully
          open (294282fb)

2015-04-14 Arthur Mello

        * Fix AP tests (8c606f4f)

2015-04-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (35ade0c6)

2015-04-09 CI Train Bot

        * Releasing 0.0.67+15.04.20150409-0ubuntu1 (4f6ba677)

2015-04-09 Arthur Mello

        * Change thumbnail's image provider header for videos on
          SingleMediaViewer
          Fixes: #1430357 (deda4e26)
        * Convert video exposure time from UTC to local time when the event
          header for the video is created. The video exposure time
          will still be stored using UTC in the DB
          Fixes: #1433739
          (e3454c08)

2015-04-08 Arthur Mello

        * Fix AP test (75d4bdd4)
        * Fix AP test (5cae33db)
        * Add AP test to make sure the video thumbnail will be always loaded
          (f48f7e6f)

2015-04-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (43a2377a)

2015-04-06 Arthur Mello

        * Change thumbnail's image provider header for videos on
          SingleMediaViewer (787144e7)

2015-03-30 CI Train Bot

        * Releasing 0.0.67+15.04.20150330~rtm-0ubuntu1 (716f73df)

2015-03-30 Arthur Mello

        * Add the "at" param to the calls of thumbnailer image provider to
          make sure the images will be updated after the user edit
          them (bd5d2f05)

2015-03-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5a3a0bcf)

2015-03-27 Arthur Mello

        * Add the "at" param to the calls of thumbnailer image provider to
          make sure the images will be updated after the user edit
          them (81bc1a1f)

2015-03-26 Arthur Mello

        * Add unittest to verify that exposure time is being stored correct
          for videos (d23d04a5)

2015-03-25 Arthur Mello

        * Merge with trunk (d07d642f)

2015-03-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1a2f98f2)

2015-03-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bd72a790)

2015-03-20 Arthur Mello

        * Set videos exposure time to loacal time for those stored on DB
          (b1b22669)
        * Convert video exposure time from UTC to local time (de84367d)

2015-03-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d9788697)

2015-03-18 CI Train Bot

        * Releasing 0.0.67+15.04.20150318-0ubuntu1 (e608f2e6)

2015-03-18 Arthur Mello

        * Do not update PhotoViewer Image sourceSize everytime the app is
          resized on devices. That way we will not flicker the image
          everytime we toggle fullscreen Animate Image resize
          Fixes:
          #1425563 (a5b61864)
        * Replace the built-in photo editor with the one from
          ubuntu-ui-extras Approved by: Arthur Mello (15524e54)

2015-03-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (91aa4459)

2015-03-17 Arthur Mello

        * Only show the high resolution image after it is loaded (f87ed026)
        * Fix the calculation of maxDimension since the old way was crashing
          the image provider cache (e342b43d)
        * Should not animate on height while zooming the photo (78d1e93a)

2015-03-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (48512963)

2015-03-16 Arthur Mello

        * Fix the MouseArea zoom control on SingleMediaViewer.qml (99473eb2)

2015-03-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cdebd0f2)

2015-03-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (205dd485)

2015-03-10 Arthur Mello

        * Do not update PhotoViewer Image sourceSize everytime the app is
          resized on devices. That way we will not flicker the image
          everytime we toggle fullscreen Animate Image resize
          (10ce334c)
        * Merge with trunk (33de1f90)

2015-03-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8b5c22af)

2015-03-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (64b5c7a4)

2015-03-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1b602676)

2015-03-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8747e0d4)

2015-03-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (037730bf)

2015-03-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6d09ecbd)

2015-03-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b80c4dfe)

2015-03-02 Arthur Mello

        * Merge with trunk (ce8ab99d)
        * Disable Enhance photo test, since this feature is not implemented
          at the moment (11351a5a)
        * Fix AP test for rotate photo (591c5ea3)

2015-03-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7a0f8935)

2015-03-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e08c3354)

2015-02-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5a1cf40f)

2015-02-27 Arthur Mello

        * Add missing file (b9d9bd7b)
        * Fix AP test error related to the change on the image provider
          (b05e12bf)
        * Fix AP test for Events view related to selecting photo (4751e513)
        * Fix picker mode AP test (f831f089)
        * Load the Extras PhotoEditor if it is presented on the system
          (b3203d4c)
        * Fix sequence on build process (41ea71a0)
        * More cleanup (8c1e9afe)

2015-02-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0941278f)

2015-02-26 Arthur Mello

        * Add local version of Extras QML code for PhotoEditor (db7670a5)
        * Cleanup (c429b205)
        * Merge with trunk (69b3982b)
        * Add a local version of the extras photoeditor source code
          (7230b8f5)

2015-02-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0907af56)

2015-02-25 Arthur Mello

        * Merge with trunk (17580db6)

2015-02-25 Olivier Tilloy

        * Translation template update. (790a6a33)

2015-02-23 Arthur Mello

        * Merger with trunk (2f7a6666)
        * Make sure we update the image viewer if the file was edited
          (17f6b496)
        * Fix the source property on SingleMediaViewer (024a3d97)

2015-02-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ebc1b191)

2015-02-20 Arthur Mello

        * Fix showing the photo on SingleMediaViewer (5ce57003)
        * Increase the version number of the Extras package (7d80ae17)
        * Remove dead code (3f5750bb)
        * Merge with trunk (11f8aa1c)

2015-02-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (95a399d8)

2015-02-19 CI Train Bot

        * Releasing 0.0.67+15.04.20150219-0ubuntu1 (47abade9)

2015-02-19 Olivier Tilloy

        * Remove a useless runtime dependency. The dependency on
          Ubuntu.Components.Extras was removed at revision 1008 (on
          2014-07-03) but debian/control wasn’t updated accordingly
          back then. Approved by: Michael Vogt (780eb9f8)
        * Remove a useless runtime dependency. The dependency on
          Ubuntu.Components.Extras was removed at revision 1008 (on
          2014-07-03) but debian/control wasn’t updated accordingly
          back then. (46000005)

2015-02-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cd842cf7)

2015-02-17 CI Train Bot

        * Releasing 0.0.67+15.04.20150217-0ubuntu1 (59d72018)

2015-02-17 Olivier Tilloy

        * Fix failing autopilot tests that were broken by the changes
          introduced at revision 1143 (fix for bug #1416043).
          (b7e5612d)
        * Fix the last test failure by ensuring that the app doesn’t go
          fullscreen when opening the content picker to share a
          picture. (a150f5bf)
        * Exit fullscreen mode when showing the header, as initially
          requested in bug #1415140: (fb6e6f82)
        * Fix styling issues (flake8 errors). (69d920a2)

2015-02-16 Olivier Tilloy

        * Fix failing test when run with a non english locale: do not rely on
          the text of a menu item to select it. (dae95a29)
        * Fix failing
          gallery_app.tests.test_album_editor.TestAlbumEditor.test_add_photo.
          (1775aad6)
        * Fix 3 failing tests under gallery_app.tests.test_picker_mode.
          (c2235c5e)
        * Fix a couple of failing tests under
          gallery_app.tests.test_album_view. (636cfc0f)
        * Fix
          gallery_app.tests.test_albums_view.TestAlbumsView.test_add_album.
          (d8dcc6f4)
        * Update copyright notice. (bdd1733b)
        * Fix photo selection in TestPhotosView. (9a9057b5)

2015-02-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bd8428fa)

2015-02-12 CI Train Bot

        * Releasing 0.0.67+15.04.20150212.1-0ubuntu1 (ccf0d552)

2015-02-12 Richard Huddie

        * Fixes for dashboard failures, bug lp:1419849
          Fixes: #1419849
          (6229825b)

2015-02-12 Arthur Mello

        * Change the toggle select icons when in the slideshow view
          (884a65c2)

2015-02-12 Bill Filler

        * update depends on ui-extras new version (a31eb672)
        * updated deps (0cb8c384)

2015-02-12 Arthur Mello

        * Change the toggle select icons when in the slideshow view Remove
          unnecessary icons Change the policy of grid position when
          an item is selected (74cd1581)

2015-02-11 Richard Huddie

        * merge from trunk (94a539b3)
        * test_share_button fix, ensure cancel button is visible before
          pressing (e92a0444)

2015-02-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1f82cef9)

2015-02-10 CI Train Bot

        * Releasing 0.0.67+15.04.20150210.1-0ubuntu1 (f7b4e587)

2015-02-10 Arthur Mello

        * Add check box feedback when in selection mode Make it possible to
          see a picture fullscreen even in selectionMode
          Fixes:
          #1416043 (3fa2f745)

2015-02-10 Florian Boucault

        * Swiping quickly through slideshow no longer causes photos to zoom.
          Workaround for QTBUG-39332.
          Fixes: #1400141 (5e753086)

2015-02-10 Richard Huddie

        * slow down speed of album page turns to make them more reliable
          (1fa5d175)

2015-02-10 Florian Boucault

        * Swiping quickly through slideshow no longer causes photos to zoom.
          Workaround for QTBUG-39332. (f362a3fa)

2015-02-10 Richard Huddie

        * slow down the drag to make it more reliable (09343314)

2015-02-09 Arthur Mello

        * Make the selected item visible on photos tab when called by content
          hub (7d3e1d57)
        * Make sure that the last selected item is fully visible on the
          Photos grid view (254fd814)

2015-02-09 Richard Huddie

        * Use eventually matcher for checking pick button state (02c32dbb)
        * fix for test_add_album (8971b703)
        * Don't zoom in before running test (838b5a36)
        * fix for test_add_photo_to_new_album (e47f9999)

2015-02-09 Arthur Mello

        * Make the Album Viewer fullscreen (e2871089)
        * Merge with trunk (f753f25e)

2015-02-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4ee7f9ef)

2015-02-06 Arthur Mello

        * Change the icons when viewing a photo (bbfb56b2)
        * Change the title when viewing a photo in content hub selection mode
          (faac4e46)
        * Change the toggle select icons when in selection mode (0e538ad0)

2015-02-05 Arthur Mello

        * Stay on fullscreen mode while viewing a photo (d05574df)
        * Make the header visible by default when viewing photos in selection
          mode (c75de842)
        * In selection mode add only one action to the toolbar: toggle
          selection of the current photo (982b702e)
        * Send the selection object to the PopupPhotoViewer (d6327a22)
        * Use a fixed size checkbox (f87b714d)
        * Do not show the check box for event headers (9ecee683)

2015-02-04 Arthur Mello

        * Do not show the select feedback for event header on pick mode
          (b2325a64)
        * Add support for viewing the preview of a file when in selection
          mode from content hub on Photos tab (e14aea6f)
        * Add support for viewing the preview of a file when in selection
          mode from content hub (0488c3f5)
        * Add check box feedback when in selection mode Make it possible to
          see a picture fullscreen even in selectionMode (0ee411ec)

2015-02-02 CI Train Bot

        * Releasing 0.0.67+15.04.20150202-0ubuntu1 (03289428)

2015-02-02 Arthur Mello

        * Make fullscreen mode dynamic when on device
          Fixes: #1415140
          (18b8d8d5)
        * Makes gallery-app to call MediaPlayer to play videos instead of
          playing by itself
          Fixes: #1324622 Approved by: Ugo Riboni
          (02b24620)
        * Make fullscreen mode dynamic when on device (b32b0c2a)

2015-01-30 Arthur Mello

        * Use the same toolbar for any media type Do not enable the editor
          menu for videos (273de22b)

2015-01-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (86abfe6a)

2015-01-28 Arthur Mello

        * Makes gallery-app to call MediaPlayer to play videos instead of
          playing by itself (fce75cab)

2015-01-26 CI Train Bot

        * Releasing 0.0.67+15.04.20150126.2~rtm-0ubuntu1 (a0ba59a4)

2015-01-26 Florian Boucault

        * Do not create objects if the file was removed from the time the
          create was requested and when it was started (24929704)
        * Fix unit tests. (f7c367fb)

2015-01-26 Arthur Mello

        * Do not create objects if a file was removed from the time the
          create was requested and when it was started (a86991ec)

2015-01-25 CI Train Bot

        * Releasing 0.0.67+15.04.20150125.1-0ubuntu1 (b4f40d6a)

2015-01-25 Arthur Mello

        * Move MediaObjectFactory to another thread to make sure when we are
          loading multiple files we keep the interface responsible

          Fixes: #1413952 (75f96fdf)
        * Call runCreate on the right time (fe8e6a87)
        * Fix the way that the priority queue is implemented (5213b9b1)
        * Create a new thread to handle the queue of new files (3562c40a)
        * Fix unittests (0e61e8eb)
        * Add a priority queue to the media object create process (5762621e)

2015-01-24 Arthur Mello

        * Fix unittest (e722f457)
        * Move the check if a file on the DB exists on the filesystem to
          before we start creating all the media objects. (bcd14fd3)

2015-01-23 Arthur Mello

        * Remove the harcoded timeout for the loading screen (acf1c32a)
        * Fix the loading screen behavior (412a642f)
        * Make sure we do not hide the loading screen while we are still
          loading files (11e94d98)
        * Fix to read files from the database (2430c119)
        * Remove debug msg (82124f81)
        * Change the unittests to use QSignalSpy (842cc4ee)

2015-01-22 Arthur Mello

        * Reenable the missing unittests for media-object-factory (599a7e9b)
        * Change to reenable unittests (8fc716f7)
        * Reenable some unittests related with media-object-factory
          (507082dc)
        * Cosmetic change on methods name (b104058d)
        * The worker object cannot have a parent to be be moved to the new
          thread (20152ce0)
        * Add debug msg (18d1a631)
        * Move media object factory to another thread (6da543f4)

2015-01-21 CI Train Bot

        * Releasing 0.0.67+15.04.20150121.1-0ubuntu1 (7e10e1de)

2015-01-21 Ugo Riboni

        * Make sure the first time a photo is added to the database we read
          the actual size save it to the database
          Fixes: #1404170
          Approved by: Arthur Mello (918aa17d)
        * Directly downscale the images for the viewer instead of asking the
          thumbnailer to do it (which it would do incorrectly)

          Fixes: #1412442 Approved by: Arthur Mello (b2daba32)

2015-01-20 Ugo Riboni

        * Save the exif thumbnail after editing the image (1a4982fc)
        * Do not use thumbnailer to display pictures in the main viewer
          (a0dd116c)
        * Use the post-edit reload mechanism built into the photo editor
          instead of manually doing it from qml (58ba0859)
        * Remove debug messages (34b8722d)
        * Load a downscaled version of the image that fits the screen using
          the gallery image provider instead of asking the
          thumbnailer to do it. (cd1d0f58)

2015-01-19 Ugo Riboni

        * Merge changes from trunk (8ac4642d)

2015-01-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (56d46f90)

2015-01-14 Bill Filler

        * merge lp:~bfiller/gallery-app/sd-card-rules (a6dea011)
        * add read_path to allow access to all subdirectories on SD card
          (06ce6d06)

2015-01-14 Ugo Riboni

        * Correctly read the size of the image when first adding it to the
          database (c8f0d521)

2015-01-08 CI Train Bot

        * Releasing 0.0.67+15.04.20150108.1-0ubuntu1 (10e76156)

2015-01-08 Bill Filler

        * update framework version (2accbc14)

2015-01-08 Florian Boucault

        * Support videos from SD card by adding /media/phablet folder to the
          video directories. Approved by: Bill Filler (3f294480)

2015-01-08 Arthur Mello

        * Make gallery display files that are not supported by QImageWriter
          or that do not have metadata Disable the editing options
          for files that are not supported by QImageWriter
          Fixes:
          #1403205 (f6d417a5)
        * Add some checks to make sure the file has good metadata before
          changing it Approved by: Bill Filler (e8e0ff37)

2015-01-08 Bill Filler

        * updated framework version (74c9935b)

2015-01-08 Florian Boucault

        * Support videos from SD card. (333d0d02)

2014-12-17 Arthur Mello

        * Add some checks to make sure the file has good metadata before
          changing it (151fb867)
        * Fix stub on unittests (c20e5dc8)

2014-12-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8a886d3e)

2014-12-16 Arthur Mello

        * Disable the editing options for files that are not supported by
          QImageWriter (99867caf)
        * Make gallery display files that are not supported by QImageWriter
          or that do not have metadata (47588eb2)

2014-12-15 Ugo Riboni

        * Merge changes from trunk (e2c7e70b)
        * Add copyright header (83893282)

2014-12-11 CI Train Bot

        * Releasing 0.0.67+15.04.20141211-0ubuntu1 (2e4a5260)

2014-12-11 Florian Boucault

        * Append directory under /media/phablet to m_mediaDirectories, so
          photos captured onto SD card can be listed. (a9518dfc)

2014-12-11 Arthur Mello

        * Delay the adding of a new album until the editor is finished
          (acf90f53)

2014-12-10 Arthur Mello

        * Delay the adding of a new album until the editor is finished
          (3ab26588)

2014-12-09 CI Train Bot

        * Releasing 0.0.67+15.04.20141209-0ubuntu1 (022f68af)

2014-12-09 Arthur Mello

        * Load the AlbumEditor without the animation to improve the load time

          Fixes: #1398419 (3a7cd033)
        * Load the AlbumEditor without the animation to improve the startup
          time (d2fb3376)

2014-12-01 Florian Boucault

        * Removed unwanted write/read paths from apparmor profile. (3bffaf59)
        * Merged lp:~penk/gallery-app/sdcard (9ad5b2f0)

2014-11-30 Ugo Riboni

        * Properly reload photos when they change in the editor (c152d4ab)
        * Remove the photo editing cache, as it is not done in the gallery
          anymore (2546ef92)
        * Move to QML the choice of using thumbnailer or photo image
          provider, and simplify the c++ classes as a consequence
          (43bfa20d)

2014-11-25 Ugo Riboni

        * Remove dead code (e9942994)
        * Remove the gallery standard image provider and use the photo
          provider from the extra components (98da2fda)
        * Remove the edit state and edit database classes (d6573de1)
        * Properly add the PhotoEditor as a Page that gets pused and popped
          off the stack (c604d648)
        * Start cleanup the Photo class by removing some editing methods
          (8802ea6e)
        * Remove broken QML file from previous commit (65f0f3ee)
        * Replace internal photo editor with the one from
          Ubuntu.Components.Extras (1e85ddbd)

2014-11-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c86a4d74)

2014-11-12 CI bot

        * Releasing 0.0.67+15.04.20141112-0ubuntu1 (4f4e18be)

2014-11-12 Arthur Mello

        * Set the TimeDigitized Exif field for the import date on imported
          files
          Fixes: 1381583 Approved by: Bill Filler (71afa2f3)
        * Switch to events view after a media imported
          Fixes: 1382109
          (440ce962)
        * Delay the opening photo process until all media files are loaded
          when called by url handler
          Fixes: 1389514 (9616c91a)

2014-11-07 Arthur Mello

        * Delay the opening photo process until all media files are loaded
          when called by url handler (b5f6238b)
        * Move the Events list to the beginning position after the import
          (4a22f123)

2014-11-06 Arthur Mello

        * Fix header visibility Close the photo viewer properly (856305e4)

2014-11-05 Arthur Mello

        * Fix binding issues (728e9ed4)

2014-10-30 Arthur Mello

        * Switch to events view after a media imported (4c8f3a56)

2014-10-29 Arthur Mello

        * Move the current UI mode after importing files (fc47ee1e)
        * Change when the exif data is changed (d69c9819)

2014-10-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (db765981)

2014-10-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d288a714)

2014-10-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (56242540)

2014-10-24 Arthur Mello

        * Set the TimeDigitized exif field for the import date on imported
          files. (e1d238d0)
        * Add support for setting the DateTimeDigitized Exif field (7922d041)

2014-10-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7590175b)

2014-10-17 CI bot

        * Releasing 0.0.67+14.10.20141017-0ubuntu1 (aa2ffc7a)

2014-10-17 Sebastien Bacher

        * Use a Binding to set the gettext domain, fixes the import mode
          translations
          Fixes: 1378384 Approved by: Arthur Mello
          (537e8745)

2014-10-17 Arthur Mello

        * Show header by default on an empty album
          Fixes: 1378367 Approved
          by: Ugo Riboni (6135bc60)

2014-10-17 Ugo Riboni

        * Adjust the popover position for the cover pattern editor.
          Fixes:
          1374016 Approved by: Arthur Mello (ecb60568)
        * Delete the new empty album if the album editor is closed by
          clicking outside of the album cover
          Fixes: 1234128
          Approved by: Arthur Mello (8616d744)

2014-10-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (bcf4970a)

2014-10-14 Arthur Mello

        * Fix code style (830f102d)

2014-10-14 Sebastien Bacher

        * Use a Binding to set the gettext domain, fixes the import mode
          translations (c5070bed)

2014-10-13 Arthur Mello

        * Show header by default on an empty album (9b72da2c)

2014-10-13 Ugo Riboni

        * Fix positon of album cover pattern chooser (ee355494)
        * Add AP tests (d04799bb)
        * If a new album is empty when closing it, delete it (cfc3fc76)

2014-10-10 CI bot

        * Releasing 0.0.67+14.10.20141010-0ubuntu1 (515ccb05)

2014-10-10 Bill Filler

        * Scale the album title proportionally to the album itself, so it
          works on all devices.
          Fixes: 1377767 (909941f6)

2014-10-10 Jussi Pakkanen

        * Fix thumbnailer import.
          Fixes: 1368492 Approved by: Bill Filler
          (f7b51486)

2014-10-10 Florian Boucault

        * Respect EXIF orientation when showing a photo by starting to use
          the GalleryStandardImageProvider again.
          Fixes: 1377298
          Approved by: Bill Filler, Arthur Mello (e3d1f3ad)

2014-10-09 Bill Filler

        * fix size of text on Albums (598083fc)

2014-10-09 Florian Boucault

        * Respect EXIF orientation when showing a photo by starting to use
          the GalleryStandardImageProvider again. (ff9d2235)

2014-10-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (090d84a5)

2014-10-08 Ugo Riboni

        * Scale the album title text based on the album height, so that it
          appears with the same proportions on all devices
          (9e964baf)

2014-10-08 Jussi Pakkanen

        * Fix thumbnailer import. (e4f80913)

2014-10-08 CI bot

        * Releasing 0.0.67+14.10.20141008-0ubuntu1 (dc5c0bdb)

2014-10-08 Arthur Mello

        * Fix header label not being updated correctly
          Fixes: 1377765
          Approved by: Bill Filler (3a9efa92)

2014-10-08 Bill Filler

        * use header in splash screen
          Fixes: 1378379 (6cffcee0)

2014-10-08 Ugo Riboni

        * Do not upscale the thumbnail when viewing the unzoomed picture but
          load a downscaled version of the picture instead
          Fixes:
          1376767 (82bdb702)

2014-10-08 Niklas Wenzel

        * Correct the title for delete dialog based on video or photo.
          Approved by: Bill Filler, Arthur Mello (0dfcb1e4)

2014-10-08 Arthur Mello

        * Fix the gallery-app crash when removing files
          Fixes: 1334807,
          1375713 Approved by: Bill Filler (735b26e4)

2014-10-07 Arthur Mello

        * Fix the header title when an album is open and gallery is called
          from an url (af51b192)
        * Fix the title when the gallery is called from the url handler
          (1d511f77)

2014-10-07 Bill Filler

        * use header in splash (ec4e7307)

2014-10-07 Arthur Mello

        * Fix the title for the Album view (472aae7b)

2014-10-06 Arthur Mello

        * Fix header label not being updated correctly (c57e9948)
        * Take into account the kind of objects selected into the delete
          message for Events tab (33d00bbb)
        * Take into account the kind of objects selected into the delete
          message for Photos tab (9b115c63)
        * Does not include the event header on the count used at the delete
          dialog (911d0502)

2014-10-06 Ugo Riboni

        * Do not upscale the thumbnail when viewing the unzoomed picture but
          load a downscaled version of the picture instead
          (d558aafa)

2014-10-03 Arthur Mello

        * Add FIXME msg (f22681e5)
        * Reset model after a remove (157927ae)
        * make sure gallery will not enter in a loop again (058db1ed)
        * Remove the event header if it is empty (ee1ad616)
        * The event ui is being updated but we need to update the event
          header (f31efac9)
        * Move the check if should keep propagating the signals (67c69eb1)
        * Comment out the call that is crashing for the events view With this
          we have gallery working ofr albums and photos view as
          expected. The events view is not updated but it will not
          trigger the crash anymore (cd0e8151)

2014-10-02 CI bot

        * Releasing 0.0.67+14.10.20141002-0ubuntu1 (5916c5f7)

2014-10-02 Sebastien Bacher

        * Have the affirmative action on the right
          Fixes: 1372832 Approved
          by: Arthur Mello (81fab8b0)

2014-10-02 Pawel Stolowski

        * Added X-Ubuntu-Default-Department-ID key to the desktop file. This
          is required by click scope to support departments for
          preinstalled applications. Approved by: PS Jenkins bot,
          Olivier Tilloy (51255795)

2014-10-02 Arthur Mello

        * Hide the video thumbnail when playing the video on gallery
          Fixes:
          1371021 Approved by: Tiago Salem Herrmann (61cee3d4)

2014-10-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1fddb982)

2014-09-30 Penk Chen

        * Append only /media + userName (6a7474f7)

2014-09-26 Niklas Wenzel

        * Change video delete message for removeFromAlbumDialog (f6bccba3)
        * Merge trunk (8a867ef0)

2014-09-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d931f9bd)

2014-09-25 CI bot

        * Releasing 0.0.67+14.10.20140925.3~rtm-0ubuntu1 (7afddc4a)

2014-09-25 Arthur Mello

        * Add support for the photo and video url schema
          Fixes: 1369652
          Approved by: Bill Filler (e1273019)

2014-09-25 Bill Filler

        * using "Share" instead of "Share photo" in action as it may be a
          video (8e2eac3b)

2014-09-25 Arthur Mello

        * Fix gallery-app.install file (0cc6e58d)
        * Hide the video thumbnail when playing the video on gallery
          (dbbe8e2b)

2014-09-25 Bill Filler

        * fix sharing string (aa4bbd30)

2014-09-25 CI bot

        * Releasing 0.0.67+14.10.20140925.1~rtm-0ubuntu1 (7ca137a4)

2014-09-25 Víctor R. Ruiz

        * Remove X-Ubuntu-Gettext-Domain to activate .desktop file
          localization. Approved by: Bill Filler, David Planella
          (39c3ec69)

2014-09-25 Ugo Riboni

        * Allow sharing from the events or photo view, while selecting.

          Fixes: 1366820 Approved by: Bill Filler (229e7ef7)

2014-09-25 Arthur Mello

        * Make sure the selected mediaFile should open if it was the same as
          the last call (7e21457b)
        * Make sure we do not keep stacking new pages for it photo opened
          (32502422)

2014-09-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f230d379)

2014-09-25 Víctor R. Ruiz

        * Fix .desktop localization (43f068cd)

2014-09-24 Arthur Mello

        * Undo changes on pot file (5e16198f)
        * Fix manifest file (ad6ea654)
        * Add urls to the manifest of the click pkg (0c0ebe48)

2014-09-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c137beaa)

2014-09-23 Arthur Mello

        * Remove support for the video scheme (5d3ffa42)
        * Add "file://" protocol to the media selected property (d800c932)
        * Link to the correct lp bug (cd94501f)
        * Fix mainScreen to wait for media scanner finishing process
          (7d674043)
        * Merge with trunk (bdee684b)
        * Update pot files (a00a5813)
        * Change MainScreen qml to open a specified media file (fb45b05a)
        * Add support for the specified media on the gallery-application.cpp
          (c6751734)
        * Add support to url schema and to --media-file option on the command
          line parser (8b5a20ac)
        * Create urlhandler class to handle the new uri schema (225e7206)
        * Added new url schema to the url-dispatcher (8777a6a0)

2014-09-23 Sebastien Bacher

        * Have the affirmative action on the right (256bccc7)

2014-09-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (21c03016)

2014-09-22 Ugo Riboni

        * Make sure header is hidden even when sharing after coming back from
          photo viewer (d7ea145a)

2014-09-22 CI bot

        * Releasing 0.0.67+14.10.20140922-0ubuntu1 (4fd368d6)

2014-09-22 Arthur Mello

        * Fix the editing of the album name by setting the hint to turn off
          predictive text Approved by: Bill Filler (01b0225b)
        * Move the Loading Screen to inside the tabs
          Fixes: 1325001 Approved
          by: Bill Filler (9dd45795)

2014-09-22 Ugo Riboni

        * Merge changes from trunk (05098bc5)

2014-09-22 Arthur Mello

        * Link the MR to the correct bug (bc4c1a43)

2014-09-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (85c1aa27)

2014-09-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a3f0ecb4)

2014-09-19 Arthur Mello

        * Fix the editing of the album name by setting the hint to turn off
          predictive text (45975418)

2014-09-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5cbcdb9d)

2014-09-19 Arthur Mello

        * Fix database path on AP tests (e9cee700)

2014-09-18 Arthur Mello

        * Set applicationName to com.ubuntu.gallery (524e346e)
        * Unset applicationName property (84a8ca6d)
        * Remove debug msgs (03c035c9)
        * Unset applicationName (512b1c06)
        * Add Database path DEBUG msgs (e75ac7fb)
        * Add debug messages (4e2a1001)
        * Fix AlbumsOverview (53965158)

2014-09-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (19000f0f)

2014-09-17 Arthur Mello

        * Fix PickerScreen to work without the loading screen (ecd14bca)

2014-09-17 CI bot

        * Releasing 0.0.67+14.10.20140917-0ubuntu1 (8c6b0e13)

2014-09-17 David Planella

        * Mark photo deletion strings for translation
          Fixes: 1365032 Approved
          by: Bill Filler (82fa761e)

2014-09-17 Benjamin Zeller

        * Make sure gallery-app cmake project works out of the box in the
          SDK: - Enable click mode by default - Disable click mode
          in debian rules file - Add variable UBUNTU_MANIFEST_PATH
          variable so QtC knows where to look for the manifest file
          - Rename gallery-apparmor.json => gallery.apparmor (editor
          support) - Automatically substitute the click architecture
          in the manifest file Approved by: Ugo Riboni (c9310a38)

2014-09-17 Ugo Riboni

        * Translate the .desktop file inline
          Fixes: 1325626 Approved by:
          David Planella, Olivier Tilloy (70f28850)

2014-09-17 David Planella

        * Revert .pot update to avoid merge conflict in the gallery's silo.
          It will be updated manually after landing (c69ac2f7)

2014-09-17 Víctor R. Ruiz

        * Refix plural form (f9a1a495)
        * Fix plural form (bad08dba)

2014-09-17 Arthur Mello

        * Fix AP tests after the changes on the LoadingScreen (a7c3013b)

2014-09-17 Víctor R. Ruiz

        * Fix arg in i18n.tr (0d02e1e6)

2014-09-17 Penk Chen

        * append m_videoDirectories too (29e5609a)
        * Loop through media directories (4975498a)

2014-09-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6fce3c01)

2014-09-16 Ugo Riboni

        * Hide and show the ContentPeerPicker more properly (7d03432a)
        * Fix incorrect calculation of media types and total media (738b774a)
        * More properly fix test (288864a5)
        * Temporarily merge qtcompat branch (12482d03)
        * Change the share photo message to a generic share because we could
          be sharing a video too (472a4d48)
        * fix a silent failure in xgettext by specifying paths correctly
          (8504019e)
        * Fix out of tree builds, and simplify (dd49386c)
        * Fix a typo and remove unnecessary definition (139259b5)
        * Fix naming object naming to prevent existing tests from failing
          (3bc22f25)

2014-09-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ac506149)

2014-09-15 Arthur Mello

        * Change sync load of Gallery Application QML (a2aea52f)

2014-09-15 Ugo Riboni

        * Hide the header when launching the share picker. Correctly count
          selected medias. (216291b0)
        * Translate the desktop files inline (27aa4c0a)

2014-09-15 Víctor R. Ruiz

        * Fix plurals (73aa7cd2)
        * Mark string for localization. Update pot. (201d435a)

2014-09-15 Albert Astals

        * Update .pot (ecc7d3a9)
        * Update .pot (bb2006a7)

2014-09-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e30084d3)

2014-09-12 Arthur Mello

        * Merge with trunk (be5a9f10)
        * Move the Loading Screen to inside the tabs Cleanup MainScreen
          (54ff0bd4)

2014-09-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4b29fe4e)

2014-09-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (dbb27e63)

2014-09-10 Ugo Riboni

        * Implement sharing from the phots and events view while selecting.
          (562f9dba)

2014-09-10 Benjamin Zeller

        * Merge lp:~phablet-team/gallery-app/gallery-app-remove-qmlproject to
          remove old project files (931fc3ba)

2014-09-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f8f96ec2)

2014-09-09 Benjamin Zeller

        * Make sure gallery-app cmake project works out of the box in the
          SDK: - Enable click mode by default - Disable click mode
          in debian rules file - Add variable UBUNTU_MANIFEST_PATH
          variable so QtC knows where to look for the manifest file
          - Rename gallery-apparmor.json => gallery.apparmor (editor
          support) - Automatically substitute the click architecture
          in the manifest file (5cd11612)

2014-09-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (150bf5a3)

2014-09-08 CI bot

        * Resync trunk (ef0b2b0d)

2014-09-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4b251387)

2014-09-06 CI bot

        * Releasing 0.0.67+14.10.20140906-0ubuntu1 (de630c94)

2014-09-06 Bill Filler

        * Mark strings for translation (db3730d1)

2014-09-06 Ugo Riboni

        * Move the new album strings to QML to make them translatable. Remove
          some dead code.
          Fixes: 1364310 Approved by: Arthur Mello
          (fa747de6)

2014-09-06 Arthur Mello

        * Make gallery-app uses the new header
          Fixes: 1289160 (141fe5cc)

2014-09-06 Bill Filler

        * merged lp:~vrruiz/gallery-app/i18n-strings (b194d6b5)

2014-09-04 Arthur Mello

        * Another couple of fixes: decrease the swipe rate and remove
          unnecessary clicks. (85fcd798)

2014-09-03 Arthur Mello

        * Increase rate of the drag event since a fast drag seems to fail
          sometimes (7a8fda6e)

2014-09-03 Leo Arias

        * Slow down the swipe. (302a94f7)

2014-09-03 Arthur Mello

        * Make sure component is fully loaded (c3013465)

2014-09-03 Leo Arias

        * Some autopilot imporovements. (622fc549)

2014-09-02 Arthur Mello

        * Fix AP tests related to SingleMediaViewer (6d50beae)
        * Remove undefined property (2f1232f8)
        * Merge with trunk (f9f47e0e)
        * Replace the old MediaViewer with cleaner code inspired by the
          camera-app photo roll Prevent double clicks from firing a
          single click too, so the header doesn't appear when double
          clicking to zoom (01195c0c)

2014-09-02 Ugo Riboni

        * merge changes from trunk (3b75a446)
        * Move the new album title and subtitle strings to QML so they can be
          translated (71feb0ac)
        * Remove some dead code (cb5fd465)

2014-09-01 Arthur Mello

        * Fix test Album Editor (a4e67d77)
        * Fixes for the autopilot tests. (b143953f)

2014-08-31 Leo Arias

        * Removed last mentions of the toolbar. (8cfe11a2)
        * Updated the share button test. (f0d72ecc)
        * The objectName must be defined on the Action. (7df80ab9)
        * Override the way to show the header. (6e6ccb1d)
        * Remove the hack to launch the local file. (8d1d8fdb)
        * Updated the other call of open_album_At. (cfb0148f)

2014-08-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8a1d8408)

2014-08-31 Leo Arias

        * Fixed get_album_at to not depend on the order of the items on the
          tree. (d9bc9465)

2014-08-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d751de25)

2014-08-29 Arthur Mello

        * Fix AP tests to wait for the Loading Screen to be dismissed
          (e06d0994)

2014-08-29 Víctor R. Ruiz

        * Update pot file (9a588942)

2014-08-28 Arthur Mello

        * Merge with trunk (782a6c1a)
        * Fix PickerScreen AP tests (63f99622)

2014-08-27 CI bot

        * Releasing 0.0.67+14.10.20140827-0ubuntu1 (ba7e2628)

2014-08-27 Ugo Riboni

        * Filter the picker lists according to the content type that is being
          requested by the content hub.
          Fixes: 1349493 Approved by:
          Bill Filler, Olivier Tilloy (8fa95662)

2014-08-27 Arthur Mello

        * Remove the new MediaViewer to test AP tests (a84eaa99)
        * Replace the old MediaViewer with cleaner code inspired by the
          camera-app photo roll Prevent double clicks from firing a
          single click too, so the header doesn't appear when double
          clicking to zoom (855c7d3b)
        * Load the main screen asynchronously to prevent blocking
          Fixes:
          1349124 (2cdab0fb)

2014-08-26 Arthur Mello

        * Fix AP tests for TestEventsView to work with new header (f11d98bb)
        * Fix AP tests for TestAlbumsView to work with new header (8694bd68)
        * Fix AP tests for TestAlbumEditor and TestAlbumView to work with new
          header (5bca4570)
        * Fix AP tests for TestPhotosView to work with new header (1fc3bd39)
        * Fix AP tests for TestPhotoViewer to work with new header (b245ef2d)
        * Fix AP tests for TestPhotoEditor to work with new header (83cb9e78)

2014-08-26 Ugo Riboni

        * Fix tests which could not find the content peer picker (6e5f52e1)

2014-08-22 Arthur Mello

        * Merge with trunk (de069f1f)
        * Fix header for the share option on the MediaViewer (55152ba5)
        * Fix backAction on the MediaViewer (23dced28)
        * Fix the backAction of the AlbumViewer (fc64b6a4)
        * Fix visibility of header on MediaViewer (3122446c)
        * Remove "Import" button from the header (d713172a)
        * Make new header works on the Album Viewer (a07ae685)
        * Display header on album viewer (794a316a)

2014-08-21 CI bot

        * Releasing 0.0.67+14.10.20140821-0ubuntu1 (83fc35a4)

2014-08-21 Leo Arias

        * Update the content picker version on autopilot tests.
          Fixes:
          1358968 Approved by: Arthur Mello, PS Jenkins bot
          (7dffbb1e)

2014-08-21 Arthur Mello

        * Search for new directories when there is any change on the watched
          directories
          Fixes: 1357155 Approved by: Bill Filler
          (1a7c2090)
        * Tapping on the picture should toggle header on/off (0e37c035)

2014-08-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cc76d2a0)

2014-08-20 Arthur Mello

        * Fix header for MediaViewer when media is video (dbcc72db)
        * Add a background to the MediaViewer header (e9544757)
        * Fix popup position on the MediaViewer (cb6581a0)

2014-08-20 Ugo Riboni

        * Fix problem with uninitialized members (b3556b96)

2014-08-20 Arthur Mello

        * Unset the caller for the "Add to Album" popup so it shows up
          correctly (29a74d5d)
        * Start migrating gallery to the new header (ba8c3a23)

2014-08-20 Penk Chen

        * Added MEDIA_DIR to header (ec5c2db6)
        * Append /media directory if there is any (5d586e8d)

2014-08-19 Leo Arias

        * Update the content picker version on autopilot tests. (3e81fde6)

2014-08-19 Arthur Mello

        * Improve unittest to check if new created folders are monitored
          (aa1ed0c7)
        * Reduce duplicate code (0318f0fa)
        * Search for new directories when there is any change on the watched
          directories (a39a722e)

2014-08-19 Ugo Riboni

        * Change the type of the mediaTypeFilter to an enum type for faster
          comparisons (20c9bba2)

2014-08-14 CI bot

        * Releasing 0.0.67+14.10.20140814-0ubuntu1 (76096410)

2014-08-14 Bill Filler

        * revert change to async loader as it's causing lp:1356841
          Fixes:
          1356841 (bf1481a0)
        * fixes 1356841 (e60e5cf2)
        * revert async true on loader (c680732c)

2014-08-14 Ugo Riboni

        * Merge changes from trunk (784baeee)
        * Actually filter the lists used by the content picker according to
          the media type requested by the content transfer
          (3c77201b)
        * Implement filtering in QML models so that both media lists and
          event lists can be filtered by media type (6dfcceed)
        * Refactor the name of the filter and correctly interpret the string
          passed from the content transfer (a6204740)

2014-08-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (46c14a26)

2014-08-13 Víctor R. Ruiz

        * Mark strings for translation (d917fd0b)

2014-08-13 Ugo Riboni

        * Expose content type requested by transfer to QML (87a05e7b)
        * merge changes from trunk (6e74aa43)

2014-08-13 CI bot

        * Resync trunk (054bd074)

2014-08-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1f111190)

2014-08-12 CI bot

        * Releasing 0.0.67+14.10.20140812-0ubuntu1 (806f8e65)

2014-08-12 Arthur Mello

        * Fix definition on GETTEXT_PACKAGE on CMakeLists to make
          translations works for click pkgs
          Fixes: 1349958
          (9d2ca673)

2014-08-12 Ugo Riboni

        * Load the main screen asynchronously to prevent blocking
          Fixes:
          1349124 Approved by: Bill Filler (51309d94)

2014-08-12 Arthur Mello

        * Remove unnecessary dependencies of video unittes Approved by: Bill
          Filler (6280a44b)

2014-08-12 Florian Boucault

        * Remove retrieval of maximum texture size. It is not useful and
          causing crashes. Approved by: Michael Frey (8caac25b)
        * Added compilation flag to make compilation work. (de17eac3)
        * Merged with trunk (c502e8af)

2014-08-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2fafc5aa)

2014-08-11 Florian Boucault

        * Fix compilation (b7fb3f0a)
        * Fix compilation (536deacd)
        * Fix compilation (06e39985)
        * Remove retrieval of maximum texture size. It is not useful and
          causing crashes. (3574d5b3)

2014-08-11 Arthur Mello

        * Remove unnecessary dependencies of video unittest (11ab615e)

2014-08-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (34496db6)

2014-08-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d4d3cfcb)

2014-08-08 Arthur Mello

        * Fix definition on GETTEXT_PACKAGE on CMakeLists to make
          translations works for click pkgs (5ef91826)

2014-08-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (57aca027)

2014-08-05 Ugo Riboni

        * Allow filtering the media collection by media type (01f4aec4)
        * Remove dead code which is preventing tests from building (72062488)

2014-08-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (63ace307)

2014-08-04 Ugo Riboni

        * Remove qmlproject file and make all files visible from cmake file
          (aae7e853)

2014-08-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7cdf0130)

2014-08-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d819caac)

2014-08-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (26a0d277)

2014-07-30 Ugo Riboni

        * Asynchronously load the main view so the UI doesn't lock (885b2f50)

2014-07-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (99225075)

2014-07-26 CI bot

        * Resync trunk (ac06f9b9)

2014-07-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (86527a2a)

2014-07-26 CI bot

        * Releasing 0.0.67+14.10.20140726-0ubuntu1 (b93ca03f)

2014-07-26 Richard Huddie

        * A new Page view to represent photos page in picker view with method
          to select the named photo. (28fafe14)

2014-07-26 Bill Filler

        * bump framework and security version of the click package (0c650ab7)

2014-07-25 Bill Filler

        * get rid of depends for qtdeclarative5-accounts-plugin, as it's not
          needed (72ba2a10)
        * no longer needs accounts policy as it now uses content-hub
          (47d806ef)
        * removed friends from policy as that's not supported anymore
          (65ea5bfd)
        * bump the security policy version as needed for the 14.10 framework
          (b4ec2b1b)

2014-07-25 Colin Watson

        * Update click framework to ubuntu-sdk-14.10-dev2. (d39758ee)

2014-07-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (16e265c7)

2014-07-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (dd5df5f4)

2014-07-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (78013c1d)

2014-07-21 CI bot

        * Resync trunk (005846d1)

2014-07-21 Richard Huddie

        * merge trunk (80b177c5)

2014-07-21 Pawel Stolowski

        * Added X-Ubuntu-Default-Department-ID key to the desktop file
          (ffcdc15b)

2014-07-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (ab06cf5a)

2014-07-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (aa9b505b)

2014-07-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d4f28418)

2014-07-18 CI bot

        * Releasing 0.0.67+14.10.20140718-0ubuntu1 (0b8ce7d7)

2014-07-18 Colin Watson

        * Link exiv2 statically in click mode.
          Fixes: 1342840 Approved by: PS
          Jenkins bot, Oliver Grawert (5c9abd6b)

2014-07-18 Michael Sheldon

        * Finalize content-hub transfers so that temporary files in ~/.cache
          can be cleaned up by content-hub. Approved by: Ken
          VanDine, PS Jenkins bot (ecdf2774)
        * Hide the media viewer toolbar when displaying the share picker.
          Approved by: Arthur Mello, PS Jenkins bot (f699b7d4)

2014-07-18 Colin Watson

        * Build-depend on libexpat1-dev and zlib1g-dev to ensure that we can
          statically link against libexiv2 in click mode. (59d672e1)
        * Link exiv2 statically in click mode. (c66547ee)

2014-07-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c123e829)

2014-07-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1095b187)

2014-07-15 Richard Huddie

        * merge from trunk (eaa51260)
        * picker state is not saved (fc6bc405)

2014-07-14 Richard Huddie

        * Update to use focusedApplicationId (95bec57c)
        * Enable disabled tests (ea698ccd)
        * reset self.ARGS before each test (af6008e1)
        * add pick-mode parameter check (27868889)
        * extend wait period for picker view (67f3f12d)

2014-07-10 Richard Huddie

        * updates for photosPage and use wait_select_single for getting
          PickerScreen (527683e4)

2014-07-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c08c707d)

2014-07-09 Richard Huddie

        * re-enable pick named photo test (5bef564d)

2014-07-08 Richard Huddie

        * Add select_photo() method to PickerScreen (38b2da89)
        * add click_pick_button() method to picker screen (31a575d8)
        * Add Page object for photos view with and go_to_photos() method
          (a04bafe0)

2014-07-07 Michael Sheldon

        * Finalize content-hub transfers to allow temporary files to be
          cleaned up (2493852b)

2014-07-04 Michael Sheldon

        * Hide media viewer toolbar when share picker is visible (18b7ec2c)

2014-07-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (41ab8631)

2014-07-03 CI bot

        * Releasing 0.0.67+14.10.20140703-0ubuntu1 (e01dd381)

2014-07-03 Bill Filler

        * Switch to using the content-hub for sharing. When selecting the
          share action, the ContentPeerPicker will be shown with a
          list of apps that provide sharing. (a0eeccba)

2014-07-03 Michael Sheldon

        * Add videos as supported content-hub destination and source type.
          (756b0833)
        * Adjust placement of '.' in filenames without a suffix (a4413d82)
        * When creating new filename to avoid overwriting existing files on
          import, format filename so that original file extension is
          preserved (7da09231)
        * If an incoming file doesn't have an extension add one based on the
          mimetype (af9caafb)
        * Place imported videos in ~/Videos (745e2300)

2014-07-02 Bill Filler

        * fix test (816a34c2)
        * fix import (f0aa6821)
        * skip test for share button on desktop as it's not relevant
          (46d38dd1)
        * merge trunk (67a2511a)

2014-07-02 Michael Sheldon

        * Add videos as supported content-hub destination and source
          (4b6dd4fb)

2014-07-01 CI bot

        * Releasing 0.0.67+14.10.20140701-0ubuntu1 (842381ba)

2014-07-01 Michał Sawicz

        * New icon from suru theme. (ac5d3981)

2014-06-30 Niklas Wenzel

        * Change delete message for videos (495df892)

2014-06-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (132f3e74)

2014-06-25 CI bot

        * Releasing 0.0.67+14.10.20140625.1-0ubuntu1 (12f6538e)

2014-06-25 Arthur Mello

        * Ensure the window is made fullscreen before it is shown, to work
          around an issue with calculating window coordinates.
          (34bc190a)
        * Show view fullscreen on devices (dd784c74)

2014-06-24 Arthur Mello

        * Fix comment typo (eb8aeee1)

2014-06-24 Michał Sawicz

        * New icon. (c7452276)

2014-06-24 Arthur Mello

        * Make sure the set fullscreen is called before the view show. To
          define the maxTextureSize we call view->winID() to make
          sure QPA is running. This call must happen after view show
          (997d1f99)

2014-06-21 Arthur Mello

        * Do not set fullscreen by default if we are not on Desktop. This
          seems to get the wrong window height on devices and makes
          toolbar failing to work. Also it seems unnecessary to set
          fullscreen on devices. (5dd79252)

2014-06-20 Ken VanDine

        * merged trunk (b46f134a)

2014-06-18 CI bot

        * Releasing 0.0.67+14.10.20140618.1-0ubuntu1 (65c5ce9d)

2014-06-18 Arthur Mello

        * Fix the way we hide the header on AlbumViewer
          Fixes: 1331382
          (61cae39e)
        * Display all videos on Videos directory on device
          Fixes: 1324617
          (767fd307)
        * Add option to remove from album or delete from gallery when viewing
          photos from an album
          Fixes: 1322095 (7c2205e2)
        * Fix the way we hide the header on AlbumViewer (d81e8bb5)

2014-06-17 Arthur Mello

        * Remove wrong signal since that cause issues when removing last
          photo of an album (a9537865)

2014-06-16 Arthur Mello

        * Fix AP test (7ef76fa1)

2014-06-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f57db220)

2014-06-13 Arthur Mello

        * Fix pep8 issues (f9e7d993)
        * Fix unittest (d31cbec1)

2014-06-12 Arthur Mello

        * Merge with trunk (ee0fd51e)
        * Fix AP tests based on flake8 (c619d992)
        * Merge with trunk (cdb9a000)
        * Create functions on emulator to simpligy tests for album view
          (5016608c)
        * Add AP test form canceling remove photo from album dialog
          (280cc8cc)

2014-06-11 Arthur Mello

        * Add AP test to check remove from album and delete (aa728308)
        * Change AP test. Check if file was not removed from disk (198dda2e)

2014-06-10 Arthur Mello

        * Add AP test to check if remove photo from album is working
          (7c9cebff)
        * Fix when album contains only one photo (04690cab)
        * Add option to remove from album or delete from gallery when viewing
          photos from an album (0f4be1a8)

2014-06-10 CI bot

        * Releasing 0.0.67+14.10.20140610-0ubuntu1 (95ae0c0e)

2014-06-10 Arthur Mello

        * Remove album opening/closing transition to reduce load timer on
          devices.
          Fixes: 1090122 (794990cf)

2014-06-10 Michael Sheldon

        * Wait until the media monitor has completed its consistency checks
          before connecting to the content hub. (f37467ee)

2014-06-10 Arthur Mello

        * Add support to load qttestability using env var QT_LOAD_TESTABILITY

          Fixes: 1321783 (7bf4f54a)
        * Disable "Add" button if no media is selected on selection screen
          (b135c6b0)
        * Fix AP test changing check for AlbumViewerAnimated close by
          AlbumViewer close (a8913e87)
        * Fix AP test check for AlbumViewer fully open (0337f7f1)
        * Remove unused components (b93ec7dc)
        * Fix header visible when loading AlbumViewer (1d2cadde)
        * Fix returning from photo to album (1aa958e6)
        * Link to bug report (6ddd345f)

2014-06-09 Arthur Mello

        * Hide keyboard when adding photos during album edition (bd5602c1)
        * Fix open album in first page (d7813506)
        * Remove AlbumViewerAnimated from album openning (8aba681d)
        * Remove AlbumViewerTransition from album openning (405660bf)

2014-06-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (364a36f7)

2014-06-05 Ken VanDine

        * Set the objectName for the ContentPeerPicker and dropped the
          unneeded import for Ubuntu.Components.Extras (21c55b9c)
        * Added autopilot test for the share button and peer picker
          (ac3f9f51)
        * Don't use a Popover for the ContentPeerPicker and handle sharing
          videos as well as photos (2542afcf)
        * merged trunk (4bb4abad)
        * WIP to use a share handler (833c355a)

2014-06-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7d6eb18d)

2014-05-30 Arthur Mello

        * Display all videos on Videos directory on device (57b09837)

2014-05-29 Michael Sheldon

        * Remove left over debugging (540357b4)
        * Merge from trunk (41b63603)

2014-05-28 Michael Sheldon

        * Merge from trunk (04e5a63c)
        * Wait until the media monitor's consistency check has finished
          before connect to the content hub as this can trigger new
          images being imported during start up. (7460df5d)

2014-05-28 CI bot

        * Releasing 0.0.67+14.10.20140528-0ubuntu1 (6815f64e)

2014-05-28 Olivier Tilloy

        * No change rebuild to pick up the latest translation updates.
          (2334cb01)
        * No change rebuild to pick up the latest translation updates.
          (d4237340)

2014-05-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f88f9649)

2014-05-27 Arthur Mello

        * Merge with trunk (2cb7b084)
        * Merge with trunk (6f5a9fb2)

2014-05-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e61b0b62)

2014-05-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1276b679)

2014-05-23 Arthur Mello

        * Add support to load qttestability using env var QT_LOAD_TESTABILITY
          (a049438b)

2014-05-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1c8d70d7)

2014-05-23 Michael Sheldon

        * Merge from trunk (e8d443f7)
        * Don't register with content-hub until after the gallery manager is
          fully initialised as new content can arrive at start-up
          from the import handler (ac491fab)

2014-05-23 Arthur Mello

        * Disable "Add" button if no media is selected on selection screen
          (70de6a94)

2014-05-22 CI bot

        * Releasing 0.0.67+14.10.20140522.3-0ubuntu1 (2e6ea5e3)

2014-05-22 Arthur Mello

        * Fix autopilot issue caused by the change to use Page Stack
          (8289dfaa)
        * Fix AP test on gallery (ca31744a)
        * Remove unnecessary test (322f1cfa)
        * Fix autopilot test issue (ccdc0e12)

2014-05-22 CI bot

        * Releasing 0.0.67+14.10.20140522-0ubuntu1 (b5d6d5a7)

2014-05-22 Arthur Mello

        * Change to use PageStack to fix issue with toolbar while activating
          and deactivating Pages.
          Fixes: 1319927 (798ed317)
        * Merge with trunk (5fa93b25)
        * Push/Pop pages when opening photos from an album (46b58ceb)

2014-05-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (13cd0d86)

2014-05-21 Arthur Mello

        * Disable picker mode AP test (6619fa55)
        * Add missing include (7912015a)

2014-05-20 Arthur Mello

        * Add hack to fix AP test (44f907bc)
        * Fix autopilot tests (02eef36f)
        * Return back button to handle autopilot test (d04e02d3)
        * Fix autopilot tests (cf3b7e01)
        * Fix album viewer animation (f96e178c)
        * Fix edit existing album animation (db4a0749)

2014-05-19 Arthur Mello

        * Merge with trunk (3892446a)
        * Fix add photo to new album (0c66b39e)
        * Fix add album transitions (fab3da44)
        * Change to use PageStack to fix issue with toolbar while activating
          and desactivating Pages (efa07b10)

2014-05-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (816fa4f4)

2014-05-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e000a519)

2014-05-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (acf93c5f)

2014-05-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1ca97831)

2014-05-15 CI bot

        * Releasing 0.0.67+14.10.20140515.1-0ubuntu1 (4f1e2f42)

2014-05-15 Michael Sheldon

        * Add a content-hub import handler, allowing other applications to
          add images to the gallery. (7abaf222)

2014-05-14 Sergio Schvezov

        * Correct click manifest for python3. (1e45705e)

2014-05-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8c4690ac)

2014-05-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (decc3a06)

2014-05-12 CI bot

        * Resync trunk (5cc33d7a)

2014-05-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (105c583f)

2014-05-09 CI bot

        * Releasing 0.0.67+14.10.20140509-0ubuntu1 (6127bca8)

2014-05-09 Arthur Mello

        * Update po and pot files (021f3d47)
        * Fix path where POT file is created Update po and pot files
          (02e3de68)

2014-05-09 Ricardo Salveti de Araujo

        * releasing package gallery-app version
          0.0.67+14.10.20140505-0ubuntu2 (ff5570c5)

2014-05-07 Dimitri John Ledkov

        * missing comma (746d47eb)

2014-05-06 Dimitri John Ledkov

        * Correct click manifest for python3. (8c950b78)

2014-05-06 Michael Sheldon

        * Merge from trunk (4bbb14fa)

2014-05-05 CI bot

        * Releasing 0.0.67+14.10.20140505-0ubuntu1 (8cd13878)

2014-05-05 Chris Gagnon

        * fix tests on desktop, fix flaky test, pep8 fixes, refactor test to
          make failures easier to diagnose. (95460b0d)

2014-05-02 Chris Gagnon

        * fix flakyness, pep8 fixes and make work on desktop (22039aec)

2014-05-01 Chris Gagnon

        * fix doc string, change _swipe_setup and swipes, use pointing_device
          from gallery_util, get self.media_view in setup instead of
          property (6bd236ac)

2014-05-01 CI bot

        * Releasing 0.0.67+14.10.20140501-0ubuntu1 (88f0f499)

2014-05-01 Arthur Mello

        * Fallback for date that file was created if no information about
          encoded date was found on video metadata
          Fixes: 1314632
          (fd44890f)

2014-05-01 Ugo Riboni

        * Show progress indicator while loading thumbnails in photo view

          Fixes: 1295124 (e20200f3)

2014-05-01 Arthur Mello

        * Change the page title so it does not show the app name.
          Fixes:
          1312123 (586ba727)

2014-05-01 Bill Filler

        * disable sharing option on desktop
          Fixes: 1311123 (208b2cf8)

2014-05-01 Richard Huddie

        * A new emulator method for selecting a specific photo from the
          picker view. A new test is also added to use this method
          and then click on the Pick button. (a4bde39d)

2014-05-01 Arthur Mello

        * Make sure gallery deletes all album content when it is requested.

          Fixes: 1300344 (bbb7332c)
        * Make gallery does not create a new album if process is canceled

          Fixes: 1300337 (ffde7f12)
        * Make sure we do not monitor hidden directories
          Fixes: 907870
          (f204310d)

2014-04-30 Arthur Mello

        * Fallback for date that file was created if no information about
          encoded date was found on video metadata (efa16e6c)

2014-04-30 Chris Gagnon

        * apply py3 patch from barry, [https://launchpad.net/~barry]
          (d89fd7bd)
        * remove unneeded sleep (418b087c)
        * refactor flaky tests (2a46dd27)

2014-04-30 Ugo Riboni

        * Show progress indicator while loading photo thumbnails (8da45369)

2014-04-29 Arthur Mello

        * Change the page title so it does not show the app name. (80fcf090)

2014-04-23 Chris Gagnon

        * update album view proxy object (2b7350a8)
        * more pep8 fixes (18f84dad)
        * pep8 fixes, move functions in to emulator where they belong
          (987dbdfb)

2014-04-23 Bill Filler

        * fixes for lp:1311123 - disable sharing button on desktop mode
          (57488c9a)

2014-04-19 Michael Sheldon

        * Merge from trunk (56ef3a8e)

2014-04-16 Arthur Mello

        * Make sure gallery deletes all album content when it is requested.
          (7ed5e405)

2014-04-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (40ba543b)

2014-04-15 Arthur Mello

        * Add comments to the changes (9745536a)
        * Fix comment errors Initialize m_newAlbum correctly (c7b4c314)

2014-04-14 Ricardo Salveti de Araujo

        * releasing package gallery-app version
          0.0.67+14.04.20140408.1-0ubuntu2 (91a43aa2)

2014-04-11 Arthur Mello

        * Add autopilot test to check if cancelling an album just after
          adding it does not add the album (8f73e497)
        * Update media monitor unittest (e1583966)
        * Make gallery does not create a new album if process is canceled
          (9df636a1)

2014-04-10 Arthur Mello

        * Make sure we do not monitor hidden directories (e96fc929)

2014-04-09 Richard Huddie

        * creat file path based on sample dir (c2ecd5f7)
        * merge from trunk (c9c3b644)
        * use wait_select_single for selecting QQuickImage item (967f0a25)

2014-04-08 CI bot

        * Releasing 0.0.67+14.04.20140408.1-0ubuntu1 (0c76f3c7)

2014-04-08 Ugo Riboni

        * fix autopilot test (3923f139)

2014-04-08 Bill Filler

        * skip broken test until root cause can be found (3cf2b343)

2014-04-08 Arthur Mello

        * Apply a similar workaround to the one suggested by Zsombor to work
          around bug #1296832 to temporarily replace MouseAreas
          within PinchAreas
          Fixes: 1288695 (df357a8c)

2014-04-08 Leo Arias

        *     On the autopilot helpers to click a toolbar button, check that
          the toolbar is opened first.
          Fixes: 1302706 (b7d88018)

2014-04-08 Arthur Mello

        * Add an overlay play icon over Video preview on media navigation

          Fixes: 1294282 (fe9d1b6c)

2014-04-08 Leo Arias

        * Properly override the toolkit toolbar autopilot helper. (3e3b8fb7)

2014-04-08 Arthur Mello

        * Add unittest to check if only videos on the correct path are beeing
          added to gallery on device (072cf422)
        * Make sure that album cover will be not behind header at album edit
          screen
          Fixes: 1294291 (65037b8d)

2014-04-08 Ugo Riboni

        * Fix album navigation, allowing to page all the way to the last
          page, and to close the album by paging to the cover.

          Fixes: 1287355 (fe9e07ee)
        * Update the database used for confined execution so it includes the
          2nd album necessary for the new album flipping tests
          (2cae3a01)

2014-04-08 Bill Filler

        * skip broken test (b3f39e02)

2014-04-08 Richard Huddie

        * changed test to use existing sample file (8f25c6f1)

2014-04-07 Arthur Mello

        * Make two fingers swipe available when we have a video on the list
          (97a4ab18)

2014-04-07 Richard Huddie

        * renamed test data file (6595e8a9)
        * update image path to use thumbnailer (b9c4570e)

2014-04-04 Arthur Mello

        * Fix typo (225d8689)
        * Fix pinch to zoom on device (5cfabd97)
        * Change propagateComposedEvents property (9dc82c8c)

2014-04-04 Leo Arias

        *     On the autopilot helpers to click a toolbar button, check that
          the toolbar is opened first. (7169e99b)

2014-04-04 Arthur Mello

        * Add fixes to the two fingers swipe bug (beb48027)
        * Make two fingers swipe navigate between photos (548d1f55)
        * Use a MouseArea on desktop since MultiPointTouchArea does not work
          with TouchPad (38909d87)

2014-04-02 Arthur Mello

        * Fix height on Nexus 4 (f43c0f72)

2014-04-02 Richard Huddie

        * merge from trunk (0cb5f392)

2014-04-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (443a5706)

2014-04-01 Leo Arias

        * Fixed typo. (b07de76d)
        * Updated the copyright year. (d0860e66)
        * Properly override the toolkit toolbar autopilot helper. (06d03598)

2014-04-01 Arthur Mello

        * Add missing file (f930ff19)

2014-04-01 Michael Sheldon

        * Fix import of files when a file with that name already exists
          (01c9db77)
        * Merge from trunk (c83a60a0)
        * Implement content-hub import handler (1279fe26)

2014-04-01 Ugo Riboni

        * Fix album page flipping test to account for 2 page spread on
          desktop (6ab33f4c)
        * Fix test for adding videos by replacing videos with two that will
          end up in the same event on top of the list, so that
          delegtes will always be there. (bf216e5f)
        * Add missing license (1d301c95)

2014-03-31 Arthur Mello

        * Fix the behavior on devices (fd702193)
        * Merge with trunk code (02c1c8ed)
        * Add unittest to check if only videos on the correct path are beeing
          added to gallery on device (48fca988)

2014-03-31 Ugo Riboni

        * Add workaround for bug 1296832 (MouseArea prevents PinchArea from
          working) (af352afc)
        * Allow paging back to the cover when in a 2-page spread (e.g. on
          desktop) (35bed4cc)
        * Fix broken test from incorrect merge from trunk (995e7de1)
        * Do not allow swiping past the cover or past the last populated page
          (e1acd956)
        * Merge changes from trunk (09bf4ab9)

2014-03-28 CI bot

        * Releasing 0.0.67+14.04.20140328-0ubuntu1 (b04b5aac)

2014-03-28 Bill Filler

        * change check for desktopMode to use platform name rather than env
          var (57815fa3)

2014-03-28 Arthur Mello

        * Make sure that videos placed out the video directory will be not
          displayed on devices
          Fixes: 1296634 (6f32f84d)
        * Make sure that gallery will not be able to remove media files from
          disk if it finds any sort of inconsistency
          Fixes: 1295344
          (50238c72)
        * Make sure the target directory exists (68c1de36)
        * Change the way we pass the resource object to media factory
          (09828974)

2014-03-27 Arthur Mello

        * Fix autopilot test (1330e0d4)
        * Make the check for files on database too (10c96f1f)
        * Change the check place to do not let database entry to be created
          (ce4a9c8b)

2014-03-27 Bill Filler

        * check platformName rather than DESKTOP_MODE env var to determine if
          we are in desktop mode (8af38da5)

2014-03-27 Arthur Mello

        * Change is desktop check (95551a13)
        * Make sure that videos placed out the video directory will be not
          displayed on devices (2980e3f0)
        * Fix destroyMedia call since signature changed (31950937)
        * Merge with trunk (beba934e)

2014-03-25 CI bot

        * Releasing 0.0.67+14.04.20140325-0ubuntu1 (f03e37f7)

2014-03-25 Arthur Mello

        * Make gallery-app only search for videos on the path where
          camera-app will save recording files on devices.
          Fixes:
          1296634 (912a80aa)
        * Gallery should only display videos recorded by camera-app when on
          device. Since camera should only save videos on a specific
          folder we just search there. (b77b4743)

2014-03-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (078ba39d)

2014-03-24 CI bot

        * Resync trunk (7e17e30b)

2014-03-24 Ugo Riboni

        * Fix broken test from incorrect merge (67375693)
        * Merge changes from trunk (87932a65)
        * Fix the album page flipping test to reflect the fact we don't close
          the album when paging to the cover (bc40d040)

2014-03-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f2727cb3)

2014-03-21 Arthur Mello

        * Add an overlay play icon over Video preview on media navigation
          (7a166357)
        * Make sure that album cover will be not behind header at album edit
          screen (503f0323)
        * The destroy function is used by the delete option, make sure that
          this option still works (1bdcef13)

2014-03-21 CI bot

        * Releasing 0.0.67+14.04.20140321-0ubuntu1 (935ad0a5)

2014-03-21 Ken VanDine

        * Updated to build against changes in content-hub (80731eb7)

2014-03-20 Arthur Mello

        * Make sure that gallery will not be able to remove media files from
          disk if it finds any sort of inconsistency (2e9023ad)
        * Fix typo on CheckConsistency function (5abb6be7)

2014-03-19 CI bot

        * Releasing 0.0.67+14.04.20140319-0ubuntu1 (ecd40b2b)

2014-03-19 Dimitri John Ledkov

        * Use pkg_resources API to retrieve sample_dir. (446dc0e7)

2014-03-19 Bill Filler

        * fix blurry thumbnails when navigating photos (aa38b499)

2014-03-19 Arthur Mello

        * multiple gallery-app bug fixes Bug #907870: [desktop] Gallery does
          not display photos in sub folders, Bug #1221968: use
          libthumbnailer for gallery thumbnails, Bug #1268748:
          videos are not displayed when running on desktop, Bug
          #1271327: disable switching between camera and gallery on
          desktop, Bug #1287272: Black flash at the end of the zoom
          animation"
          Fixes: 907870, 1221968, 1268748, 1271327,
          1287272 (405c4bd0)

2014-03-19 Bill Filler

        * fix issue with blurry thumbnails being shown on navigation of
          photos since move to libthumbnailer (ca451f77)

2014-03-19 Ugo Riboni

        * Scale the album cover properly when paging to it (5776e511)
        * Correctly animate opening and closing the AlbumViewer from/to the
          cover (172d8136)

2014-03-18 Ugo Riboni

        * Allow closing to the album cover without closing the whole album
          (1a2dd198)

2014-03-17 Ken VanDine

        * merged trunk (3ff7b686)

2014-03-17 Ugo Riboni

        * Merge changes from trunk (205c281f)
        * Release back pages when not fully flipping (84748a4a)

2014-03-15 Sergio Schvezov

        * Fixing click launching (c06f596c)
        * Remove tabs from CMakeLists.txt (14414e95)
        * Fix paths for click launching (f304fa7b)

2014-03-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cc8789e7)

2014-03-14 Arthur Mello

        * Adding list of bugs this branch fixes (414dff6d)
        * Add a manifest function to Media Monitor so we can get all files
          found. Change Unit Test so we check manifest and not the
          item added signal (1a596827)
        * Rename getManifest to generateManifest so the new getter does not
          have a conflict name (8754e77a)

2014-03-14 Bill Filler

        * updated framework version (19578b03)

2014-03-14 Sergio Schvezov

        * Update the framework for ubuntu-sdk-14.04-dev1 and apparmor 1.1
          (fc731fcf)

2014-03-14 Ken VanDine

        * merged trunk (bb470657)

2014-03-14 CI bot

        * Resync trunk (1565b369)

2014-03-14 Ken VanDine

        * merged trunk (e2fa61b1)

2014-03-13 Barry Warsaw

        * Fix path. (7d0f25ec)
        * Give these files some content. (0026f938)
        * Use pkg_resources API. (cab1bc23)

2014-03-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (91b45a35)

2014-03-11 Dimitri John Ledkov

        * Fix sample_dir to be detected relative current test (regardless of
          type) and not depend on /home/xnox/canonical/gallery-app.
          (87316f51)

2014-03-11 Ugo Riboni

        * Fix photo delete test to account for the fact that we have 2 more
          pictures in the list (b07ab1bd)
        * Reapply the album close fix that was mistakenly removed (252dc144)
        * fix one error caused from previous refactor (d7e0395d)
        * Refactor events view tests so that they have their own emulator and
          don't spill all over gallery_utils and the base class
          (ef5516e2)
        * In some cases images return with size 0,0, so cover for this case
          by avoiding divisions by zero and returning sensible
          defaults (ada7e327)
        * Fix photo viewer/editor tests by using sample images of the correct
          size, waiting when necessary on tests, ensuring we go to
          the right tab and most importantly waiting for event data
          to be loaded only when dealing with events. (1cbb0d8d)

2014-03-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f78a9ecc)

2014-03-10 Ugo Riboni

        * Move an internal property to a common base class so that all tests
          can access it (97fab817)
        * Fix event view tests relying on the assumption on number of
          pictures in tests, on their order and on the fact they
          would all fit in the view (9e02ea15)
        * Fix tests by returning the correct album from the list (09d4de44)
        * Merge changes from trunk (3108c763)
        * Allow closing the album by paging to the cover (09c426f0)
        * Add tests for fipping album pages (5d2fdc2b)

2014-03-07 Ken VanDine

        * Updated to build against changes in content-hub (e392839d)

2014-03-07 Bill Filler

        * fixes lp:907870 (6e2eda68)
        * adding list of bugs this branch fixes (2e560aa4)

2014-03-07 Arthur Mello

        * Remove gstreamer deps (63f2e8c5)
        * Merge lp:~amanzi-team/gallery-app/gallery-app-black-flash-zoom
          (f391616b)
        * Merge lp:~artmello/gallery-app/gallery-app-overlay_video_icon
          (d36b2cf1)
        * Merge lp:~artmello/gallery-app/gallery-app-not_display_video
          (bc26abd8)
        * Merge lp:~artmello/gallery-app/switching_to_camera (829236af)
        * Merge lp:~artmello/gallery-app/display_photos_in_sub_folders/
          (3208d297)

2014-03-07 Sergio Schvezov

        * Fixing test init for ci (a80eaedc)

2014-03-07 Richard Huddie

        * fix review comments (d325e557)

2014-03-07 Sergio Schvezov

        * Handling wiped case better (2046ee8c)

2014-03-07 CI bot

        * Releasing 0.0.67+14.04.20140307-0ubuntu1 (ce637ee5)
        * No change rebuild against Qt 5.2.1. (771e62a8)

2014-03-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (37339303)

2014-03-06 CI bot

        * Releasing 0.0.67+14.04.20140306-0ubuntu1 (009479ec)

2014-03-06 Bill Filler

        * Click support (4e80e85e)

2014-03-05 Ugo Riboni

        * Prepare album add test for working regardless of the number of
          albums present (bee3671c)

2014-03-03 Ugo Riboni

        * Make sure the zoomed pictured has finished loading before we hide
          the transition one (8d863657)

2014-03-03 Arthur Mello

        * Remove hardcoded MediaSource type (013ed3fe)

2014-02-28 Arthur Mello

        * Add play icon if thumbnail is from video (9fbd408a)
        * Add sample movie to autopilot test (deb27f8d)
        * Cange unittest since we now support others video filenames and
          formats (97912918)
        * Add different video file to autopilot test to check if the
          thumbnail is displayed (70a95e9c)
        * - Fix the check if a file is a video or a photo (aaf93797)

2014-02-28 Richard Huddie

        * renamed picker test and updated assertion. Also removed
          un-necessary get_named_photo() method and test from photos
          view (2e567859)

2014-02-27 Richard Huddie

        * Added test for selecting a named photo in picker mode (7f81f5d4)

2014-02-26 Arthur Mello

        * Fix autopilot test replacing hardcoded path of generated thumbnail
          (4792496a)

2014-02-26 Richard Huddie

        * added simple test to select a named photo (a2d21609)

2014-02-25 Ugo Riboni

        * Remove the PreviewManager since all the previews are now handled by
          the SDK thumbnailer (de1e2436)
        * When an image changes, refresh all thumbnails across all tabs
          (6e05ce73)

2014-02-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4d3a3fdc)

2014-02-21 Richard Huddie

        * Added method for selecting a named photo (8b0fdb36)

2014-02-20 Sergio Schvezov

        * Merging trunk (7d557c70)

2014-02-19 Ugo Riboni

        * Touch the file when reverting to original so that the thumbnail
          will be properly regenerated (2a0feefb)
        * Force the thumbnail preview to reload once the editing is finished
          so that the thumbnailer will regenerate it from the new
          image data (81c7338a)

2014-02-18 Arthur Mello

        * Add debug message every time a media is added Add timeout to the
          compare test (7158d500)
        * Merge latest changes from trunk (3e60f779)

2014-02-17 Ugo Riboni

        * Merge changes from trunk (5b013a1e)

2014-02-14 CI bot

        * Releasing 0.0.67+14.04.20140214-0ubuntu1 (cd9f30ed)

2014-02-14 Arthur Mello

        * Add support to toggle fullscreen using F11 and Escape keys on
          Desktop platform.
          Fixes: 1272813, 1279539 (d9b9cdc8)

2014-02-14 Ugo Riboni

        * fix navigating of photos requiring 2 swipes
          Fixes: 1268744
          (3e64cba0)

2014-02-14 Arthur Mello

        * Shouldn't be checking formFactor() as it defaults to desktop always
          (21976ec9)
        * Fix fullscreen test on Desktop mode (e887d5a9)
        * Shouldn't be checking formFactor() as it defaults to desktop always
          (35869424)

2014-02-13 Bill Filler

        * skip flaky test (fee745e6)
        * add friends to the policy for sharing (2f9f87ed)
        * merged from sergio (21e2b81c)

2014-02-13 Sergio Schvezov

        * Fixes for running the tests as click. (f3a055de)

2014-02-13 Arthur Mello

        * Remove --fullscreen option from desktop mode (b57a1ec8)
        * Fix isDesktopMode() method on application Change autopilot tests to
          recognize desktop mode correctly (1e891f63)

2014-02-12 Arthur Mello

        * Add autopilot tests to check if Camera Button is not visible at
          Desktop (f04e4c78)
        * Disable toggle to camera button when on Desktop mode (012c341c)

2014-02-12 Bill Filler

        * merge sergio's changes to AP tests (2a2c079c)
        * get rid of duplicate method (c80c7723)

2014-02-11 Bill Filler

        * merge from trunk (bbe778ed)

2014-02-11 Ugo Riboni

        * Remove the built-in thumbnail image provider as it's not used
          anymore (5aee1c06)
        * Use the SDK thumbnailer instead of the custom one. (2e9382ca)

2014-02-11 Arthur Mello

        * Add debug messages to unittest (a86f6f3e)

2014-02-11 Ugo Riboni

        * Merge changes from trunk (1ab3a48f)

2014-02-11 Arthur Mello

        * Use QTemporaryDir during unittest to avoid hardcoded /tmp
          (ff236e0d)
        * Remove rule for output unittests results on failure since it does
          not fixed the problem (4742b2b2)

2014-02-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (cbfbd3b5)

2014-02-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b044b9a0)

2014-02-06 Arthur Mello

        * Output unit test result on failure (17f06cdb)
        * Add unittest to check sub folders monitoring (44ac7c56)

2014-02-05 Arthur Mello

        * Add target directory's sub folders to the directory watch list
          (bfe55e91)
        * Add commentary about MainScreen property been used on autopilot
          test (0ea56763)

2014-02-05 Ugo Riboni

        * Fix and improve the unit test (36bf42da)

2014-02-04 Ugo Riboni

        * Add autopilot tests for the change (74640b16)
        * Hide the detailed preview in a way that doesn't interrupt flicking
          (909752b5)

2014-02-04 Arthur Mello

        * Add autopilot test for toggle fullscreen (e9bd1117)
        * Fix Desktop platform detection (6c1f63df)

2014-02-03 Arthur Mello

        * Add support for toggling fullscreen using keyboard shortcuts.
          (13719d37)

2014-01-31 CI bot

        * Releasing 0.0.67+14.04.20140131-0ubuntu1 (34ab33c4)
        * release trunk into CI Train (c8c57075)

2014-01-29 Bill Filler

        * merge to support content-hub click (f5ff69ca)

2014-01-29 Ken VanDine

        * Install as a source for content-hub (5808f453)

2014-01-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (8f68a382)

2014-01-24 Bill Filler

        * don't run in fullscreen if DESKTOP_MODE=1. (191d41e9)

2014-01-23 Bill Filler

        * don't run in fullscreen if DESKTOP_MODE (17a87f2c)

2014-01-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (134b5409)

2014-01-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c48c3d3b)

2014-01-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (80a97fa3)

2014-01-14 Ugo Riboni

        * Save the state of the view when restarting the app. (c718c596)

2014-01-13 Sergio Schvezov

        * Adding APP_URIS support and saving Pictures on test run (6160a495)

2014-01-13 Ugo Riboni

        * Add missing imports. Whoops (16a97f94)
        * Temporarily disable the AP tests (356c797f)

2014-01-12 Bill Filler

        * run in fullscreen mode by default unless env DESKTOP_MODE set
          (875a8101)
        * merge sergio changes (5e508948)

2014-01-11 Sergio Schvezov

        * ICON to use GALLERY (e26e7f1f)
        * Adding script to easily build click package (cf6c0f02)
        * Making GETTEXT dependant on click building Using common variables
          Syntax fixes for desktop file (0d07da40)

2014-01-10 Bill Filler

        * merge lp:~sergiusens/gallery-app/minors (8cf49d7d)

2014-01-10 Sergio Schvezov

        * Using svg icon for click Removing --fullscreen from Exec (89098f26)

2014-01-10 Bill Filler

        * launch camera as a click (b4b5616c)

2014-01-09 Automatic PS uploader

        * Releasing 0.0.67+14.04.20140108.2-0ubuntu1 (revision 902 from
          lp:gallery-app). (d8db9f9c)

2014-01-09 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (55646ceb)

2014-01-08 Automatic PS uploader

        * Releasing 0.0.67+14.04.20140108.2-0ubuntu1, based on r902
          (6450edc7)

2014-01-07 daker

        * Fixed the loading screen.
          Fixes:
          https://bugs.launchpad.net/bugs/1262004. (a8807d00)

2014-01-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (630a6163)

2014-01-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (843de052)

2014-01-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2a15df6e)

2013-12-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d30cbbbb)

2013-12-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b545099c)

2013-12-20 Olivier Tilloy

        * Revert a few changes that are now rendered useless by the updated
          emulator that ensures the toolbar is open before actually
          clicking a button. (4673c613)

2013-12-19 Olivier Tilloy

        * Ensure the fields have active focus before interacting with them.
          (f3ca7358)

2013-12-19 Ugo Riboni

        * Explicitly depend on pkg-config instead of having it pulled in by
          some other package. (d6ebb96e)

2013-12-19 Adnane Belmadiaf

        * Minor tweaks (7d2f6ec7)

2013-12-19 Olivier Tilloy

        * Fix the AlbumEditor emulator to select the correct editable text
          fields. (93dd5045)

2013-12-18 daker

        * Use Column instead Added spacing (4a7003ec)

2013-12-18 Olivier Tilloy

        * Ensure the fields have active focus before interacting with them.
          (55f723dd)
        * Use keyboard.type(…) to input text instead of emulating pressing
          every single key. (c9871d76)

2013-12-17 daker

        * Fixed the loading screen (ea7a4424)

2013-12-17 Automatic PS uploader

        * Releasing 0.0.67+14.04.20131217-0ubuntu1 (revision 892 from
          lp:gallery-app). (45dcdda0)
        * Releasing 0.0.67+14.04.20131217-0ubuntu1, based on r892 (f8913681)

2013-12-17 Olivier Tilloy

        * Fix a flaky test by always waiting for the confirmation dialogue to
          be fully visible before interacting with it. (bffb2aed)

2013-12-17 Ugo Riboni

        * Add missing dependency (be61bdad)
        * Fix a comment (34bdfc8e)
        * Remove TODO (52c3280a)
        * Clarify a comment (0108d9ba)
        * Use the Tabs emulator to select the current tab instead of
          reimplementing it (78d4c2ab)
        * Fix python style issues (0ff9f77f)
        * Fix property type (e687340e)

2013-12-17 Olivier Tilloy

        * Use QT5_WRAP_CPP instead of QT_WRAP_CPP. Fixes building from source
          on an up-to-date trusty setup.
          Fixes:
          https://bugs.launchpad.net/bugs/1261417. (b60046eb)

2013-12-17 Ugo Riboni

        * Rename some symbols for more clarity (4ac3b221)

2013-12-16 Olivier Tilloy

        * Use QT5_WRAP_CPP instead of QT_WRAP_CPP. (fd1b579a)

2013-12-16 Ugo Riboni

        * Expand the home directory more properly (811fb0c7)

2013-12-16 Olivier Tilloy

        * Fix typo. (22ea215f)
        * Fix a flaky test by always waiting for the confirmation dialogue to
          be fully visible before interacting with it. (eb0489b5)

2013-12-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (b3dd5ad2)

2013-12-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e56c1275)

2013-12-11 Ugo Riboni

        * Add autopilot tests to verify reopening albums (fb641e5d)
        * Add some autopilot tests to verify returning to an opened image
          (ec69ad45)
        * Refactor some AP tests for less code (61810eda)
        * If a picture was open when quitting while in an album, return to
          the same picure on reopening. (da182b91)
        * Prevent photos and albums from being restored only the first time
          (3c25a750)
        * Fix an error preventing the current album to be saved (ddd37ec7)

2013-12-10 Ugo Riboni

        * Restore the currently open album, if any (1cca7330)
        * Return to the picture that was last open in events or photo view,
          if we closed while in that view (7cc8c42c)
        * Add state saving tests for main view too (714fd624)
        * Make AP tests work properly on all platforms (434f576a)
        * Add autopilot tests (only partially working) (000eab74)

2013-12-09 Ugo Riboni

        * Include tests in the qmlproject files, for convenience (8e59d932)
        * Save the selected tab so when we restart the app we get back to the
          same tab (b1c55960)
        * Unify the loading of the picker screen and the main screen, as I
          see no reason for them to be in separate Loaders. Also
          remove an objectName that's never really used. (83b9d74f)

2013-11-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7d70c9f2)

2013-11-22 Dmitrijs Ledkovs

        * Remove gstreamer0.10-ffmpeg dependency. (LP: #1254033).
          Fixes:
          https://bugs.launchpad.net/bugs/1254033. (8e792482)
        * Remove gstreamer0.10-ffmpeg dependency. (LP: #1254033) (a437ef5b)

2013-11-17 Omer Akram

        * Changes the color of the delete dialog's cancel button.
          Fixes:
          https://bugs.launchpad.net/bugs/1207399. (90e716a0)

2013-11-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4abb479e)

2013-11-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (798ef11f)

2013-11-11 Olivier Tilloy

        * Revert a few changes that are now rendered useless by the updated
          emulator that ensures the toolbar is open before actually
          clicking a button. (56746eef)

2013-11-06 Automatic PS uploader

        * Releasing 0.0.67+14.04.20131106-0ubuntu1 (revision 882 from
          lp:gallery-app). (c1a614ed)
        * Releasing 0.0.67+14.04.20131106-0ubuntu1, based on r882 (b3ae2317)

2013-11-06 Łukasz 'sil2100' Zemczak

        * Updating tests in preparation of autopilot 1.4 release. (7d9d1c59)

2013-11-06 Christopher Lee

        * Merge trunk resolve conflict (7451f735)

2013-11-05 Automatic PS uploader

        * Releasing 0.0.67+14.04.20131105-0ubuntu1 (revision 880 from
          lp:gallery-app). (8f5f1a61)
        * Releasing 0.0.67+14.04.20131105-0ubuntu1, based on r880 (edbf2b8c)

2013-11-05 Łukasz 'sil2100' Zemczak

        * Ensure the toolbar is hidden before interacting with the
          application. (69c7f656)

2013-11-05 Olivier Tilloy

        * Explicitly close the toolbar in a few more places to avoid race
          conditions when the tests are run on slow configurations
          (otto, I’m looking at you). (79a56f5b)

2013-11-04 Christopher Lee

        * Merge trunk. (acd6e4ca)
        * Fix test (including split it into 2 tests) (efb458dc)
        * Update using work around for lp:1247698 (6b2dfcfb)
        * Updated to not use list index (133a0d54)
        * Change use of relying on list index and update method to do what
          the comment says (was clicking below, now to the left).
          (7b77a28c)
        * update use of select_single (5dc48514)

2013-11-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1fdb69f8)

2013-10-31 Christopher Lee

        * Update debian/control for 1.4 version (8fbc3827)
        * Autopilot 1.4 updates (ee0980ef)
        * Fix for interaction failing (2b889829)
        * Opinionated refactor/minor cleanup (13d584b0)

2013-10-30 Christopher Lee

        * Updated to work with deleting test. (5b0aa60e)
        * remove dead code (cdbb11ae)
        * Remove typo (705d9f8f)
        * Initial updates for AP 1.4 (99256147)
        * Fix for interaction failing (c006a92a)
        * Opinionated refactor (bbb46344)

2013-10-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (74b7b528)

2013-10-25 Olivier Tilloy

        * Ensure the toolbar is hidden before interacting with the
          application. (b2ffc607)

2013-10-21 Guenter Schwann

        * Put share panel in a Loader.
          Fixes:
          https://bugs.launchpad.net/bugs/1221266. (a3f63994)

2013-10-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9c5708f1)

2013-10-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2e13b0a1)

2013-10-18 Guenter Schwann

        * Put share panel in a Loader (050e636d)

2013-10-16 Omer Akram

        * change color of the cancel button per design guidelines (246d9449)

2013-10-12 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (36094e14)

2013-10-11 Automatic PS uploader

        * Releasing 0.0.67+13.10.20131011.1-0ubuntu1 (revision 872 from
          lp:gallery-app). (7f6b8f33)
        * Releasing 0.0.67+13.10.20131011.1-0ubuntu1, based on r872
          (a0763819)

2013-10-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (25b762dd)

2013-10-10 Bill Filler

        * merged lp:~schwann/gallery-app/gallery-pick-return (f299fc5b)

2013-10-10 Guenter Schwann

        * Quit app after picking content when startet in conent pick mode
          (0e2244bb)

2013-10-10 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (4de4b877)

2013-10-09 Guenter Schwann

        * Do not quit gallery when done with picking content fixes LP:
          #1236308 (af385897)

2013-10-08 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (e596930b)

2013-10-07 Automatic PS uploader

        * Releasing 0.0.67+13.10.20131007.2-0ubuntu1 (revision 867 from
          lp:gallery-app). (cc095ede)
        * Releasing 0.0.67+13.10.20131007.2-0ubuntu1, based on r867
          (f3c52856)

2013-10-07 Sergio Schvezov

        * Click building support and fixing tests to work for click and
          minimizing code duplication. (4f072244)

2013-10-07 Automatic PS uploader

        * Releasing 0.0.67+13.10.20131007.1-0ubuntu1 (revision 865 from
          lp:gallery-app). (6b28917e)

2013-10-07 Sergio Schvezov

        * dding README on how to build for click. (450659df)
        * gallery_dir woes (8038c40d)

2013-10-07 Automatic PS uploader

        * Releasing 0.0.67+13.10.20131007.1-0ubuntu1, based on r865
          (277c476d)

2013-10-07 Sergio Schvezov

        * reverting change to locale install dir (a4bdac33)
        * Removing unnecessary set of plugin dir (6bfac659)
        * Click mode for rc (7094f223)

2013-10-06 Sergio Schvezov

        * Merging trunk (ba818450)
        * fixing tests to work for click and minimizing code duplication.
          (d654d1d4)
        * Allowing Qt to do the right thing for the HUD (5fe9a17d)
        * click building support (84295d1f)

2013-10-04 Matthew Fischer

        * Remove the icon from the package.
          Fixes:
          https://bugs.launchpad.net/bugs/1235070. (73f7c4b2)
        * Disable the installation of the icon into the ubuntu-mobile theme
          since the Ubuntu Mobile package already does this. (LP:
          #1235070) (536c0711)

2013-10-04 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (22a8f0c9)

2013-10-03 Ugo Riboni

        * If facebook is configured, share to it immediately. If not give the
          option to configure it.
          Fixes:
          https://bugs.launchpad.net/bugs/1229430. (7101b621)

2013-10-03 Matthew Fischer

        * Fix the path for the icon. (f3611240)

2013-10-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (7173972c)

2013-10-03 Omer Akram

        * use pointing device creation code from the UIToolkit emulators.
          (a37ab0e5)

2013-10-02 Ugo Riboni

        * Remove the share button test as the outcome of pressing the button
          now depends on external factors that can't be controlled
          in an AP test but should be the target of an integration
          test. (d4ddb743)
        * Close the popover if already open (c7dcbb30)

2013-10-02 Guenter Schwann

        * Fix getting the correct selection type fixes LP: #1229801 Do not
          close gallery directly after charging, but wait for the
          transfer to be aborted or collected.
          Fixes:
          https://bugs.launchpad.net/bugs/1229801. (87373b2b)

2013-10-02 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1513da7d)

2013-10-02 Ken VanDine

        * use pkgconfig provided in content-hub >= 0.0+13.10.20130930.1 .
          (93ad9232)

2013-10-01 Automatic PS uploader

        * Releasing 0.0.67+13.10.20131001.3-0ubuntu1 (revision 855 from
          lp:gallery-app). (fcba6926)
        * Releasing 0.0.67+13.10.20131001.3-0ubuntu1, based on r855
          (675b30ee)

2013-10-01 Ugo Riboni

        * If facebook is configured, go to share directly. If not, give
          option to configure it. (01ac2e7d)

2013-10-01 Sebastien Bacher

        * Backport changelog from manual saucy upload. (975f180a)
        * Backport changelog from manual saucy upload (b9c26aa0)

2013-10-01 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2254972e)

2013-09-30 Matthew Fischer

        * merging from trunk (d9ba6379)

2013-09-30 Ugo Riboni

        * Use the URL dispatcher to launch the camera app.
          Fixes:
          https://bugs.launchpad.net/bugs/1233236. (6e918cb2)

2013-09-30 Ken VanDine

        * use pkgconfig provided in content-hub >= 0.0+13.10.20130930.1
          (82b6c729)

2013-09-30 Ugo Riboni

        * Simplify the code (a31217a8)
        * Use the URL dispatcher to launch the camera app (0590fc83)

2013-09-30 Omer Akram

        * remove unused imports (788ae459)
        * remove our pointing device creation code, rather use from the
          uitoolkit (d5aaefed)

2013-09-30 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (1606094b)

2013-09-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3516e11c)

2013-09-27 Guenter Schwann

        * Not sure why Transfer::SelectionType::single is nneded instead of
          Transfer::single but it fixes the MR for newer images
          (2457fc22)

2013-09-26 Guenter Schwann

        * Fix getting the correct selection type fixes LP: #1229801 Do not
          close gallery directly after charging, but wait for the
          transfer to be aborted or collected (cf32533c)

2013-09-24 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130924.1-0ubuntu1 (revision 849 from
          lp:gallery-app). (0cf21c32)
        * Releasing 0.0.67+13.10.20130924.1-0ubuntu1, based on r849
          (4562a44c)

2013-09-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d8b8487e)

2013-09-23 Guenter Schwann

        * When adding a new album, go to album edit directly Fixes LP:
          #1163414.
          Fixes: https://bugs.launchpad.net/bugs/1163414.
          (590c1e73)

2013-09-20 Guenter Schwann

        * Fix autopilot on device (1bcd75e9)

2013-09-20 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130920-0ubuntu1 (revision 846 from
          lp:gallery-app). (57418267)
        * Releasing 0.0.67+13.10.20130920-0ubuntu1, based on r846 (5a9bab61)

2013-09-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2ea430bd)

2013-09-20 Ted Gould

        * Adding single instance marker to the desktop file. (3613916e)

2013-09-20 Guenter Schwann

        * Get and use single/multiselection in pick mode from transfer
          object. (aabc3dea)

2013-09-19 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130919.3-0ubuntu1 (revision 842 from
          lp:gallery-app). (ea3fcb8e)

2013-09-19 Ted Gould

        * Adding single instance marker to the desktop file (5bd80a72)

2013-09-19 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130919.3-0ubuntu1, based on r842
          (a1f4357e)

2013-09-19 Guenter Schwann

        * When adding a new album, go to album edit directly Fixes LP:
          #1163414 (46f1a0cd)

2013-09-18 Guenter Schwann

        * Fix bug closing the album view LP: #1207395.
          Fixes:
          https://bugs.launchpad.net/bugs/1207395. (48f5c5b3)
        * Enable delete in album view (close view without animation) fixes
          LP: #1163437.
          Fixes:
          https://bugs.launchpad.net/bugs/1163437. (4d9e9445)

2013-09-18 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130918.1-0ubuntu1 (revision 839 from
          lp:gallery-app). (041f438a)

2013-09-18 Guenter Schwann

        * Always quit gallery after picking for now (218c2407)
        * Trunk merged (707aa30b)
        * Enable delete in album view (close view without animation) fixes
          LP: #1163437 (2336e2ae)

2013-09-18 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130918.1-0ubuntu1, based on r839
          (36c317bf)

2013-09-17 Guenter Schwann

        * Fix bug closing the album view LP: #1207395 (3b7e5cac)

2013-09-16 Ugo Riboni

        * Use the Actions API instead of using the HUD directly.
          Fixes:
          https://bugs.launchpad.net/bugs/1220279,
          https://bugs.launchpad.net/bugs/1221344. (339584ef)
        * Merge changes from trunk (d8676c70)

2013-09-12 Gerry Boland

        * Application module name changed, update the
          UbuntuApplicationWrapper. (67d79b20)

2013-09-12 Matthew Fischer

        * Move the icon path to apps (4c722325)

2013-09-12 Guenter Schwann

        * Add missing include (e4406c91)

2013-09-11 Gerry Boland

        * Application module name changed, update the
          UbuntuApplicationWrapper (61766419)

2013-09-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (64a66ccb)

2013-09-09 Ugo Riboni

        * Activate the local context when necessary (dcb2e103)
        * Remove dependency on the hud as it's not used anymore (7fad51a0)
        * Switch to the new Actions API instead of using the HUD directly
          (aef46cf9)

2013-09-06 Guenter Schwann

        * Get and use single/multiselection in pick mode from transfer object
          (f563c6e2)

2013-09-05 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130905-0ubuntu1 (revision 835 from
          lp:gallery-app). (2fb2b4ae)
        * Releasing 0.0.67+13.10.20130905-0ubuntu1, based on r835 (ccd1e00b)

2013-09-04 Jussi Pakkanen

        * Store original path as an image attribute. (7070599a)

2013-09-04 Chris Wayne

        * In EventCard.qml, there's no reason to explictly set the font or
          the color for label, as that should just be inherited by
          the theme.
          Fixes: https://bugs.launchpad.net/bugs/1220352.
          (7c9c643b)

2013-09-04 Jussi Pakkanen

        * Store original path as an image attribute as required by the
          thumbnail spec. (17eb6dd2)

2013-09-04 Guenter Schwann

        * Return urls not filenames to content hub. (a4f62dcf)

2013-09-03 Chris Wayne

        * Also removing font from PopupAlbumPicker label, as its unnecessary
          (941ce50d)
        * Don't need to set font or color for Label, as it should just be
          inherited by the theme (fa2fe23e)

2013-09-03 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130903-0ubuntu1 (revision 831 from
          lp:gallery-app). (1724f60d)
        * Releasing 0.0.67+13.10.20130903-0ubuntu1, based on r831 (77c7cdba)

2013-09-03 Guenter Schwann

        * Trunk merged (97b46fad)
        * Fix test for the toolbar using the old active property.
          Fixes:
          https://bugs.launchpad.net/bugs/1218953. (fffdd600)
        * Revert last changes (7d08e645)
        * Maybe some more time helps? (8b4f8ab0)

2013-09-02 Guenter Schwann

        * Use another function to switch to album tab (feac4e20)
        * Force share component fixed verison or later (ab7d76a9)

2013-08-31 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9e32b5bd)

2013-08-30 Guenter Schwann

        * Fix test for the toolbar using the old active property (8ab7f538)

2013-08-29 Guenter Schwann

        * Return urls not filenames to content hub (6f4b4718)

2013-08-29 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (32121c42)

2013-08-29 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130829.1-0ubuntu1 (revision 827 from
          lp:gallery-app). (1b90ef12)
        * Releasing 0.0.67+13.10.20130829.1-0ubuntu1, based on r827
          (94d28682)

2013-08-28 Guenter Schwann

        * Use content hub for content picking. (fadb866a)
        * Fix comments from MR (e9ae2117)
        * Better name for "normal" mode of gallery (360afa85)
        * Fix to start with --pick-mode (ef5b1d58)
        * Dynamicly switch to pick mode if needed (71919838)

2013-08-27 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130827.1-0ubuntu1 (revision 825 from
          lp:gallery-app). (63acd815)
        * Releasing 0.0.67+13.10.20130827.1-0ubuntu1, based on r825
          (b259d8d9)

2013-08-27 Guenter Schwann

        * Trunk merged (551a0bf3)
        * Pick mode always shows photos and videos and is multiselection.
          (1e64dd94)
        * Pick mode always shows photos and videos and is multiselection
          (9998a297)

2013-08-27 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130827-0ubuntu1 (revision 823 from
          lp:gallery-app). (07a18bf7)
        * Releasing 0.0.67+13.10.20130827-0ubuntu1, based on r823 (a2dac970)

2013-08-26 Ugo Riboni

        * Use the share component from ubuntu-ui-extras instead of launching
          the share app. (da2b6d09)
        * Fix autopilot tests failing apparently due to changes in autopilot
          itself (6e890d25)
        * Remove the share file hack and the share app caller as we are using
          share as a component now (2c17b139)
        * Use the renamed ubuntu-ui-extras package (d391ee62)
        * Merge changes from trunk (5e8d72ed)

2013-08-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (03218aa2)

2013-08-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (21ca7f50)

2013-08-21 Ugo Riboni

        * Merge changes from trunk (b3928bdb)
        * Use the version of SharePopup from ubuntu-ui-extras instead of the
          local one (319e09bd)

2013-08-21 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130821-0ubuntu1 (revision 819 from
          lp:gallery-app). (b19f3c36)
        * Releasing 0.0.67+13.10.20130821-0ubuntu1, based on r819 (ac218d53)

2013-08-20 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130820.2-0ubuntu1 (revision 817 from
          lp:gallery-app). (dca6690e)

2013-08-20 Guenter Schwann

        * cleanups for the autopilot tests;  test if long press on media
          switches to select mode. (57bcb665)

2013-08-20 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130820.2-0ubuntu1, based on r817
          (c5c49b2e)

2013-08-20 Robert Bruce Park

        * Put the dependency in the right place, not here. (3c4c19ef)

2013-08-19 Robert Bruce Park

        * Put the missing dependency in the right place, not here. (a3ff20a9)

2013-08-19 Guenter Schwann

        * cleanups for the autopilot tests;  test if long press on media
          switches to select mode (242aeb55)
        * remove (wrong) author of copyright;  mark the cmake variables for
          the content hub as fixme (a7d61371)
        * trunk merged (394d4f10)

2013-08-19 Olivier Tilloy

        * Fix FTBFS.
          Fixes: https://bugs.launchpad.net/bugs/1213776.
          (83c9d635)

2013-08-19 Ugo Riboni

        * Add dependency on the package containing the share component
          (b8f2d03b)
        * Use the share component instead of launching the share-app
          (45502c47)

2013-08-19 Olivier Tilloy

        * Fix FTBFS. (f744e846)

2013-08-16 Guenter Schwann

        * Trunk merged (36feb1a4)
        * Minor cmake improvement (bc35e554)
        * be more strict about compiler warnings and errors;  delete the
          MediaViewer after opening it from an album;  add script to
          compile and run gallery on the device. (316f0b8d)
        * Add script to compile and run gallery on the device (e30917f1)
        * be more strict about compiler warnings and errors;  delete the
          MediaViewer after opening it from an album (87f38a8e)

2013-08-15 Guenter Schwann

        * Trunk merged (0710a5fd)
        * Use content hub for content picking (2d24b80e)
        * read video metadata from video file;  rotate video thumbnail for
          portrait videos. (2d8f7a74)
        * Fix package creation (ba1fed97)
        * Explain why libzen-dev dependency ist explicitly set (5a0bd30c)
        * Set define/flag for mediainfo correctly (56f2c605)

2013-08-14 Guenter Schwann

        * Trunk merged (90cb2ae2)
        * Clean up cmake files. (bcfa8cb0)
        * Trunk merged (ca8e9e0f)
        * Additional test when opening the edit popover. (e293d2ad)
        * Add an emulator for the MediaViewer (ff8816e2)
        * Put spinner test in separate function (0d7ea841)
        * In tests wait for edits to have finished (594e1356)
        * More tests for the delete dialog (0f5f2d99)
        * Better test for new album cover (64c831ee)
        * More cleanup (9dc9ea48)
        * Additional test when opening the edit popover (d89cf8fb)
        * Clean up cmake files (52c8dadf)
        * read video metadata from video file;  rotate video thumbnail for
          portrait videos (a6b1e026)

2013-08-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9032cc39)

2013-08-13 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130813.2-0ubuntu1 (revision 809 from
          lp:gallery-app). (ba35bfd4)
        * Releasing 0.0.67+13.10.20130813.2-0ubuntu1, based on r809
          (183e8c97)

2013-08-13 Guenter Schwann

        * Fix crash on exit.
          Fixes: https://bugs.launchpad.net/bugs/1211334.
          (1e509774)

2013-08-13 Ugo Riboni

        * Explicitly add pkg-config to the dependencies (f41f0850)

2013-08-13 Guenter Schwann

        * Fix crash on exit (70087ff2)

2013-08-13 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130813.1-0ubuntu1 (revision 807 from
          lp:gallery-app). (cae5f619)
        * Releasing 0.0.67+13.10.20130813.1-0ubuntu1, based on r807
          (31c0be83)

2013-08-12 Omer Akram

        * makes the photo zoom autopilot tests more reliable.
          Fixes:
          https://bugs.launchpad.net/bugs/1211425. (a79e9c02)

2013-08-13 Omer Akram

        * make sure the delete dialog is visible before clicking stuff
          (739aa1f3)

2013-08-12 Omer Akram

        * 0 > False (98be6342)
        * autopilot test: make sure the photo is fully zoomed and not
          animating before unzooming (293fe4a5)

2013-08-12 Guenter Schwann

        * Use UITK functions to switch tabs in autopilot tests. (437c2c84)
        * Remove unused GreaterThan import (05091c7e)
        * Create vido thumbnails from the videos. (73213bb0)
        * Use UITK functions to switch tabs in autopilot tests (cd3e9dd6)
        * Fix unit video test (e624e5ed)
        * Use UITK emulator functions for the toolbar buttons. (bd2c10cf)
        * Create vido thumbnails from the videos (af339178)

2013-08-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (2c0d80c0)

2013-08-09 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130809.2-0ubuntu1 (revision 800 from
          lp:gallery-app). (66f1663d)

2013-08-09 Guenter Schwann

        * Long press in event view enters selection mode.
          Fixes:
          https://bugs.launchpad.net/bugs/1086416. (20392221)

2013-08-09 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130809.2-0ubuntu1, based on r800
          (08535705)

2013-08-09 Guenter Schwann

        * Better getter functions for the delete dialog (d32803ba)
        * Handle file names correctly to not accidentially delete photos.
          (697fa294)
        * Use more const (1d3b2cba)
        * Handle file names correctly to not accidentially delete photos
          (90659012)

2013-08-09 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130809.1-0ubuntu1 (revision 798 from
          lp:gallery-app). (2070c101)

2013-08-09 Guenter Schwann

        * better check for the delete dialog in photo view (e50a6f53)
        * remove function that is only there for pyflakes to not complai.
          fix typo (ff57dda7)
        * Long press in event view enters selection mode (a20f0b10)
        * Fix test (59fd6c14)

2013-08-09 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130809.1-0ubuntu1, based on r798
          (6bac6c24)

2013-08-09 Guenter Schwann

        * Remove old commented code (376af82c)
        * Use UITK emulator functions for the toolbar buttons (36adc241)
        * Start to use the UITK emulators. (54cf8e9d)

2013-08-08 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130808.2-0ubuntu1 (revision 796 from
          lp:gallery-app). (420d1a5c)
        * Releasing 0.0.67+13.10.20130808.2-0ubuntu1, based on r796
          (6075a9b7)

2013-08-08 Guenter Schwann

        * Fix test (04033250)
        * make pyflakes happy (ae3f27a3)
        * Fixing todos (592a9b3d)

2013-08-08 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130808.1-0ubuntu1 (revision 795 from
          lp:gallery-app). (b4833582)
        * Releasing 0.0.67+13.10.20130808.1-0ubuntu1, based on r795
          (551a2a78)

2013-08-07 Guenter Schwann

        * Trunk merged (62691cef)
        * Close the toolbar when an editing operation was selected.
          (ac1b56d8)
        * Close the toolbar when an editing operation was selected (bc5cdec9)

2013-08-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (35e6d6fe)

2013-08-02 Guenter Schwann

        * Start to use the UITK emulators (7831290c)

2013-08-02 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130802-0ubuntu1 (revision 792 from
          lp:gallery-app). (0cbf331f)
        * Releasing 0.0.67+13.10.20130802-0ubuntu1, based on r792 (beb91ec1)

2013-08-02 Guenter Schwann

        * Update autopilot test to newest SDK.
          Fixes:
          https://bugs.launchpad.net/bugs/1207647. (f553e943)
        * Update autopilot test to newest SDK (a4c6b21a)

2013-08-01 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130801-0ubuntu1 (revision 790 from
          lp:gallery-app). (194d79fe)
        * Releasing 0.0.67+13.10.20130801-0ubuntu1, based on r790 (3f245ce4)

2013-08-01 David Henningsson

        * qtubuntu-media dependency should be part of the touch seeds
          instead. (cdb704e2)

2013-07-31 David Henningsson

        * Remove dependency on qtubuntu-media (not wanted on PulseAudio
          image) (0eaf52ad)

2013-07-29 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130729-0ubuntu1 (revision 788 from
          lp:gallery-app). (e5c3b79f)
        * Releasing 0.0.67+13.10.20130729-0ubuntu1, based on r788 (19fbedd5)

2013-07-27 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (825e8513)

2013-07-26 Guenter Schwann

        * Run edit operations in a background task.
          Fixes:
          https://bugs.launchpad.net/bugs/1011710. (7ec5a41b)
        * Properly block undo/redo (c9e4cb11)
        * Run edit operations in a background task (f4fbc711)

2013-07-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (43b387f3)

2013-07-25 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130725-0ubuntu1 (revision 784 from
          lp:gallery-app). (78fc0551)
        * Releasing 0.0.67+13.10.20130725-0ubuntu1, based on r784 (85629477)

2013-07-24 Kaleo

        * Make sure the photo viewer height is the size of the window by
          overriding the default height set by Page.
          Fixes:
          https://bugs.launchpad.net/bugs/1204327. (2b5363e8)
        * Make sure the photo viewer height is the size of the window by
          overriding the default height set by Page. (c778acf6)

2013-07-22 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130722-0ubuntu1 (revision 781 from
          lp:gallery-app). (ec7fd99f)

2013-07-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0182e2d1)

2013-07-22 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130722-0ubuntu1, based on r781 (2f4bf60c)

2013-07-20 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a0739e08)

2013-07-19 Guenter Schwann

        * Separate copyright for visual items. (77cded1b)

2013-07-18 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130718-0ubuntu1 (revision 778 from
          lp:gallery-app). (3fb2209c)
        * Releasing 0.0.67+13.10.20130718-0ubuntu1, based on r778 (beacd8fe)

2013-07-18 Łukasz 'sil2100' Zemczak

        * Remove sharing of albums LP: #1163862 (b714ec8f)

2013-07-17 Guenter Schwann

        * Work around SDK bug (f5908256)
        * Remove sharing of albums LP: #1163862 (ce58b173)

2013-07-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (c61093f2)

2013-07-16 Guenter Schwann

        * Minor performance improvement comparing MediaSource dates.
          (e078f897)
        * Minor performance improvement comparing MediaSource dates
          (3b5e51ed)
        * Separate copyright for visual items (84da0068)

2013-07-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (769f9339)

2013-07-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (6e601205)

2013-07-12 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130712-0ubuntu1 (revision 772 from
          lp:gallery-app). (e8b88b30)
        * Releasing 0.0.67+13.10.20130712-0ubuntu1, based on r772 (be84a3a8)

2013-07-09 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130709-0ubuntu1 (revision 770 from
          lp:gallery-app). (dea02968)

2013-07-09 Christopher Lee

        * Fix issue when launching on device. (8f7cb4c6)
        * Fix use of appending kwargs to a list. (85150348)

2013-07-09 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130709-0ubuntu1, based on r770 (c0f18a6d)

2013-07-05 Guenter Schwann

        * Don't do file monitoring during editing. (250f14a2)
        * More robust test for opening a photo. (1e14bd7b)
        * Don't do file monitoring during editing (f0f68ab3)

2013-07-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (68db11e0)

2013-07-04 Guenter Schwann

        * Disable test, that blocks the UI (e3f097b0)
        * More robust test for opening a photo (7bd6bfa1)

2013-07-03 Guenter Schwann

        * Reduce use of singleton. (5f610358)
        * Use old includes, because of dependency issues (17d3e67c)
        * Oder sun projects by layer, not by alphabet (a8bc54b8)
        * Reduce use of singleton (08a7c9ff)
        * Load the media object from the DB without checkin for the files
          (and separate queries) Do a datastructure / file syetem
          consitency check in a background thread. (4ff2ab14)

2013-07-03 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (3cee3573)

2013-07-02 Guenter Schwann

        * Minor cleanup (19790d5a)
        * Improve delete tests (2535c4c5)
        * Add a unit tests (03021273)
        * Fix editing a photo Fix test (cc4614fd)
        * Trunk merged (46ad88b7)

2013-07-01 Guenter Schwann

        * Faster startup;  use more Loader and use source instead of
          sourComponent;  introduce lazy loaded mediaLibrary that
          holds all the media files;  remove unused organic album
          view. (e8030d98)
        * Load the media object from the DB without checkin for the files
          (and separate queries) Do a datastructure / file syetem
          consitency check in a background thread (769d3f31)

2013-07-01 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130701-0ubuntu1 to ubuntu. (8b08b76e)
        * Releasing 0.0.67+13.10.20130701-0ubuntu1, based on r762 (6d01c6be)

2013-07-01 Guenter Schwann

        * Fix typo Fix crash (6c68d05e)

2013-06-28 Guenter Schwann

        * Trunk merged (ff82fb79)
        * Put the file monitorin an extra thread. (612b6436)
        * Faster startup;  use more Loader and use source instead of
          sourComponent;  introduce lazy loaded mediaLibrary that
          holds all the media files;  remove unused organic album
          view (7345147c)
        * Remove query to update the mediatable rows at startup. (5b5b302c)
        * Remove query to update the mediatable rows at startup (2862edd2)
        * Put the file monitorin an extra thread (b056701c)

2013-06-28 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130628-0ubuntu1 to ubuntu. (568fc648)

2013-06-28 Guenter Schwann

        * Remove dependency of media on events. (f27babb2)

2013-06-28 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (d8f57adf)

2013-06-28 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130628-0ubuntu1, based on r757 (0a9333ac)

2013-06-27 Guenter Schwann

        * Use new design for organic view.
          Fixes:
          https://bugs.launchpad.net/bugs/1193001. (a9ef0787)
        * Remove dependency of media on events (7ff19ae0)
        * remove qml dependency from album;  get the list of selected items
          for the content picking. (15b8030d)
        * remove qml dependency from album;  get the list of selected items
          for the content picking (d2261c1b)
        * Show a special UI for picking content mode. (cfe5c35a)

2013-06-27 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130627-0ubuntu1 to ubuntu. (71514acb)

2013-06-27 Guenter Schwann

        * Fix autopilot test (35d70e2e)

2013-06-27 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130627-0ubuntu1, based on r753 (e575ee34)

2013-06-26 Guenter Schwann

        * Better and more startup feedback. (e008d1f7)

2013-06-26 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130626-0ubuntu1 to ubuntu. (ee833f06)

2013-06-26 Guenter Schwann

        * Use new design for organic view (af7377e8)
        * Trunk merged (2e56437f)
        * Show a special UI for picking content (714518d7)

2013-06-26 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (567b860d)

2013-06-26 Automatic PS uploader

        * Releasing 0.0.67+13.10.20130626-0ubuntu1, based on r750 (215380fe)

2013-06-26 Javier Collado

        * Fixed static analysis problems in autopilot test cases source code.
          (cb77e971)

2013-06-25 Automatic PS uploader

        * Releasing 0.0.67daily13.06.25-0ubuntu1 to ubuntu. (d94752c1)

2013-06-25 Guenter Schwann

        * Delete startup timer after startup is completed (fef05717)
        * Better and more startup feedback (70a8b052)

2013-06-25 Automatic PS uploader

        * Releasing 0.0.67daily13.06.25-0ubuntu1, based on r748 (2e099b38)

2013-06-25 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (250f7aea)

2013-06-24 Guenter Schwann

        * Add command line arguments for photo and video pick mode.
          (34265917)

2013-06-24 Omer Akram

        * Add autopilot test for the auto-enhance feature in the edit dialog.
          Also add a test to make sure that deleting the last photo
          in the gallery take you back to the main view. (c020ef2d)
        * fix failing tests (948458cb)

2013-06-24 Guenter Schwann

        * Add command line arguments for photo and video pick mode (84b97dac)

2013-06-24 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (9db173be)

2013-06-23 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0f601d8b)

2013-06-22 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (0c35fbe6)

2013-06-21 Javier Collado

        * Marked comment as such (671018bd)
        * Fixed indentation (a97a6199)
        * Removed whitespace in empty line (a1c1ac19)
        * Fixed long lines (017087a5)
        * Removed unused imports (1f977c97)

2013-06-21 Automatic PS uploader

        * Releasing 0.0.67daily13.06.21-0ubuntu1 to ubuntu. (0d9cd55b)
        * Releasing 0.0.67daily13.06.21-0ubuntu1, based on r741 (05bb5460)

2013-06-21 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (719c2d26)

2013-06-20 Guenter Schwann

        * New arrangement for the qml files and cleanups. (56c77c40)
        * Fix install Update translations file (9eda35ba)
        * Fix path for empty album (b57564cc)
        * New arrangement for the qml files and cleanups (25b431e3)
        * Album picker can add an album.
          Fixes:
          https://bugs.launchpad.net/bugs/1163403. (86f67727)
        * Play automatically when directly launching the video.
          Fixes:
          https://bugs.launchpad.net/bugs/1170052. (1cbcf755)
        * Play automatically when directly launching the video (c8ea08f5)
        * Use UbuntuShape until there is a proper asset (4ba73f09)
        * Trunk merged (dfeb0c52)
        * Album picker can add an album (2954d975)

2013-06-19 tpeeters

        * Use new toolbar API. (290aabc3)
        * fix type of videoToolbar property (bc354daf)
        * merge trunk (d298a20a)

2013-06-19 Automatic PS uploader

        * Releasing 0.0.67daily13.06.19-0ubuntu1 to ubuntu. (6adf9c2f)

2013-06-19 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (a3676e5e)

2013-06-19 Automatic PS uploader

        * Releasing 0.0.67daily13.06.19-0ubuntu1, based on r734 (bc1f3da8)

2013-06-18 Guenter Schwann

        * PreviewManager does the loading and orientating of photos on it's
          own. (de9cd17a)

2013-06-18 Omer Akram

        * merge trunk (d6776051)

2013-06-18 Guenter Schwann

        * Close PhotoViewer when last media is deleted (LP: #1131802).
          Fixes:
          https://bugs.launchpad.net/bugs/1131802. (a5d8664c)

2013-06-18 Automatic PS uploader

        * Releasing 0.0.67daily13.06.18-0ubuntu1 to ubuntu. (9f01fa63)

2013-06-18 tpeeters

        * undo changes to run on desktop (774ed406)
        * clean (3084f149)

2013-06-18 Guenter Schwann

        * Close PhotoViewer when last media is deleted (LP: #1131802)
          (aa332bca)

2013-06-18 tpeeters

        * fix test_album_view (04ba3ab5)
        * fix tests (1788a47c)
        * album tests pass (a2b72f60)

2013-06-18 Omer Akram

        * add test deleting last photo gets you back to main view (7a5a4e75)
        * add test for auto enhance (be4d7b63)

2013-06-18 Guenter Schwann

        * Add autopilot test for video support. (6cfb3094)

2013-06-18 Automatic PS uploader

        * Releasing 0.0.67daily13.06.18-0ubuntu1, based on r730 (c6fccc63)

2013-06-18 Guenter Schwann

        * Add autopilot test for video support (a7b9f664)

2013-06-18 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (33a2e625)

2013-06-18 Guenter Schwann

        * Trunk merged (48ee39e2)

2013-06-17 Guenter Schwann

        * Unit test for MediaObjectFactory::create(). (a57ecbea)

2013-06-17 Automatic PS uploader

        * Releasing 0.0.67daily13.06.17-0ubuntu1 to ubuntu. (1b68ddfc)

2013-06-17 tpeeters

        * use new tools API (ba9737c7)

2013-06-17 Guenter Schwann

        * Fix parameter name (19c6c5e1)
        * Unit test for MediaObjectFactory::create() (fda0430a)

2013-06-17 tpeeters

        * run on desktop (aada91a4)

2013-06-17 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (625f2970)

2013-06-17 Automatic PS uploader

        * Releasing 0.0.67daily13.06.17-0ubuntu1, based on r726 (ace336a0)

2013-06-16 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (61da7449)

2013-06-15 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (23e8beac)

2013-06-14 Guenter Schwann

        * Rudimentary video playback functionality. (9a00fd76)
        * Unit tests for MediaObjectFactory. (87c6af1a)
        * Trunk merged (ed3386b2)
        * Trunk merged (153b8ab5)
        * Multi directory support, and use ~/Videos as default media
          directory in addition to ~/Pictures. (490b95a1)
        * Trunk merged (e61b4973)
        * Unit tests for MediaObjectFactory (527e9543)
        * Run gallery in fullscreen. (bbd44996)

2013-06-14 Automatic PS uploader

        * Releasing 0.0.67daily13.06.14.1-0ubuntu1 to ubuntu. (3d506471)

2013-06-14 Guenter Schwann

        * Run gallery in fullscreen (b7e171f1)
        * Clean up dependencies (a30853fa)
        * Fix unit test (6d9b018f)
        * Put video player in a loader and destry it after playback Some
          simplification (1f8aca1c)
        * Fix autopilot tests (cec0f8dd)

2013-06-14 Automatic PS uploader

        * Releasing 0.0.67daily13.06.14.1-0ubuntu1, based on r719 (33da731d)

2013-06-14 Guenter Schwann

        * Use ~/Videos as default media directory in addition to ~/Pictures
          (1764c478)
        * Trunk merged (2b2fe77d)
        * Support multiple directories (eb134cb2)
        * Trunk merged (c39bbd57)
        * Show thumbnail in gallery for videos. (d75f367d)
        * Trunk merged (934fe5eb)
        * Fix autopilot tests using the toolbar buttons. (ad15d7ed)
        * Fix autopilot tests using the toolbar buttons (8d222680)
        * Trunk merged (09b990c6)
        * Update translation file (cc6986bb)
        * Add play/pause to toolbar when showing a video Stop a playing video
          when swiping away Move more full view components to
          MediaViewer Rename some components to a more generic name
          (fa49c8ff)

2013-06-14 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (701d78ff)

2013-06-13 Guenter Schwann

        * Rudimentary video playback functionality (46b36add)
        * Fix updating thumbnails. (0fd1e13d)
        * Fix updating thumbnails (0be74f22)

2013-06-13 Automatic PS uploader

        * Releasing 0.0.67daily13.06.13-0ubuntu1 to ubuntu. (124fb51e)

2013-06-13 Robert Bruce Park

        * Fix lintian warnings as per http://paste.ubuntu.com/5741741/.
          (521885e2)

2013-06-13 Automatic PS uploader

        * Releasing 0.0.67daily13.06.13-0ubuntu1, based on r713 (05114baa)

2013-06-13 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (90381487)

2013-06-12 Guenter Schwann

        * Use a factory class instead of havin the static load functions in
          Photo/Video (5b1cf9e5)

2013-06-12 Omer Akram

        * fixes a few autopilot tests on the phone devices. (0b89545d)

2013-06-12 tpeeters

        * Update the type of tools properties to be compatible with upcoming
          changes in UITK. (cbac92d3)
        * revert run on desktop (1d5777e5)
        * make it work with new ToolbarActions (tim's tools branch)
          (8646480d)
        * run on desktop (867aeb5e)

2013-06-12 Guenter Schwann

        * Trunk merged (168c1b1b)

2013-06-12 Automatic PS uploader

        * Releasing 0.0.67daily13.06.12-0ubuntu1 to ubuntu. (cd4415b1)

2013-06-12 Guenter Schwann

        * Update documentation (a78ceba8)
        * Trunk merged (f4c6e4ba)
        * Show thumbnail in gallery for videos (5762fd86)
        * Support to translate the .desktop file. (1cf3d199)
        * Sort the files for translation (074ba26b)
        * Trunk merged (486b9dfa)
        * Add X-Ubuntu-Gettext-Domain to desktop file (57b1bbbf)

2013-06-12 Automatic PS uploader

        * Releasing 0.0.67daily13.06.12-0ubuntu1, based on r708 (aea5a4a4)

2013-06-11 Robert Bruce Park

        * Add lintian override. (e4d2cea2)
        * Resize icons to fit precisely in the space they claim to.
          (8cceb65b)
        * debian/control cleanup. (b31629f5)

2013-06-11 Guenter Schwann

        * Use Qt coding style for src. (83918f9a)

2013-06-11 Omer Akram

        * drag the tabbar a bit so that the albums button can be clicked on
          phones, fixes autopilot tests on gallery-app (0fc839b9)

2013-06-11 Guenter Schwann

        * Use Qt coding style for qml. (39c2d450)
        * Fix one variable name (cba15127)
        * Update documentation (93c5e414)
        * Update ignore file (fe6e02ad)
        * Trunk merged (1cf70416)
        * Support to translate the .desktop file (16568a5b)
        * Update for some better names Update functions parameters to be
          const refs (a4854926)

2013-06-11 Automatic PS uploader

        * Releasing 0.0.67daily13.06.11-0ubuntu1 to ubuntu. (20b5b860)

2013-06-11 Guenter Schwann

        * Update bzr ignore file. (ad52c39a)
        * Use Qt coding style for photo. (25b0e3c0)
        * Use Qt coding style for event. (d2a1fdae)
        * Use Qt coding style for database. (89e99901)
        * Add files generated by running unit tests (fc12819d)
        * Update bzr ignore file (ccfb985e)
        * PreviewManager does the loading and orientating of photos on it's
          own (7ffcea70)
        * Use Qt coding style for album. (7ff6252b)
        * Use Qt coding style for media. (88a6786a)
        * Use Qt coding style for medialoader. (38ccd2e8)
        * Use Qt coding style for core. (027a16bf)

2013-06-11 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (633918e3)

2013-06-11 Automatic PS uploader

        * Releasing 0.0.67daily13.06.11-0ubuntu1, based on r696 (cd146eb9)

2013-06-10 Guenter Schwann

        * Use Qt coding style for util. (ad974225)
        * Add initial video class. (b8864c2d)

2013-06-10 Omer Akram

        * Autopilot test: wait for the edit dialog to appear before moving
          the mouse. (ca276f14)

2013-06-10 Guenter Schwann

        * Clean up video cmake files Make video unit tests somewhat
          meaningful (fcf3c4fd)
        * Better argument name (to not clash with member variable) (c7965699)
        * Trunk merged (b7002b6e)
        * More altered -> changed (8842d6bc)
        * Trunk merged (abadfe73)
        * Trunk merged (5503a1ab)
        * Trunk merged (ade684c5)
        * Trunk merged (7bdfdfda)
        * Trunk merged (b63896f5)
        * Fix signal names in QML (acb9ed3d)
        * Use Qt coding style for src (97b4069d)
        * Use Qt coding style for qml (ff32b279)
        * Use Qt coding style for photo (b3fd2c4d)

2013-06-10 Omer Akram

        * fix long standing failing test on nexus 7 and jenkins (9b642d2a)

2013-06-10 Guenter Schwann

        * Use Qt coding style for event (e9ac0e5b)
        * Use Qt coding style for database (dac41313)
        * Use Qt coding style for album (980b47ce)
        * Use Qt coding style for media (61fa2f36)
        * Use Qt coding style for medialoader (ffb39be7)
        * Use Qt coding style for core (743eb63f)
        * Use Qt coding style for util (85d770ba)

2013-06-08 Guenter Schwann

        * Reduce old dependencies in cmake files (b69ba5d9)
        * Move the texture size out of MediaSource (59bf53f5)
        * Move file timestamp from Photo to MediaSource More Qt style
          renaming (58703ba3)

2013-06-07 Guenter Schwann

        * Add documentation (47c7160e)
        * Add preview Paths to Video class Some renaming ad moving of code
          from Photo to MediaSource (31a6b923)
        * Trunk merged (8ec8db05)
        * Remove many dependencies on photo. (670939cb)
        * Improved ensure_at_least_one_event() function. (e6281a2f)

2013-06-07 Omer Akram

        * fix silly mistake (1ab84f3d)
        * simplify by a million (25aec337)

2013-06-07 Guenter Schwann

        * Move image providers and preview manager to a separate library.
          (7097bfba)

2013-06-07 Omer Akram

        * fix another test which could potetially fail as well (ac39fa06)
        * fix failing test in jenkins, now we wait for the dialog to appear
          before moving the mouse (f7b41f4e)

2013-06-07 Guenter Schwann

        * Fix slot names (aa1abd9a)
        * Improved ensure_at_least_one_event() function (43461401)
        * Minor improvements of old (now moved) code (d69db4dc)
        * trunk merged (78b44692)
        * Comment cmake workaround (04d2517d)

2013-06-07 Automatic PS uploader

        * Releasing 0.0.67daily13.06.05-0ubuntu1 to ubuntu. (59331338)

2013-06-07 Guenter Schwann

        * Trunk merged (3a8eea93)

2013-06-07 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (465c1b7b)

2013-06-06 Guenter Schwann

        * Remove directories from includes, but set them in the include
          paths. (0d2fe610)
        * Trunk merged (052fe4bc)
        * Trunk merged (0656dc78)
        * Group and sort includes (2beb19bd)
        * Comment the workaround in the cmake files (bd7cd3ac)
        * Trunk merged (5d676da7)
        * Compile fix (06e5fc6d)
        * Add missing files (93d4afbf)
        * Remove many dependencies on photo (b99f2590)
        * media does not depend on qml anymore :) (ecb2a681)
        * Trunk merged (d5ed4a91)
        * Move image providers and preview manager to a separate library
          (dc849c4f)
        * Work around cmake issues with circular dependencies (f920f281)
        * Trunk merged (b0420947)
        * Add (and empty) video class (ca6a9b76)
        * Trunk merged (b69e9eed)
        * Remove directories from includes, but set them in the include
          paths. (316968dd)

2013-06-06 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (5a0bcb48)

2013-06-05 Guenter Schwann

        * Refactor PreviewManager to save thumbnails in
          $HOME/.cache/thumbnails (LP: 1089655).
          Fixes:
          https://bugs.launchpad.net/bugs/1089655. (98aa3c68)
        * More robust autopilot tests by using the *_retry functions more
          often. (8e21fee6)
        * More robust autopilot tests by using the *_retry functions more
          often (e86745a1)
        * Fix typro Always use QDir::separator() instead of "/" (d478b2bc)

2013-06-05 Launchpad Translations on behalf of phablet-team

        * Launchpad automatic translations update. (f7ccc644)

2013-06-05 Automatic PS uploader

        * Releasing 0.0.67daily13.06.05-0ubuntu1, based on r683 (10808d0b)

2013-06-04 Guenter Schwann

        * Switching tabs by swiping is disabled, so the command can be
          cleaned up. (14b6837e)
        * Trunk merged (3479cd7f)
        * Remove quit action from HUD. (dcd2699f)
        * Cleanups for tests (dbf842c9)
        * Update thumbnails for autopilot tests (b66ff362)
        * Trunk merged Get thumbnail directory fron resouce (622b7c23)
        * As default save database in $HOME/.local/share/gallery-app.
          (d5a596e1)
        * Refactor PreviewManager to save thumbnails in
          $HOME/.cache/thumbnails (LP: 1089655) (53f2cf88)

2013-06-03 Guenter Schwann

        * Compile fix (c49af594)
        * Trunk merged (9fda3c8a)
        * Split gallery into static libraries, for better modualirity, and
          easier testing. (a6c93c07)
        * As default save database in $HOME/.local/share (e28a51d9)

2013-06-03 Omer Akram

        * Fixes a few pep8 complaints. (8cc67c66)

2013-06-03 Guenter Schwann

        * Remove moc files from cmake files (e9c25205)

2013-05-31 Automatic PS uploader

        * Releasing 0.0.67daily13.05.31.1ubuntu.unity.next-0ubuntu1 to
          ubuntu. (fd5fbdc4)
        * Releasing 0.0.67daily13.05.31.1ubuntu.unity.next-0ubuntu1, based on
          r677 (ddccfdc9)

2013-05-31 Olivier Tilloy

        * Add missing runtime dependency on qtdeclarative5-accounts-plugin.
          (48de202e)

2013-05-30 Olivier Tilloy

        * Add runtime dependency on qtdeclarative5-accounts-plugin.
          (484f0947)

2013-05-30 Ken VanDine

        * Use UOA to populate share menu . (4f244dfe)

2013-05-29 Ken VanDine

        * Only display facebook accounts for sharing for now. (e2e2d945)
        * Use UOA to populate share menu (a352fdc3)

2013-05-29 Guenter Schwann

        * Use ${gallery_src_SOURCE_DIR} instead of "../" to reference to the
          source directory (52fe8b89)
        * Remove old unused files. (e269ac60)

2013-05-28 Guenter Schwann

        * Split gallery into static libraries, for better modualirity, and
          easier testing (a23989a2)

2013-05-27 Guenter Schwann

        * Remove old unused files (81116ac2)

2013-05-27 Omer Akram

        * reduce pep8 complaints (6570a4aa)

2013-05-24 Guenter Schwann

        * Fixes sharing functionality (LP: 1183460).
          Fixes:
          https://bugs.launchpad.net/bugs/1183460. (3a57cf83)
        * Fixes sharing functionality (LP: 1183460) (eabafbf5)
        * Support orientation change. (85d8e7bb)
        * Merge trunk (f08b83d4)

2013-05-23 Guenter Schwann

        * First german translation, and everything needed to make it work.
          (d34da5f2)
        * Merge trunk (007660f5)

2013-05-23 Omer Akram

        * Fix failing tests on touch devices. (c1b11358)

2013-05-23 Guenter Schwann

        * Merge trunk (7d8a8c49)

2013-05-23 Omer Akram

        * fix per suggestions (bca05435)
        * fix another ap test (1a0296a6)
        *  (5871850c)
        * dummy (a2ef52d6)
        * Fix autopilot test: wait for the edit dialog to fully appear before
          moving towards it. (341fcf2f)
        * merge trunk (6116aa2c)
        * merge trunk (78a42a98)
        * fix per gunther' comments (c4271bd0)

2013-05-23 Guenter Schwann

        * Remove translation of empty string (5aef62e9)

2013-05-23 Omer Akram

        * hopefull fix the failing test (276180b4)

2013-05-22 Guenter Schwann

        * Add HUD keywords and descriptions Use "…" instead of "..." Set the
          i18n.domain in main qml file, so the Loading page is
          translated (2f851186)
        * First german translation (ff0a97c6)

2013-05-22 Omer Akram

        * Fix autopilot test: make sure the edit dialog appears before moving
          the input there (fb4940f8)

2013-05-22 Automatic PS uploader

        * Releasing 0.0.67daily13.05.22ubuntu.unity.next-0ubuntu1 to ubuntu.
          (efce2a6a)
        * Releasing 0.0.67daily13.05.22ubuntu.unity.next-0ubuntu1, based on
          r668 (3c77424b)

2013-05-19 Omer Akram

        * fix (c93ec04d)
        * hopefully fix a final itch for jenkins (057beb2e)
        * bring more sanity into AP tests (71b3dc7d)
        * add comment and missing import (60785454)
        * add a delay of 0.5 between click for the only failing test, restore
          back to 0.25 sec delay for the general case (0e457ae6)
        * decrease delay between clicks to 0.35 sec as previous value made
          the test run consume more time (0e6b4c77)
        * increase delay between click (902a9415)
        * on desktop setup wait 0.25 second before clicking due to timing
          issues in jenkins (bd9ab8f2)
        * fix a few timing issues for failing tests in jenkins (d1d7ca3f)
        * wait 0.25 secs before opening a photo, this may fix an issue in
          jenkins where photo is not opened (53399c81)
        * add missing import (fc46d2ad)
        * removed dummy changelog entry (32541d57)
        * fix album editor tests on touch (6003f462)

2013-05-18 Omer Akram

        * fix another album view test (413b2f70)
        * fix album view tests on touch (e0567aeb)

2013-05-17 Guenter Schwann

        * Enable orientation change (1e1b27cb)
        * Remove quit action from HUD (6e95ea82)

2013-05-16 Omer Akram

        * Dummy commit to test mediumtests runner (6757a431)

2013-05-15 Guenter Schwann

        * Use SDK Popover for cover image menu. (b41052e0)
        * Remove obsolete files (a8883850)
        * revert last 2 commits (e450e496)
        * Add SlidingPane.qml again, as it should be removed by a separate MR
          (ca1295df)
        * Remove obsolete files (aeb6f129)
        * improve test (ee82b99a)
        * Improve readability (fc67239b)
        * Update Toolbar API. (9e61fb4f)
        * Autopilot test for album cover menu (d2bffd6f)
        * Trunk merged (89cb60de)
        * Use SDK Popover for cover image menu (87fb6935)
        * Don't update changelog (done automaticly now) (ca19892a)

2013-05-14 Guenter Schwann

        * Use Components and PopupUtils for the edit and share Popover.
          (98baeaef)
        * Fix broken test (476484d5)
        * Use Components and PopupUtils for the edit and share Popover
          (a4810146)

2013-05-09 Omer Akram

        * port gallery-app to ap 1.3. (81ef91eb)
        * fix minor autopilot issues (b7c6465f)

2013-05-08 Omer Akram

        * make autopilot tests platform aware, port to ap-1.3 (fb410987)

2013-05-04 Guenter Schwann

        * Speed up thumbnail creation, and limit number of thumbnails on
          startup. (52a604ca)

2013-05-03 Guenter Schwann

        * Smarter way of getting the scale size (ac80d2b4)
        * Merged trunk (56c0698c)
        * Use OpenGLESv2 instead of OpenGL.
          Fixes:
          https://bugs.launchpad.net/bugs/1173286,
          https://bugs.launchpad.net/bugs/1175260. (68f3191b)
        * Merge trunk (81bb95a3)
        * Smaller default size on desktops. (2368bfb9)
        * Update Toolbar API (f95232d2)
        * Speed up thumbnail creation, and limit number of thumbnails on
          startup (a0aa3057)
        * merge trunk (86bec3ab)
        * Use OpenGL on the desktop, and OpenGL ESv2 on the device (6908bf1a)
        * Merge trunk (01038a31)
        * Fix autopilot reveal and autopilot toolbar buttons click.
          (4f07d5bf)

2013-05-02 Guenter Schwann

        * Remove the camera test totally - it anyway does no meaningful
          testing (dbb6562c)
        * Remove test/asserts for button hovered (18f179e0)
        * Fix autopilot reveal and autopilot toolbar buttons click (656b6c3f)
        * Set changelog entry (b35becad)
        * Merge trunk (09e12dec)
        * Use OpenGLESv2 instead of OpenGL (1e54f39b)

2013-05-01 Guenter Schwann

        * Fix releaving the toolbar in autopilot tests;  Fix cancel button
          in toolbar. (3336a9c0)

2013-04-30 Guenter Schwann

        * Shader test - disabling most of qml (b70b6073)
        * Fix releaving the toolbar in autopilot tests;  Fix cancel button
          in toolbar (2a11a4e8)

2013-04-25 Guenter Schwann

        * Switching tabs by swiping is disabled, so the command can be
          cleaned up (c0ba3c95)
        * Smaller default size on desktops (ed67769f)

2013-04-23 Łukasz 'sil2100' Zemczak

        * libhud-qt-qml has been renamed to qtdeclarative5-hud1.0. (5641c491)
        * libhud-qt-qml has been renamed to qtdeclarative5-hud1.0 (6a141f19)

2013-04-23 Michael Terry

        * Port to HUD 1.0. (94060c09)

2013-04-18 Renato Araujo Oliveira Filho

        * Fixed duplicate entries in Media Album Table;.
          Fixes:
          https://bugs.launchpad.net/bugs/1163353. (0f85ad95)
        * Removed unecessary comments. (ffda381b)
        * Create a new function to  check if a photo is attached to the
          album. (f4469776)

2013-04-18 Łukasz 'sil2100' Zemczak

        * Add a build-dependency on python, as needed to get autopilot tests
          installed. (d11e2429)
        * Typo (bc2a2029)
        * Add build-dep for python (1b6b314d)

2013-04-18 Didier Roche

        * add bootstrap commit message for daily release. (71d6f227)
        * add bootstrap commit message for daily release (b7865cbb)

2013-04-17 Renato Araujo Oliveira Filho

        * Fixed duplicate entries in Media Album Table; (17040aea)

2013-04-16 Guenter Schwann

        * Release 0.0.67. (646ebc6f)
        * Release 0.0.67 (a8ae3a2f)
        * Use cmake instead of qmake. (98e19d0e)

2013-04-15 Guenter Schwann

        * Use pkgconfig to include exiv2 (8f18b277)
        * Merge trunk (fa592f69)
        * Update debian changelog (2f713ba6)
        * Add support for coverage report (18373072)
        * Fix loading qml files from installed application (ffbb08fd)
        * Add cmake dependency (c910acbe)
        * Use cmake instead of qmake (42443827)
        * Wrap all UI strings in i18n.tr() function to prepare translation.
          (3ceed4fc)

2013-04-12 Guenter Schwann

        * Typo (77816d66)
        * Wrap all UI strings in i18ntr() function to prepare translation
          (d1de4f05)
        * Merge master (95d01501)
        * Use i18n.tr() to translate all user visible strings (c32fa279)
        * For cancel on the toolbar use a button instead of a menu item.

          Fixes: https://bugs.launchpad.net/bugs/1124128,
          https://bugs.launchpad.net/bugs/1163408. (fff4282f)

2013-04-11 Michael Terry

        * Port to HUD 1.0 (d865e27a)

2013-04-11 Guenter Schwann

        * typo (607b0864)
        * Cancel on the toolbar is a button instead of a menu item (LP:
          #1163408) (0da0aa0c)
        * Release 0.0.66. (be479fad)
        * Updated timestamp (3cbee154)
        * Separate the work item from Renato (2e9e07b2)
        * Release 0.0.66 (5b97609a)
        * Add right maring in event view. (20632399)
        * Add right maring in event view (fab5f6d9)

2013-04-10 Guenter Schwann

        * Fix issues found yb pep8 and pyflakes. (1f6336e6)
        * Use buttons in the toolbar of the MediaSelector.
          Fixes:
          https://bugs.launchpad.net/bugs/1163421. (691e4c24)

2013-04-10 Michael Terry

        * Add bootstrap message for daily-release. (10d6738f)

2013-04-10 Guenter Schwann

        * Fix issues found yb pep8 and pyflakes (286c6a7d)
        * Remove old unused qml files. (db511bac)
        * More robust way to switch to albums view in tests. (317b6cb4)
        * Fix typo and wrong documentation (004467a4)
        * Use progress instead of status property to see if the loading is
          finished (dcd58670)
        * Simpler check for the albums in the tests (3c1e0716)
        * In the tests check for the AlbumsOverview to be fully loaded
          (7fa51f1d)
        * Wait for 2 seconds on test startup, to make sure, gallery is
          started (31cf37c0)
        * Use better name (287ea2f7)
        * Put common color to Gallery.js (50560162)
        * Sow a button in the toolbar to add photos to an album (a881b447)

2013-04-09 Guenter Schwann

        * Make some tests more robust (hopefully). (2fd740ce)

2013-04-09 Michael Terry

        * Add bootstrap message for daily-release (277b0ccf)

2013-04-09 Guenter Schwann

        * Use a function to indicate the sleep for the UI update (ee37be87)
        * Better tap function;  Better detect first album (322fcc52)
        * Fix test fir album editor (63396f7e)
        * Reduce magic numbers;  better function name (bd4097e8)
        * One fix for album editor test More robust startup (hopefully)
          (cfaacb1b)
        * Make some tests more robust (hopefully) (e4b523ef)

2013-04-08 Guenter Schwann

        * New MediaSelector, using SDK components. (6bdb9c49)
        * Remove old unused qml files (e97494e6)
        * Cleanup (5765a9ef)
        * Tests for the media selector (a794b756)
        * Merge trunk (6227054b)
        * Fix bottom (04fca5c8)
        * cleanup;  header is not fixed (51939a32)
        * First unfinished version of new mediaselector (7ab3cbc3)
        * First test for the album viewer. (20bb44e2)
        * Fix code style (c4672ab4)

2013-04-05 Renato Araujo Oliveira Filho

        * Make sure that the options undo/redo/revertToOriginal are disable
          if is not possible to execute the action.
          Fixes:
          https://bugs.launchpad.net/bugs/1163174. (16f7c9d4)
        * [autopilot] Wait for toolbar finish the animation before reveal it
          (d238a590)
        * Added missing documentation. (f65657a9)
        * Fixed code style to follow Qt style. (b0ef9d5a)
        * Reverted code changes not relevant on this commit. (e531c7f9)
        * Created autopilot test for undo/redo/revetToOriginal menu states.
          (7a89a480)
        * Make sure that the options undo/redo/revertToOriginal is disibale
          if is not possible to execute the action. (4f49210a)

2013-04-05 Guenter Schwann

        * First test for the album viewer (39c35459)
        * Fix bug of constant redraw when event view is not visible
          LP:1164425.
          Fixes:
          https://bugs.launchpad.net/bugs/1164425. (9b03aae8)
        * Fix bug of constant redraw when event view is not visible
          LP:1164425 (1b5c049c)

2013-04-04 Guenter Schwann

        * Update and enable test for album edit. (71004eca)
        * put app icons an desktop file in separate desktop director.
          install app icons. (8f26961a)
        * More stable setting new text (3c7181aa)
        * Use correct directory to install the icons (fcda9654)
        * Add icons for the hicolor theme as well (62fbee7e)
        * Use only one resolution (for now) and use ubuntu-mobile theme
          (696a2765)
        * Update and enable test for album edit (77f065d7)

2013-04-03 Guenter Schwann

        * Add test for adding an album in albums overview. (a70e04da)
        * Do not install the svg icon More different resolutions (078e19d0)
        * Add first test for albums overview (a7ab061b)
        * Move .desktop file and app icons to separate desktop director.
          install a png and a svg version of the app icon (13a98a60)

2013-04-02 Guenter Schwann

        * At startup add photos to albums in one bulk, not every photo
          separately. (0f456d39)
        * Use sleep to wait until, tabs don't move anymore. (75ae08b7)
        * Use SVG icon and install it (7a154f32)
        * Use sleep to wait until, tabs don't move anymore (514f0098)

2013-04-02 Ying-Chun Liu

        * Add X-Ubuntu-Touch field into desktop file. (e2d3805b)
        * Tweak debian/changelog. (2e660dba)
        * Delete unused debian/gallery-app.links.   - This file was used
          for compatibility. But it causes the gallery to     be
          appeared twice. (ecee49dc)
        * Add X-Ubuntu-Touch field into desktop file. (b7e832de)

2013-04-02 Guenter Schwann

        * Put the album picker in a loader and load it only when needed.
          (d4044657)

2013-04-02 Michael Terry

        * Use bzr-builddeb split mode. (4c9acc82)

2013-04-02 Ying-Chun Liu

        * Add X-Ubuntu-Touch field into desktop file. (0506c7e9)

2013-04-02 Guenter Schwann

        * Code cleanups. (ffeca585)
        * Code cleanups (26baf5e2)
        * Lazy loading from the DB for the edit stack in Photo. (94866e72)

2013-04-01 Michael Terry

        * Use bzr-builddeb split mode (9098b3df)

2013-03-29 Guenter Schwann

        * Release 0.0.64. (313b26cd)
        * Release 0.0.64 (1dc9d788)
        * Put the album picker in a loader and load it only when needed
          (9ccf387e)
        * At startup add photos to albums in one bulk, not every photo
          separately (5f183b13)
        * Lazy loading from the DB for the edit stack in Photo (bdeaba4e)

2013-03-28 Guenter Schwann

        * Autopilot test refactoring. (f26f9030)
        * Move unit tests to tests directory. (db454383)
        * Get max texture size from OpenGL. (368c3425)
        * Documentation update (985293ac)
        * Update docu and one function name (470a4349)
        * Move unit tests to test directory (428f597c)
        * Autopilot test refactoring (269b432f)

2013-03-28 Michael Terry

        * Update packaging to be more modern.  Sort Build-Depends and
          Depends, only build for architectures that qtdeclarative
          supports, fix a copyright typo, use --fail-missing, and
          fix some lintian warnings. (53dd2a80)

2013-03-27 Michael Terry

        * add a notice about uploading to trunk vs archive (f847a7e2)
        * Modernize and clean up packaging (f26e5385)

2013-03-27 Guenter Schwann

        * Remove unneeded include (dd763206)
        * Get max texture size from OpenGL (530ed207)

2013-03-26 Guenter Schwann

        * Makes the photos view tests stable. (8414b760)
        * More stable tests for photos view (60b5f240)
        * Add toolbar in photos view and implement add, delete and start
          camera functionality. (82d8e787)
        * Add fixme comment for translation (042a8ce4)
        * Documentation update (0409e5d7)
        * Add toolbar in photos view and implement add, delete and start
          camera functionality (6a85d380)

2013-03-25 Guenter Schwann

        * Release 0.0.63. (c8093a40)
        * Release 0.0.63 (90cf3531)
        * Fix crash opening a photo from the album view, and fix the toolbar
          handling then.
          Fixes:
          https://bugs.launchpad.net/bugs/1109206. (27f52d34)
        * Reenable and polish the crop autopilot test. (76d340c9)
        * Search for delete dialog and photo viewer more robustly. (a55df482)
        * Fix typos (55c1e985)
        * Fix for showing photos more than once (f247927c)
        * Fix crash opening a photo from the album view, and fix the toolbar
          handling then (962643a2)
        * Search for delete dialog and photo viewer more robustly (5887ebeb)
        * Reenable and polish the crop autopilot test (f41cfb37)

2013-03-22 Guenter Schwann

        * Enable photos test again. (dc5c8800)
        * Fix and enable autopilot test for photo delete. (ece77f5a)
        * Enable photos test again (6d729e2b)
        * Fix and enable autopilot test for photo delete (c2575dac)
        * Re-enable pinch to zoom. (e83fb71a)

2013-03-22 tpeeters

        * Use the updated header and toolbar from the SDK. (4ba4ed4c)

2013-03-21 Guenter Schwann

        * Fix one empty line (cfbdd95a)
        * indentation update (5a6f9ab0)
        * Re-enable pinch to zoom (22acce5c)

2013-03-20 Guenter Schwann

        * Release 0.0.62. (bda9fb15)
        * Release 0.0.62 (ab5f123c)
        * Fix missing renames to gallery-app. (dc31802b)
        * Prepare depenedent package renaming on Qt 5.0.1 update. (54c6900e)
        * Disable unstable tests for now. (169f138c)
        * Disable unstable tests for now (d30b9fc9)
        * Fix missing renames to gallery-app (3e130867)

2013-03-19 tpeeters

        * HUD on (b8f1fee5)
        * move page properties from AlbumViewerAnimated to AlbumViewer
          (96d0e379)
        * HUD off (9490be08)
        * put root.header.hide() on its own line (0ce0816b)
        * revert commenting-out of HUD (aab6d83a)
        * merge trunk (bb71f730)
        * move tools to AlbumEditor (a991795e)
        * revert locking and showing the toolbar in album editor (698971b2)
        * show toolbar in album editor by default (25aacf5d)
        * make album editor animated a page (ea5118bc)

2013-03-19 Guenter Schwann

        * Use Dialog instead of Popover for photo delete. (f30bb019)
        * Use Dialog instead of Popover for photo delete (44ee01da)

2013-03-19 tpeeters

        * no HUD (3218111b)

2013-03-19 Guenter Schwann

        * Rename autopilot test package to gallery_app. (02c45efc)
        * Rename autopilot test package to gallery_app (aee179d3)

2013-03-19 tpeeters

        * merge trunk (07bbae28)
        * revert hud-removal changes (b725a079)
        * Use the new header and toolbar (3d36d787)

2013-03-19 Guenter Schwann

        * Prepare depenedent package renaming on Qt 5.0.1 update (96fbae42)

2013-03-18 Guenter Schwann

        * Fix autopilot tests after EventView and SDK breakages. (ee75fb17)
        * Rename to gallery-app. (3e92b6ad)
        * Revert the last name change entry in changelog (07afb58d)
        * Do release of new name (4f5d9c02)
        * Fix the cancel button (cf8b9f2f)
        * Support new and old SDK Toolbar in autopilot tests (6909170c)
        * Add the debian links file for compatibilty (9d8cbf1f)
        * Rename to gallery-app (fa7dbba6)

2013-03-18 tpeeters

        * changes to run on desktop (86be3d26)

2013-03-18 Guenter Schwann

        * Fix autopilot tests after EventView and SDK breakages (159880fc)

2013-03-07 Guenter Schwann

        * Release 0.0.60. (54bf7977)
        * Release 0.0.60 (449c63a4)

2013-03-06 Guenter Schwann

        * Use 4 spaces to indent in QML files. (2bb15e3c)
        * Use 4 spaces to indent in QML files (cd073fee)

2013-03-05 Guenter Schwann

        * (Re-)Enable "add (to)" album and opening photo view from album.
          (2c1ebd33)

2013-03-05 Benjamin Kerensa

        * Comply with Debian Policy. (2eb8127d)

2013-03-05 Guenter Schwann

        * (Re-)Enable "add (to)" album and opening photo view from album
          (87653e10)

2013-02-28 Guenter Schwann

        * Removing unused files. (483fc5a3)
        * Removing unused files (d3562df8)

2013-02-27 Guenter Schwann

        * ListView instead of Repeater for organic view. (d75b81e8)
        * Use OrganicMediaList as delegate directly (0704d1f5)
        * Link to Qt bug for the animation error (2de0517d)

2013-02-26 Guenter Schwann

        * Listview instead of Repeater for organic view (works except
          animation) (8854702c)

2013-02-25 Guenter Schwann

        * In the test, give gallery the time to save and create the
          thumbnails before final cleanups. (504860e5)
        * add a FIXME, as using sleep() is no good idea (e14dc227)
        * In the test, give gallery the time to save and create the
          thumbnails before final cleanups (1eafd36c)
        * Use hopefully more stable code to reveal the toolbar. (003ebc43)
        * Use another way to reveal the toolbar (04d90fa3)
        * More stable photo tests. (0c0ad33e)
        * More stable photo tests (f5b81877)
        * Use 4 spaces to indent in whole project. (4df812d6)
        * Use 4 spaces to indent in whole project (b8af0e3b)
        * Set packages for the autopilot tests. (b1dc70af)
        * Set packages for the autopilot tests (182cb717)

2013-02-24 Benjamin Kerensa

        * Add Homepage Field (87471e94)

2013-02-22 Guenter Schwann

        * Fix running tests when installed from a package. (59ddb205)
        * Fix running tests when installed from a package (7e5c5fe5)
        * Make test usable, even ia an older test didn't clean up the test
          data dir. (277c7f0e)
        * Make test usable, even ia an older test didn't clean up the test
          data dir (764674e1)
        * Fix photo editing autopilot tests. (0136e5a2)
        * Fix photo editing autopilot tests (433a7e72)
        * Fix the autopilot tests. (74f17b0a)
        * Fix the autopilot tests (d6989eed)

2013-02-21 Ken VanDine

        * use uoa (4d07bab3)

2013-02-21 Michael Zanetti

        * GPL v3, not any later version. (8734f5b8)

2013-02-20 Michael Zanetti

        * release (7919ca4a)
        * GPLv3, not any later one (462580b4)

2013-02-20 Ken VanDine

        * Use Ubuntu.OnlineAccounts to create share list;  debian/control
          - added a depends for qtdeclarative5-accounts-plugin
          (317e4f80)

2013-02-19 Guenter Schwann

        * Release 0.0.8. (ba751e53)
        * Release version 0.0.58 (bac00082)
        * Do the color balance transformation on the final image (LP:
          #1128571).
          Fixes: https://bugs.launchpad.net/bugs/1128571.
          (73574466)
        * Keep showing the preview while the image is transformed (and
          spinner shown) (8df316d2)
        * Reuse the color variable during transformation (d38be7fb)
        * Fix typo in documentation (eb1c8d9f)
        * Fix typeo (9eff5352)
        * Fixunit test on ARM platform (6953381a)
        * Remove the author, as I usually don't use that inthe license header
          (9c3d8c29)
        * Add unit test (322160fc)

2013-02-18 Guenter Schwann

        * Release 0.0.57. (af4c1d87)
        * Fix date/time in changelog (5d8c95da)
        * Release 0.0.57 (1f984b9b)
        * Rever in docu to shader implementation (be711777)
        * Do the color balance transformation on the final image (LP:
          #1128571) (341d3597)

2013-02-18 Gerry Boland

        * Change name in desktop file to suit dash on phablet.
          Fixes:
          https://bugs.launchpad.net/bugs/1126482. (46527a3a)
        * Change name in desktop file to suit dash (1c94568b)

2013-02-17 Antti Kaijanmäki

        * Add HUD dummy Actions.
          Fixes:
          https://bugs.launchpad.net/bugs/1125656. (c6d89e22)

2013-02-16 Guenter Schwann

        * Release 0.0.56. (ca10169b)

2013-02-16 Antti Kaijanmäki

        * Add HUD dummy Actions. (3b57f002)

2013-02-15 Guenter Schwann

        * Release 0.0.56 (2804c5a4)
        * Use the preview to show first in the albums. And limit the
          sourceSize of the big image to the actual size on screen.

          Fixes: https://bugs.launchpad.net/bugs/1090607. (7dfbacfb)
        * Merged trunk (464ed1bd)

2013-02-15 Nicolas d'Offay

        * Move command line parsing to it's own class. (d6d7fc75)

2013-02-15 Guenter Schwann

        * Use the preview to show first in the albums. And limit the
          sourceSize of the big image to the actual size on screen.
          (855d1309)

2013-02-15 Nicolas d'Offay

        * Changed initialisation order of command line parser test. Used init
          and cleanup functions for test instead of constructor and
          destructor. (ad0d602e)

2013-02-15 Guenter Schwann

        * Remove old stuff used for name transition. (a2994f16)
        * Remove old stuff used for name transition (fcc1df0d)

2013-02-14 Guenter Schwann

        * Disable first/last page close album behaviour.
          Fixes:
          https://bugs.launchpad.net/bugs/1123441. (cfa74c5c)
        * Release 0.0.55. (a78aa17d)
        * Release 0.0.55 (172d2d2a)
        * Show an ActivityIndicator when loading a thumbnail in event view.

          Fixes: https://bugs.launchpad.net/bugs/1116689. (ae161a23)
        * Code in more declarative style (95010e51)
        * Show an ActivityIndicator when loading a thumbnail in event view
          (982ae7ba)
        * Fix for portrait mode (514720f7)
        * Disable first/last page close album behaviour (5dc1cf3b)

2013-02-14 Nicolas d'Offay

        * Merged trunk. (d5579b9a)
        * Changed form_factor member to use implicit Qt sharing. (5d151494)

2013-02-14 Guenter Schwann

        * Polish album open animation.
          Fixes:
          https://bugs.launchpad.net/bugs/1123453. (bb051e3c)
        * Plish album open animation (b1b4c52c)
        * Release 0.0.54. (1948b3fa)
        * Release 0.0.54 (34d9bb04)
        * Unload album view when not used anymore. (7a23898b)
        * Unload album view when not used anymore (07d01b39)
        * New assets and theme for crop. (1cbc50ba)

2013-02-14 Antti Kaijanmäki

        * Don't flick during parameterized HUD action.;  Fix exposure reset
          function. (562f2129)
        * Don't flick during parameterized HUD action. (ac526152)
        * remove unending recursion. (e23fc751)
        * no reason to make things complicated.. (287a5710)
        * work around touch event handling bug with HUD parameter view.
          (93d40190)

2013-02-13 Guenter Schwann

        * Release 0.0.53. (02d48b0b)
        * Release 0.0.53 (29052b65)
        * Increase the size of the touch sensitive are of the crop handles
          (fd37259b)
        * Faster page flip in albums.
          Fixes:
          https://bugs.launchpad.net/bugs/1124184. (be12af09)
        * Faster page flip (80cf4128)
        * New assets and theme for crop (f89ee45b)
        * Fix margins for albums in tablet mode.
          Fixes:
          https://bugs.launchpad.net/bugs/1123411. (37e41ef9)
        * Change title to "Select" when the event view is in select mode.
          (e72b4433)
        * Leave select mode in event view when moving to another tab
          (a9e569f0)
        * Fix margins for albums in tablet mode (c2caab38)
        * Add package replacement for goodhope. (490e30ab)
        * Add package replacement for goodhope (06bf326b)

2013-02-12 Guenter Schwann

        * Release 0.0.52. (55a2e7ab)
        * Release 0.0.52 (b4f116d0)
        * Fix exposure live preview;  Fix exposure when photo was rotated
          already;  Fix undo for exposure;  Fix color balance
          preview. (14fa3771)
        * Fix color balance preview (62b40173)
        * Fix exposure live preview;  Fix exposure when photo was rotated
          already;  Fix undo for exposure (c2543887)
        * Disable opening a photo from a album, as it is unstable. (51e47abd)
        * Disable opening a photo from a album, as it is unstable (1d0d6df0)
        * On first album open show the photos instead of a big album cover.
          (720b98e0)
        * On first album open show the photos instead of a big album cover
          (48f35320)

2013-02-12 Antti Kaijanmäki

        * Hook up to the HUD Toolbar Quit button. (6cbb4e8e)

2013-02-12 Guenter Schwann

        * Revert photos tab indent fixes (8f070463)
        * Fix event view for select mode (369cc0a8)

2013-02-12 Antti Kaijanmäki

        * Merge from upstream. (3dffe06b)
        * Hook up the HUD Toolbar Quit button. (756b9afa)

2013-02-11 Guenter Schwann

        * Release 0.0.51. (9875e622)

2013-02-12 Guenter Schwann

        * Release 0.0.51 (6a44c5c5)

2013-02-11 Guenter Schwann

        * Rename to ubuntu-gallery. (bbd51f14)
        * Fix crash when checking if preview/thumbnail exists, but the id
          contains the URL scheme in addition to the filename.

          Fixes: https://bugs.launchpad.net/bugs/1117357. (d789c4d6)
        * Run on desktop wihtout HUD. (3f3ac19a)
        * Proper App ID confirmed by the HUD guys (0f11160e)
        * Rename to ubuntu-gallery (311748b1)
        * Run on desktop wihtout HUD (48cc86c9)
        * Fix crash when loading a preview before the preview was created
          (660e34b6)

2013-02-08 Guenter Schwann

        * Release 0.0.50. (75018bb6)
        * Release 0.0.50 (8459bedd)
        * make crop functionality via HUD work;  add color balance to HUD
          (preview only). (48264543)
        * make crop functionality via HUD work;  add color balance to HUD
          (preview only) (2dd63b45)
        * Update toolbar to work with the next UITK release (0.1.29.
          Bigger albums on tablet (f9f1d2de)
        * Use new SDK toolbar for album view and albums view. (71033d11)
        * use Qt.resolvedUrl for relative file paths;  encapsulate the
          mediaselector inside a loader (423ad186)
        * Better names for tools item for the toolbar (94e6b054)

2013-02-08 Ted Gould

        * Change HUD application ID to "goodhope". (24dcd03b)

2013-02-07 Ted Gould

        * Matching the application ID to what the Platform API gives
          (180201c2)

2013-02-07 Guenter Schwann

        * Remove icons from album menu. (108f08b7)

2013-02-08 Guenter Schwann

        * Remove icons from album menu (f5c3eb96)

2013-02-07 Guenter Schwann

        * Use new SDK toolbar for album view and albums view (59f69fc6)
        * Improve debian files. (28a5a0be)
        * Better description (7bd1ac8a)
        * Update debian files (2e42995a)
        * Revert QML changes (9c6bc462)
        * Revert source format to 3.0 (654935d3)
        * Improve debian files (b5d9f709)

2013-02-06 Guenter Schwann

        * Release 0.0.49. (dcef05e4)
        * Release 0.0.49 (74bba364)

2013-02-06 tpeeters

        * Update toolbar to work with the next UITK release (0.1.29).
          (eff9d602)

2013-02-06 Guenter Schwann

        * Increase buffer size for event view, so no image loading is
          visible. For some reason loading gallery is faster as
          well. (9116e9c2)
        * Replace magic number by relation to height of the view (a0d6f29b)
        * Set bigger album sizes for tablet. (eeeba3f4)
        * Use Screen item to detect gallery is running on a tablet (6813d914)

2013-02-06 tpeeters

        * onSelectionModeChanged not needed (06496e21)
        * re-enable HUD (2ff26478)
        * fix issue caused by entering event view in selection mode with the
          toolbar hidden (d8bf5af8)
        * use new ToolbarActions (908f0147)

2013-02-06 Guenter Schwann

        * Automaticly detect if the device is a tablet or not (a9fd893f)
        * HUD support (e4426ca8)

2013-02-06 Nicolas d'Offay

        * Got rid of friend command line test and changed form factor in
          command line parser to const &. (69177c41)

2013-02-05 Guenter Schwann

        * Increase buffer size for event view, so no image loading is
          visible. For some reason loading gallery is faster as
          well. (5b0ef936)
        * Release 0.0.48. (80784367)
        * HUD support (a03bb1d2)

2013-02-05 Antti Kaijanmäki

        * HUD support. (1a34fc21)

2013-02-05 Guenter Schwann

        * Wire exposure functionality from HUD to gallery editing (97a942e1)
        * Addes exposure editing functionality with live preview (need to be
          wirerd to HUD) (9616f28f)
        * Add exposure compensation for editing, and a EditPreview for live
          preview of the result (179fe791)
        * HUD actions with parameters added (20c48bb7)

2013-02-05 Antti Kaijanmäki

        * Clean up the placeholder code a bit. (bc472f40)
        * fix commitLabel property and add some stub debug. (178380ff)
        * merge from upstream. (2b3991c7)
        * add the parameterized actions. (346ee6a9)

2013-02-05 Guenter Schwann

        * Remove qthybris dependency;  Make photo flick speed dependent on
          grid unit;  use toolbar from SDK (d0206dc8)

2013-02-01 Guenter Schwann

        * Calculate spacing in photos grid view instad of a hardcoded value.
          (c37e1ed4)
        * Calculate spacing in photos grid view instad of a hardcoded value
          (963d807c)
        * Set album sizes for tablet (e3742957)

2013-02-01 Nicolas d'Offay

        * Minor refactoring based on comments. (43958daf)

2013-02-01 Guenter Schwann

        * Use SDK Popover component for the album edit and delete menu.
          (64e4a27a)
        * Move command line parsing to it's own class (fd632fcc)

2013-02-01 Ricardo Mendoza

        * Remove qthybris. (e2f126b8)

2013-01-31 Ricardo Mendoza

        * Remove qthybris dependency (2393d853)

2013-01-31 Guenter Schwann

        * Release 0.0.46. (8969d50d)
        * Release 0.0.46 (ba283b53)
        * Add documentation for the AlbumEditMenu (43b96aae)
        * Use SDK Popover component for the album edit and delete menu
          (7d02ca67)
        * Set max. flicking speed in photo view dependent on the grid unit.
          (b1aae592)
        * Improve resource unit test build. (1b524e44)
        * Set max. flicking speed in photo view dependent on the grid unit
          (cfbe4b8d)
        * Improve resource unit test build (0092d27c)
        * Fixes for Qt5 final release packages (f0365d52)
        * Merge from trunk (2e4f6b2a)

2013-01-31 tpeeters

        * Use SDK classes for the toolbar. (5570ac25)

2013-01-31 Guenter Schwann

        * Fixes for Qt5 final release packages (9b7fe902)
        * some internal album code reshuffling;  fixing to open an album on
          touch devices (8604486f)
        * Qt5 final support. (b36ee9c2)
        * Add first support for HUD usage (194f0a54)

2013-01-31 tpeeters

        * remove debugging code and comments (f67bf521)

2013-01-30 tpeeters

        * use the Actions from SDK to define toolbar (b2250b8f)
        * make it run without any toolbar (153bb070)

2013-01-29 Guenter Schwann

        * Fixes for Qt5 final release packages (ec92492c)
        * trunk merged (2515147c)
        * release 0.0.39. (9343df20)
        * Trunk merged (04de379c)
        * release 0.0.39 (c2e542af)
        * Fix to open an album on touch devices.
          Fixes:
          https://bugs.launchpad.net/bugs/1105134. (41f3a245)
        * Fix to open an album on touch devices (86d3ca8a)

2013-01-28 Guenter Schwann

        * Add (empty )documentation to all classes and functions. (e95fc026)
        * Add (empty) QML documentation. (0a65dcfb)
        * Add QML (empty) documentation (eb236f63)

2013-01-25 Guenter Schwann

        * Add (empty )documentation to all classes and functions (4d305207)

2013-01-23 Guenter Schwann

        * load the albums overview asynchronously;  use lazy loading for
          album viewer/editor.
          Fixes:
          https://bugs.launchpad.net/bugs/1068882. (ea63f27f)
        * load the ablums overview asynchronously;  unite albums viewer and
          its transition into one component that is lazy loaded
          And the same for the album editor. (ecb54a3f)
        * Add unit tests for Resource. (7ba2c1bc)
        * Fix year of copyright (90403c59)
        * Add unit tests for Resource (5aa1dcc9)

2013-01-22 tpeeters

        * proper cancel button (689dd6ba)
        * use toolbar (b5e45c30)

2013-01-22 Guenter Schwann

        * Fixes for Qt5 final release packages (7244fd06)
        * Fixes for Qt5 final release packages (32d9fa8d)
        * Fixes for Qt5 final release packages (1baff5bb)
        * Fixes for Qt5 final release packages (bcea9c37)
        * Fixes for Qt5 final release packages (2d4f4d51)

2013-01-22 Omer Akram

        * Add autopilot tests for the Photo Editor. (d0de7d45)
        * tidy up the code, no more magic numbers (bea8ac64)

2013-01-22 Guenter Schwann

        * Fix generation of test coverage report. (986787f4)
        * Fix to open a photo. (a607b7be)
        * Fix to open a photo (8b3cac0b)
        * Fix generation of test coverage report (00cc6c64)
        *  move all album stuff to a new AlbumsOverview. (dddb1eef)

2013-01-22 tpeeters

        * CORRECTION: integrating toolbar in gallery (b13e68ef)
        * integrating in gallery (93bf01d8)

2013-01-21 Guenter Schwann

        * Remove dead code / warning (909561a4)
        * Compile fix (24c30222)
        * move all album stuff to a new AlbumsOverview;  cleanups
          (cbc22522)

2013-01-21 Omer Akram

        * change sample (b0c5751f)
        * fix per gunther's comment (8fb0b0b5)

2013-01-21 Guenter Schwann

        * include files cleanups;  remove some dead code. (27ed4396)

2013-01-19 Guenter Schwann

        * include files cleanups;  remove some dead code (f9549326)

2013-01-18 Nicolas d'Offay

        * Added full screen or preview case for image creation as well as a
          unit test for gallerystandardimage. (5778f3f9)
        * Changed path to absolute path. (7d47f4d9)

2013-01-17 Nicolas d'Offay

        * Sets the value now in our idToFile correctly. (1ffd313a)
        * More redoing of idToFile to try pass tests. (d0f9679c)

2013-01-17 Guenter Schwann

        * Fixes for Qt5 final release packages (04a300fb)

2013-01-17 Nicolas d'Offay

        * Hopefully fixed idToFile now. (705cc79e)
        * Fixed test with thumbnail appended character. (b8268d12)
        * Final commit of path definitions to test. (31df3f9b)
        * Removed comment. (ba66e147)
        * Added correct thumbnail path. (7a687af2)
        * Final fix for the test. Mistype. (bc6a15da)
        * Fixed thumbnail case from idToFile. (dbde27aa)
        * Fixed thumbnail name test. (33eee2c7)
        * Fixed bug getting the image. Added a correct PreviewFromFilename
          test. (8d513628)

2013-01-17 Michael Zanetti

        * change make target coverage-gcovr to coverage-xml (9c2473aa)

2013-01-17 Nicolas d'Offay

        * Added test for size_level, moved all tests into single function.
          (0b77b1ae)

2013-01-17 Michael Zanetti

        * change make target coverage-gcovr to coverage-xml (928a6c57)

